<!DOCTYPE html>
<!-- [QPRTemplateStart: analysisview_excelexport.tpl] -->
<#SetTemplateParameter id="excelexport" value="1">

<html>
  <head>

    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <script type="text/javascript">
      var _sDefaultQueryFields = "<#URLParameter id="EXFIELDS">";
      var _sDefaultQuerySortBy = "<#URLParameter id="EXSORT">";
      var _consts = { };
    </script>

    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script>

<#Include template="jsobjectqueryutils.tpl">

<script type="text/javascript">
<#TableFieldData>
<#TableObjectData>

var _sHeader = "";

function AddToHeaderRow(vsData)
{
  _sHeader += vsData;
}

InitializeQueryObjects();
ReadFieldCustomizationsFromURL();

$(document).ready(function () {
  var oHeader = $(_sHeader);

  $("#ExcelTable").find("script").remove();
  $("#ExcelTable").children("tbody").prepend(oHeader);

  // Flatten the table cells to contain no <br> tags or nested tables, lest
  // Excel adds extra rows to the spreadsheet.
  $('#ExcelTable,#ExcelTable>tbody').find('>tr>td').each(function(i, voElt) {
    var oElement = $(voElt);

    // Flatten possible tables, assume only single level of tables
    oElement.find('td').each(function(i, voElt) {
      $(voElt).contents().each(function(i, voElt) {
        oElement.append($(voElt).remove()).append(' ');
      });
    });

    // Remove the now-empty sub tables
    oElement.find('table').remove();

    // Replace all <br> tags with spaces
    oElement.find('br').each(function(i, voElt) {
      $(voElt).after(' ').remove();
    });
  });

  if ( sGetParameter('NOEXCEL', sGetDocumentLocation()) == '1' ) {
    if ( parent && parent.ProcessExportData )
      parent.ProcessExportData($('#ExcelTable').html());
  } else {
    SubmitForm.action = sAddUIPOrSession(
                          sSetParameter(ACT_PARAM_TEMPLATE,
                                        "analysisview_excelexport_final.tpl", 
                                        sGetBaseURL("QPRPORTAL",
                                                    ACT_COM_TABLE_VIEW)));
    SubmitForm.Content.value = $("#ExcelTable").html();
    SubmitForm.submit();
  }
});
</script>
  </head>
  

  <body id="body" style="display: none">
    <form name="SubmitForm" action="#" method="post" target="_self">
      <input type="hidden" name="Content" value="">
    </form>
    
    <table id="ExcelTable" cellspacing="0" cellpadding="0" border="1" style="width: 100%">
      <#ForEach first="0" excelexport="1" maxcount="100000" where=""
        attribute="<#URLParameter id="EXATTR">" 
        configuration="<#URLParameter id="EXCFG">" 
        sort="<#URLParameter id="EXSORT">" 
        fields="<#URLParameter id="EXFIELDS">"
        decimalseparator="<#URLParameter id="EXDECSEP">" 
        FieldTemplate="staticfields\\<#URLParameter id="EXTPLGROUP">$field.tpl" 
        HeaderFieldTemplate="staticfields\\excelexport$fieldheader.tpl" 
        Template="excelexport_row.tpl" 
        HeaderTemplate="excelexportheader_row.tpl" 
        FooterTemplate="empty.tpl">
    </table>
  </body>
</html>
<!-- [QPRTemplateEnd: analysisview_excelexport.tpl] -->
