<!-- [QPRTemplateStart: detailspaneheader.tpl] -->
<script type="text/javascript">
  function RefreshDetailsPaneHeader(vsPageId)
  {
    var sIconUrl = sGetObjectIconUrl();
    var sTypeName = sGetObjectTypeName();

    var sHtml = "";
    var sDetailsLink = "<a id='detailsLink' href='javascript:_OpenInformationView(\"" + sGetDetailsPaneTitleUrl() + "\")' title='<#LocalizedText id="Show Details">'>";

    if (sIconUrl)
      sHtml = sDetailsLink + "<img src='" + sIconUrl + "' title='" + (sTypeName ? sTypeName : "") + "'>&nbsp;<\/a>";

    if (!sHtml)
      sHtml = "&nbsp;";
    $("#DetailsPaneHeaderIcon").html(sHtml);
    
    var sLabel = sGetObjectLabel();
    sHtml = sDetailsLink + (sLabel ? sLabel : "&nbsp;") + "<\/a>";
    $("#DetailsPaneHeaderLabel").html(sHtml);

    var sDescription = sGetObjectDescriptionHtml();
    if (IE8)
      // Hacking around problem noted in http://www.quirksmode.org/bugreports/archives/2004/11/innerhtml_and_t.html
      sDescription = "<div class='MultiLineStringField'>" + (sDescription != null ? sDescription : "") + "</div>";
    $("#DetailsPaneHeaderDescription").html(sDescription != null ? sDescription : "");

    var sButtons = sGetDetailsPaneToolbarHtml(vsPageId);
    var oButtons = $("#DetailsPaneHeaderButtons");
    oButtons.html(sButtons ? sButtons : "");

    var arHeaderProperties = arGetDetailsPaneHeaderProperties();
    var oHeaderProperties = $("#DetailsPaneHeaderProperties");
    oHeaderProperties.empty();

    if (bHideDetailsPaneHeaderProperties())
      $("#tdDetailsPaneHeaderProperties").css("display", "none");
    else if (arHeaderProperties) {
      for (var i = 0; i < arHeaderProperties.length; ++i) {
        var oProperty = arHeaderProperties[i];
        var sValue = oProperty.psValue;
        if (sValue) {
          oHeaderProperties.append($(document.createElement('TR')).
                              append($(document.createElement('TH')).
                                html(oProperty.psLabel)).
                              append($(document.createElement('TD')).
                                html(oProperty.psValue)));
        }
      }
    }

   if (["scorecardsSCPLUGIN_navigator", "scorecardsSCPLUGIN_analysis"].indexOf(oGetHeaderView().sGetMenuId()) > -1 && oGetDetailsPane().sGetAccessLevel() > 1) {
	    if (oGetDetailsPane().sGetParentObject() == "") {
	      $('#DetailsPaneHeaderButtons').append("<li><a href='javascript:deleteMeasure();' class='ToolBarIconButton' style='background:url(<#PortalImageFileLocation>icon_delete.png) no-repeat left center;'><#LocalizedText id="Delete scorecard"></a></li>");
	    } else {
	      $('#DetailsPaneHeaderButtons').append("<li><a href='javascript:deleteMeasure();' class='ToolBarIconButton' style='background:url(<#PortalImageFileLocation>icon_delete.png) no-repeat left center;'><#LocalizedText id="Delete measure"></a></li>");
	    }
	    $('#DetailsPaneHeaderButtons').append("<li><a href='javascript:modifyMeasure();' class='ToolBarIconButton' style='background:url(<#PortalImageFileLocation>btn_edit.gif) no-repeat left center;'><#LocalizedText id="Modify measure"></a></li>");
        $('#DetailsPaneHeaderButtons').append("<li><a href='javascript:createMeasure();' class='ToolBarIconButton' style='background:url(<#PortalImageFileLocation>icon_add.png) no-repeat left center;'><#LocalizedText id="Create measure"></a></li>");
	 }
   }
  
  function createMeasure() {
    var sURL = sGetDocumentLocation();
	var objectId = "SC.<#ModelId>." + sGetSelectedObjectId();
	sURL = sURL.replace("SCPLUGIN", "QPRPORTAL");
	sURL = sSetParameter("TPL", "measuremodificationview.tpl", sURL);
	sURL = sSetParameter("measureId", objectId, sURL);
    sURL = sSetParameter("operation", "add", sURL);
    OpenWindow(sURL, "_blank", 600, 500, 0, true, 300, 100);
  }

  function modifyMeasure() {
    var sURL =  sGetBaseURL("QPRPORTAL", "putab");
	var objectId = "SC.<#ModelId>." + sGetSelectedObjectId();
	sURL = sSetParameter("TPL", "measuremodificationview.tpl", sURL);
	sURL = sSetParameter("measureId", objectId, sURL);
	sURL = sSetParameter("operation", "modify", sURL);
    OpenWindow(sURL, "_blank", 600, 500, 0, true, 300, 100);
  }
 
  function deleteMeasure() {
    var deleteElement = false;
	if (oGetDetailsPane().sGetParentObject() == "") {
	  deleteElement = confirm("Delete scorecard \"" + sHTMLDecode(sGetObjectLabel()) + "\" and all of its measures?");
	} else {
	  deleteElement = confirm("Delete measure \"" + sHTMLDecode(sGetObjectLabel()) + "\" and all of its child measures (if any)?");
	}
	if (deleteElement) {
	  var objectId = "SC.<#ModelId>." + sGetSelectedObjectId();
      oGetMainView().oAccessor.LoadProxy(function() {
	    oGetMainView().oAccessor.AutoAuthenticate(function() {
		  oGetMainView().oAccessor.oClient.DeleteObject(oGetMainView().oAccessor.sSessionId, objectId, "", function() {
            oGetMainView().oAccessor.oClient.LogOff(oGetMainView().oAccessor.sSessionId);
	        if (oGetDetailsPane().sGetParentObject() == "") {
	          oGetMainView().UpdateHierarchyParameters("", false, false);
	        } else {
		      location.replace(sGetDocumentLocation());
		      refreshWindow();
		    }
          }, handleError);
		}, handleError);
	  } , handleError);
	
	  
    }
  }
 
  function handleError(result) {
    var errorMessage = "";
    if (result != null && typeof(result.get_message) != "undefined") { 
	  errorMessage = result.get_message();
    }
    alert("Error occured. Please try again in a moment.\n\nError message:\n" + errorMessage);
  }
	  
  function refreshWindow() {
	location.replace(sGetDocumentLocation()); 
  }
  
</script>

<div id="DetailsPaneHeader">
  <table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 42px;">
    <tr valign="top">
      <td rowspan="2" id="DetailsPaneHeaderIcon" style="width: 20px;">
      </td>
      <td id="DetailsPaneHeaderLabel" class="Label">
      </td>
      <td id="tdDetailsPaneHeaderProperties" rowspan="2" style="width: 300px;">
        <table border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
          <tbody id="DetailsPaneHeaderProperties">
          </tbody>
        </table>
      </td>
      <td id="tdDetailsPaneHeaderButtons">
        <ul id="DetailsPaneHeaderButtons" class="ToolBar">
        </ul>
      </td>
      <td valign="top" style="padding-right: 4px; padding-top: 4px; width: 16px;">
        <a id="MinimizeDetailsPaneLink" href="javascript:ToggleShowHideDetailsPane();"><img src="<#PortalImageFileLocation>btn_hidedetailspane.gif" title="<#LocalizedText id="Minimize Details Pane">"></a>
      </td>
    </tr>
    <tr valign="top">
      <td id="DetailsPaneHeaderDescription" class="Description MultiLineStringField" colspan="2">
      </td>
    </tr>
  </table>
</div>
<!-- [QPRTemplateEnd: detailspaneheader.tpl] -->
