// [QPRTemplateStart: jsdynamichierarchy.tpl]
  var _sDefaultQueryFields = "<#Parameter id="Fields">";
  var _sDefaultQueryFilters = "";
  var _sDefaultQuerySortBy = "<#Parameter id="SortBy" default="">";
  var _sConfigurationFile = "<#Parameter id="ConfigurationFile">";
  var _sHierarchy = "<#Parameter id="Hierarchy">";
  var _sHierarchyExtraParameters = "<#Parameter id="ExtraParameters">";
  var _iProductId = iGetProcessorProductId();
  var _bJavascriptRows = true;
  var _bIgnoreAccess = true;

// 1. To enable automatic dynamic mode (default), set the node count threshold into AutoDynamic-parameter below. The number set into AutoDynamic-parameter indicates
//    the minimum number of nodes in the hierarchy that are required before the hierarchy is made dynamic.
// 2. To enable paging, set non-zero value to MaxCount (into both 2 places) and remove dynamic-attribute from Hierarchy-tag below. The number set into MaxCount-parameter
//    indicates the maximum number of hierarchy nodes shown in a single page.
// Note: You can also modify parameter values by modifying Include-tag attributes in the templates where this template is included.

  var _iMaxHierarchyNodeCount = "<#Parameter id="MaxCount" default="0">";
  InitializeHierarchy(true);
  <#Hierarchy hierarchy="<#Parameter id="Hierarchy">:setvisible=<#Parameter id="SetVisible">,autodynamic=<#Parameter id="AutoDynamic" default="2000">,forceaccessibleitemvisible=<#Parameter id="ForceAccessibleItemVisible" default="0"> <#Parameter id="ExtraParameters" default="">" maxcount="<#Parameter id="MaxCount" default="0">" dynamic="2" expandlevels="1" skiplevels="2" ignoreaccess="1" first="0" javascriptrows="1" where='' fields="<#Parameter id="Fields">" sort="<#Parameter id="SortBy" default="">" roottag="1" configuration="<#Parameter id="ConfigurationFile">">

  document.write(WriteTreeDiv());
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, _iMaxHierarchyNodeCount, true, sSetParameter("NORELOAD" , "1", sRemoveParameter("OID", sGetDocumentLocation()))));
// [QPRTemplateEnd: jsdynamichierarchy.tpl]
