<!DOCTYPE html>
<!-- [QPRTemplateStart: analysishierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";
  
  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }
  
  function OpenProcessLevelLink(vsId)
  {
    var sURL = sSetParameter(ACT_PARAM_TEMPLATE, "processanalysisview.tpl", "<#TableViewURL plugin="PGPLUGIN">");
    sURL = sSetParameter(ACT_PARAM_QUERY_ATTRIBUTE_SHORT, "pgobjects", sURL);
    sURL = sSetParameter(sGetModelIdParameter(), iGetModelId(), sURL);
    if ( _bOpeningDefaultView )
      sURL = sAddRequestIDToURL(sURL, true);
    OpenHierarchyLink(vsId, sURL);

    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>view_flowchart.gif", "javascript:OpenProcessLevelLink('" + vsId + "');", "PGPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
  
  _sViewParameterPrefix = "PGAN_";
  var _sFullModelId = sCreateExternalObjectId(PR_PG, _iModelId);
</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    var sId = sCreateExternalObjectId(PR_PG, _iModelId);
    var sURL = "javascript:OpenProcessLevelLink('" + sId + "')";
    document.write('<table><td><img src="<#ImageFileLocation>icon_folder.gif" class="JSTreeImage">&nbsp;<a id="' + sId + '" onclick="javascript:SetHTMLObjectSelected(this);" href="' + sURL + '" class="PGPLUGINHierarchyRow"><#LocalizedText id="All diagrams"></a>' +
      sGetDrillDownButtonHtml("PL", "<#LocalizedText id="Drill through diagrams">") + 
      '</td></tr></table>');  
  
    InitializeHierarchy(true);
  
    var iRootObjectAccess = "<#Model attribute="rootobjecthierarchyaccesslevel">";
    if (iRootObjectAccess >= 0) {
      var sId = sCreateExternalObjectId(PR_PG, _iModelId, "<#Model attribute="rootobjectid">");
      var sURL = "javascript:OpenProcessLevelLink('" + sId + "')";
      AddNormalNode(sId, "<#Model attribute="Name">", "<#PluginImageFileLocation>view_flowchart.gif", sURL, "PGPLUGINHierarchyRow", "tl", true);
    }
    else {
      AddNormalNode(sId, "<#LocalizedText id="No access">", "", "", "PGPLUGINHierarchyRowNoLink", "", true);
    }
    PushNodeLevel();
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="processlevels" SetVisible="<#ConvertModelId id="<#URLParameter id="OID">">" ConfigurationFile="hierarchyfields.ini">
    PopNodeLevel();
  
    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: analysishierarchytreeview.tpl] -->
