<!DOCTYPE html>
<!-- [QPRTemplateStart: actionbyuserhierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  var _sSelectedUsers = '<#ActionByUserUsers>';
  var MAX_NUMBER_OF_SHOWN_USERS_IN_ACTIONS_BY_USER_HIERARCHY = 100;
  
  function OpenActionsOnUserUserSelectionWindow()
  {
    var sParams = ACT_PARAM_SELECTION + '=' + _sSelectedUsers + '&' + ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_ALLOW + '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH + '&' + ACT_PARAM_CALLBACK + '=' + 'OnCloseUserSelection' + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_ANY + '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_STRING + '&' + ACT_PARAM_MAX_NUM_SELECTED_USERS + '=' + MAX_NUMBER_OF_SHOWN_USERS_IN_ACTIONS_BY_USER_HIERARCHY;
    OpenUserSelectionWindow('<#UserSelectionViewURL>&' + sParams, 'ActionByUserUserSelection');
  }

  function OnCloseUserSelection(vsUsers)
  {
    UpdateHierarchyParameters('ACTIONS_BYUSER_USERS=' + vsUsers, true, false, false, true);
  }

  function sGetAttachActionButton()
  {
    if (<#IsPortalReadonly true="true" false="false">)
      return "";
    var sURL = "javascript:OpenWindow(\"<#VTNViewURL VTN="ASSOCIATIONEDITOR" CRP="p">&" + ACT_PARAM_ASSOCIATION_PARENT_ID + "=1\")";
    return sGetButtonHTML("<#LocalizedText id="Add">", sURL)
  }

  function sGetHierarchyToolbarHTML()
  {
    var sHTML = sGetToolbarIconButtonHTML("<#LocalizedText id="Select Users">", "javascript:oGetHierarchyTreeView().OpenActionsOnUserUserSelectionWindow();", "<#PortalImageFileLocation>icon_select_users.gif");
    if (<#IsPortalReadonly true="false" false="true">)
      sHTML = sGetToolbarIconButtonHTMLForSimplePopup("<#LocalizedText id="Add">", "<#VTNViewURL VTN="ASSOCIATIONEDITOR" CRP="p">&" + ACT_PARAM_ASSOCIATION_PARENT_ID + "=1", "<#PortalImageFileLocation>icon_add.png") + sHTML;
    return sHTML;
  }

    function sGetHeaderHTML()
  {
    return "<#HierarchyHeader class='HierarchyHeader'>";
  }
  
  var _sViewTemplate = "actionbyuserview.tpl";

  function OpenUserLink(vsUserId)
  {
    OpenActionLink('', vsUserId, ACT_PARAM_QUERY_ONLY_OBJECTS_USER_IS_RESPONSIBLE + '=' + vsUserId);
  }

  var _sDefaultQueryFields = "actionsbyuserhierarchy";
  var _sDefaultQueryFilters = "";
  var _sDefaultQuerySortBy = "name";
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">
<script>
  SetTreeImagePath('<#PortalImageFileLocation>', false, false, "<#IsRTL true="_rtl">");
  var sImageRoot = "<#PortalImageFileLocation>";
  AddNormalNode("users", "<#LocalizedText id="Users">", sImageRoot + "icon_user.gif", "", "", "", true);
  PushNodeLevel();
  <#ForEach forcequeryparameters="1" first="0" maxcount="50" where='isgroup = 0' attribute="users:idsfromappparam=ACTIONS_BYUSER_USERS" fields="actionsbyuserhierarchy" sort="fullname,name" configuration="actionsbyuserfields.ini" nocache="1">
  PopNodeLevel();
  AddNormalNode("groups", "<#LocalizedText id="Groups">", sImageRoot + "icon_group.gif", "", "", "", true);
  PushNodeLevel();
  <#ForEach forcequeryparameters="1" first="0" maxcount="50" where='isgroup' attribute="users:idsfromappparam=ACTIONS_BYUSER_USERS" fields="actionsbyuserhierarchy" sort="PrettyName" configuration="actionsbyuserfields.ini" nocache="1">
  PopNodeLevel();

  document.write(WriteTreeDiv());
  PrepareTree();

  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50, true));
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: actionbyuserhierarchytreeview.tpl] -->
