<!DOCTYPE html>
<!-- [QPRTemplateStart: actionhierarchytreeview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jsportaltoolbarutils.tpl">

    <script type="text/javascript" src="<#ScriptFileLocation>actionhierarchytreeview.js"></script>    

<script type="text/javascript">
  
  function sGetAttachActionButton()
  {
    if (<#IsPortalReadonly true="true" false="false"> || (iExtractProductId(_sRoot) == PR_PORTAL) || !sExtractObjectId(_sRoot))
      return "";
    var sURL = "javascript:OpenWindow(\"<#VTNViewURL VTN="ASSOCIATIONEDITOR" CRP="p">&" + ACT_PARAM_ASSOCIATION_PARENT_EXTERNAL_OBJECT_ID + "=" + _sRoot + "\")";
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Add">", sURL, "<#PortalImageFileLocation>icon_add.png");
  }

  function OpenDetailsForId(viId)
  {
    _sSelectedObjectId = viId;
    SetObjectSelectedStateByObjectIdValue(sCreateExternalObjectId(PR_PORTAL, 0, viId));    
    
    var sURL = "<#VTNViewURL VTN="ASSOCIATIONDETAILS" CRP="p">&" + ACT_PARAM_ASSOCIATION_ID + "=" + viId;
    if (parent && bExists(parent.OpenDetailsURL))
      parent.OpenDetailsURL(sURL);
    else if (!parent.bIsInPrintFrame())
      OpenInformationView(sURL, viId);
  }

  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive2.value = '0';
    if (iExtractProductId(_sRoot) == PR_PG) {
      oRecursive1.value = 'PL';
      document.write('<#LocalizedText id="Drill through diagrams">');
    }
    else if (iExtractProductId(_sRoot) == PR_SC) {
      oRecursive1.value = 'SC';
      document.write('<#LocalizedText id="Drill through scorecards">');
    }
  }

  function sGetTableHeaderExtraInfo()
  {
    return "<span class='NormalText'><#LocalizedText id="View:">&nbsp;<#ViewSettingsName></span>";
  }
  
</script>

  </head>
  
  <body id="body" onLoad="OnLoadEx();" onUnload="OnUnload();" onResize="OnResize()" style="overflow-y: hidden; overflow-x: auto;">
  
<table width="100%"><tr><td> <!-- Table to group header and content together -->
<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  InitializeHierarchy();

  <#Hierarchy expandexternal="1" flattenroots="1" roottag="1" dynamic="2" maxcount="200" where='' hierarchy="actions:includesubprocesseshiddenfromhierarchy=1" fields="hierarchy,creator,lastmodifieddate,category,attachments" sort="-lastmodifieddate,header" configuration="actionhierarchyfields.ini">

  document.write(WriteTreeDiv());
</script>
        </td>
      </tr>
    </table>
    </form>
</td></tr></table>
<script type="text/javascript">
  var _iScrollPos;
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 200, true));

  function OnBeforeTreeUpdate()
  {
    _iScrollPos = $('#TableBody').scrollTop();
  }

  function OnAfterTreeUpdate()
  {
    AdjustTable();
    $('#TableBody').scrollTop(_iScrollPos);
  }

  $(window).resize(SetupFixedHeaderTable).trigger("resize");
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: actionhierarchytreeview.tpl] -->
