<!-- [QPRTemplateStart: associationscheduleattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <th valign="top">
    <#Label>:
  </th>   
  <td>
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="4" nowrap="true">
          <input type="radio" id="<#Name>_ScheduleType" name="<#Name>_ScheduleType" value="0" checked="true" onClick="javascript:<#Name>_OnScheduleTypeChanged();" />
		  <label for="<#Name>_ScheduleType"><#LocalizedText id="Disabled"></label>
        </td>
      </tr>
      <tr>
        <td colspan="4" nowrap="true">
          <input type="radio" id="<#Name>_ScheduleType" name="<#Name>_ScheduleType" value="1"  onClick="javascript:<#Name>_OnScheduleTypeChanged();" />
		  <label for="<#Name>_ScheduleType"><#LocalizedText id="Every day"></label>
        </td>
      </tr>
      <tr>
        <td valign="top" colspan="2" nowrap="true">
          <input type="radio" id="<#Name>_ScheduleType" name="<#Name>_ScheduleType" value="2"  onClick="javascript:<#Name>_OnScheduleTypeChanged();" />
		  <label for="<#Name>_ScheduleType"><#LocalizedText id="Every week">,</label>
        </td>
        <td valign="top" nowrap="true">
          <#LocalizedText id="Day">:
        </td>
        <td nowrap="true">
          <select id="<#Name>_WeekDays" name="<#Name>_WeekDay" style="width: 100px;">
            <#WeekdayOptions>
          </select>
        </td>
      </tr>
      <tr>
        <td valign="top" colspan="2" nowrap="true">
          <input type="radio" id="<#Name>_ScheduleType" name="<#Name>_ScheduleType" value="3"  onClick="javascript:<#Name>_OnScheduleTypeChanged();" />
		  <label for="<#Name>_ScheduleType"><#LocalizedText id="Every month">,</label>
        </td>
        <td valign="top" nowrap="true">
          <#LocalizedText id="Day">:
        </td>
        <td  nowrap="true">
          <select id="<#Name>_DaysForEveryMonth" name="<#Name>_Day" style="width: 100px;">
            <#DayOptions includespecials="1">
          </select>
        </td>
      </tr>
      <tr>
        <td valign="top" nowrap="true">
          <input type="radio" id="<#Name>_ScheduleType" name="<#Name>_ScheduleType" value="4"  onClick="javascript:<#Name>_OnScheduleTypeChanged();" />
		  <label for="<#Name>_ScheduleType"><#LocalizedText id="Every year">, <#LocalizedText id="Month">:</label>
        </td>
        <td nowrap="true">
          <select id="<#Name>_Months" name="<#Name>_Month" style="width: 100px;" onChange="javascript:<#Name>_MonthsForEveryYearChanged();">
            <#MonthOptions>
          </select>, 
        </td>
        <td valign="top" nowrap="true">
          <#LocalizedText id="Day">:
        </td>
        <td  nowrap="true"> 
          <select id="<#Name>_DaysForEveryYear" name="<#Name>_Day" style="width: 100px;">
            <#DayOptions includespecials="1">
          </select>
        </td>
      </tr>
      <tr>
        <td colspan="4">
          <#LocalizedText id="at (time)">: 
          <input type="text" name="<#Name>_HOUR" value="<#Value id="HOUR">" size="2" />&nbsp;:&nbsp;<input type="text" name="<#Name>_MINUTE" value="<#Value id="MINUTE">" size="2" />
        </td>
      </tr>
    </table>
  </td>
</tr>

<script type="text/javascript">
  function <#Name>_MonthsForEveryYearChanged() {
  var imonth = jQuery("#<#Name>_Months").val(); 
  if(jQuery("#<#Name>_DaysForEveryYear").children('option[value="29"]').length == 0) {
    jQuery("#<#Name>_DaysForEveryYear").children('option[value="28"]').after($("<option></option>").val("29").html("29"));
  }
  if(jQuery("#<#Name>_DaysForEveryYear").children('option[value="30"]').length == 0) {
    jQuery("#<#Name>_DaysForEveryYear").children('option[value="29"]').after($("<option></option>").val("30").html("30"));
  }
  if(jQuery("#<#Name>_DaysForEveryYear").children('option[value="31"]').length == 0) {
    jQuery("#<#Name>_DaysForEveryYear").children('option[value="30"]').after($("<option></option>").val("31").html("31"));
  }
  if (imonth == 2) 
    jQuery("#<#Name>_DaysForEveryYear").children('option[value="29"], option[value="30"], option[value="31"]').remove()
  else if (jQuery.inArray(imonth, ['4','6','9','11']) > -1)
    jQuery("#<#Name>_DaysForEveryYear").children('option[value="31"]').remove();
  jQuery("#<#Name>_DaysForEveryYear").val("1");
}
  function <#Name>_OnScheduleTypeChanged()
  {
    jQuery("#<#Name>_Months").attr("disabled", "disabled");
    jQuery("#<#Name>_WeekDays").attr("disabled", "disabled");
    jQuery("#<#Name>_DaysForEveryMonth").attr("disabled", "disabled");
    jQuery("#<#Name>_DaysForEveryYear").attr("disabled", "disabled");

    if (document.properties.<#Name>_ScheduleType[2].checked)
      jQuery("#<#Name>_WeekDays").removeAttr("disabled");
    if (document.properties.<#Name>_ScheduleType[3].checked)
      jQuery("#<#Name>_DaysForEveryMonth").removeAttr("disabled");
    else if (document.properties.<#Name>_ScheduleType[4].checked) {
      jQuery("#<#Name>_DaysForEveryYear").removeAttr("disabled");
      jQuery("#<#Name>_Months").removeAttr("disabled");
    }
  }
  function bValidateTimeValue_<#Name>() {
    var bResult = true;
    var sHour= document.properties.elements['<#Name>_HOUR'].value;    
    var iCode;
    
    if (!(sHour) && (sHour.length < 1)) {
      bResult = false;
    } else {
      for (var i = 0; i < sHour.length; i++){
        iCode = sHour.charCodeAt(i);
        
        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }    
    }

    if (!bResult) {    
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_HOUR'].focus();
      return(false);
    }
    
    var iHour = parseInt(sHour);
    
    if ((iHour < 0) || (iHour > 23)) {
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_HOUR'].focus();
      return(false);
    }
    
    var sMinute= document.properties.elements['<#Name>_MINUTE'].value;    
    
    if (!(sMinute) && (sMinute.length < 1)) {
      bResult = false;
    } else {
      for (var i = 0; i < sMinute.length; i++){
        iCode = sMinute.charCodeAt(i);
        
        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }    
    }

    if (!bResult) {    
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_MINUTE'].focus();
      return(false);
    }
    
    var iMinute = parseInt(sMinute);
    
    if ((iMinute < 0) || (iMinute > 59)) {
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_MINUTE'].focus();
      return(false);
    }        
    
    return(bResult);
  }
 
  document.properties.<#Name>_ScheduleType[<#Value id="ScheduleType">].checked = true;
  <#Name>_OnScheduleTypeChanged();
  RegisterValidator(bValidateTimeValue_<#Name>);
</script>
<!-- [QPRTemplateEnd: associationscheduleattributeeditor.tpl] -->
