<!-- [QPRTemplateStart: associationworkflowboundtotypesattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <th style="vertical-align: top">
    <#Label>:
  </th>
  <td> 
<script type="text/javascript">
  var _arSelected = [];
  
  function OnClickSelectBoundToTypes()
  {
    var sUrl = "<#FramedPageURL CRP="p" template="objectselection.tpl">&INITCB=oGetBoundToTypesSelectionInitializationData";
    OpenWindow(sUrl, "FieldSelection", 400, 300, false, true);
  }

  function oGetBoundToTypesSelectionInitializationData()
  {
    var arObjects = [];
    for (var i = 0; i < _arActionTypes.length; ++i) {
      var oActionType = _arActionTypes[i];
      var sId = sCreateExternalObjectId(PR_PORTAL, -1, oActionType.piId);
      var bSelected = jQuery.inArray(sId, _arSelected) != -1;
      arObjects[arObjects.length] = {
        "psId" : sId,
        "psName" : oActionType.psName,
        "psIconUrl" : oActionType.psIconUrl,
        "pbSelected" : bSelected
      };
    }

    var oResult = {
      "psViewTitle" : "<#LocalizedText id="Select Types To Bind To">",
      "psSelectButtonLabel" : "<#LocalizedText id="Select">",
      "parObjects" : arObjects,
      "OnOk" : function (varValues) {
        _arSelected.length = 0;
        jQuery("#tableBoundToTypes_<#Name>").empty();
        jQuery("#hiddenValue_<#Name>").val("");
        jQuery.each(varValues, function(viIndex, voValue) {
          AddRow(voValue.psId, voValue.psName, voValue.psName, "", "<#LocalizedText id="Action type">", voValue.psIconUrl);
        });
      }
    };
    return oResult;
  }
  
  function AddRow(vsId, vsLabel, vsLinkTitle, vsViewUrl, vsIconTitle, vsIconUrl)
  {
    _arSelected[_arSelected.length] = vsId;
    var sPrevValue = jQuery("#hiddenValue_<#Name>").val();
    jQuery("#hiddenValue_<#Name>").val(sPrevValue ? sPrevValue + "," + vsId : vsId);

    var oTable = jQuery("#tableBoundToTypes_<#Name>");
    var oTr = jQuery("<tr></tr>").appendTo(oTable);
    var oTd = jQuery("<td></td>").appendTo(oTr);
    oTd.html("&nbsp;" + vsLabel);
    jQuery("<img/>")
      .addClass("JSTreeImage")
      .attr("title", vsIconTitle)
      .attr("src", vsIconUrl)
      .prependTo(oTd);
  }
</script>

    <input id="hiddenValue_<#Name>" type="hidden" value="" name="<#Name>">
    <table id="tableBoundToTypes_<#Name>" border='<#TemplateParameter id="excelexport" value="1" true="1" false="0">' cellspacing='0' cellpadding='0' style="max-height: 20px; overflow: scroll;">
      <#ForEach attribute="linkedobjects" root="<#FullId>" ATID="<#Name noprefix="1">" where="" sort="name" maxcount="100" fields="jsheader" template="hierarchy_row.tpl" fieldtemplate="dynamicfields\\generic$field.tpl">
    </table>
 	  <input type="button" class="Button" name="BoundToTypes" value="<#LocalizedText id="Select">" onClick="OnClickSelectBoundToTypes()" style="width: 85px">
  </td>
</tr>
<!-- [QPRTemplateEnd: associationworkflowboundtotypesattributeeditor.tpl] -->