<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletpageproperties_customurl.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow(420, 380);
      function openBookletHelp()
      {
	OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?pageproperties.htm'));
      } 
    </script>
  </head>

   <body rightmargin="0" topmargin="0">

      <form action="<#PropertiesURL>" name="formPageProperties" method="post">
    <table border="0" cellspacing="4" cellpadding="0" width="100%" height="1">
      <tr height="1%">
        <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Page Properties"> - <#PageName></td>
      </tr>
      <tr>
        <td class="TableCellPaddingBackground">
          <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
            <tr height="1%" class="ControlGroup">
              <td>
                <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
                  <tr>
                     <td><#LocalizedText id="Name">:</td>
                  </tr>
                  <tr>
                     <td><input type="text" style="width: 300px" size="24" name="<#PageNameID>" id="<#PageNameID>" maxlength="255" value="<#PageName>"/></td>
                  </tr>
                  <tr>
                    <td><#LocalizedText id="Link">:</td>
                  </tr>
                  <tr height="19">
                    <td height="19"><input type="text" name="<#CustomURLID>" value="<#PageLink>" style="width: 300px" size="24" /></td>
                  </tr>
                  <tr>
                    <td><#LocalizedText id="Description">:</td>
                  </tr>
                  <tr>
                    <td><textarea name="<#PageDescriptionID>" cols="40" rows="4" style="width: 300px"><#PageDescription></textarea></td>
                  </tr>
                  <tr height="25">
                    <td align="<#IsRTL true="left" false="right">" height="25"></td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td align="<#IsRTL true="left" false="right">">
          <input type="hidden" name="<#PageIDID>" id="<#PageIDID>" value="<#PageID>"/>
          <input type="submit" style="width: 100px" value="<#LocalizedText id="OK">" name="<#PropertiesID>"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" OnClick="javascript: window.close();"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" OnClick="javascript: openBookletHelp();"/>
        </td>
      </tr>
    </table>
   </form>
   <script  type="text/javascript">
    InitializeResizeHandlerForPopup(window);
   </script>

 </body>

</html>
<!-- [QPRTemplateEnd: bookletpageproperties_customurl.tpl] -->
