<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletprintpreview_nopdf.tpl] -->
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>

  <style>
@media print {
  .HiddenFromPrint { 
    display: none; 
  }
}
  </style>

  <script type="text/javascript">
  var EXPAND_MULTI_PAGE_VIEWS = true;
  var SET_IFARME_HEIGHT_TO_CONTENT_HEIGHT = !EXPAND_MULTI_PAGE_VIEWS;
  var MAX_PAGE_HEIGHT = 960;
  var EXTRA_VERTICAL_SPACE_MULTIPLIER = 1.00;
  var EXTRA_PADDING_FOR_ACTION_CALL_FRAMESET = 0;
  var EXTRA_SPACE_BETWEEN_PAGES_OF_VIEW = 30;

  var normalpages = new Array();
  var blankpages = new Array();
  var _ilFramesLoaded = new Array();
  <#jsnormalpageslist>
  <#jsblankpageslist enc="js">

  var _bPagesOnly = sGetParameter("MODE", sGetDocumentLocation()) == "2";
  var _iFrameCount = 0, _iBookletPageCount = 0, _iPageScrollPos = 0, _iPadding = 0;

  function FiGetTotalHeight(voDocument)
  {
    var iTest1 = voDocument.body.scrollHeight;
    var iTest2 = voDocument.body.offsetHeight;
    if (iTest1 > iTest2) // all but Explorer Mac
    	return iTest1;
    else // Explorer Mac;
    	return iTest2;
  }

  function FScrollTo(varViewFrameContent, viScrollY)
  {
    for (var i = 0; i < varViewFrameContent.length; ++i) {
      var oViewFrameContent = varViewFrameContent[i];
      try {
        var oViewFrameDocument = oViewFrameContent.window.document;
  
        // Scrolling must be done using CSS since scrollTo doesn't affect the scroll positions used when printing.
        if (IEANY) {
          // Add margin to first visible child element of body element
          // IE doesn't support setting negative margin directly for body-element.
          var oBody = oViewFrameDocument.body;
          var oChild = oViewFrameDocument.body.firstChild;
          while (oChild)
          {       
            if ((oChild.tagName !== "SCRIPT") &&
                (oChild.tagName !== "!") &&
                (!oChild.style.display || (oChild.style.display != "none")) && 
                (SafeParseInt(oChild.style.zIndex, 0) == 0)) {
              var iMarginTop = SafeParseInt(oChild.style.marginTop, 0);
              oChild.style.marginTop = (iMarginTop - viScrollY) + "px";
              break;
            }
            else if (oChild == oViewFrameDocument.body.lastChild)
              break;
            oChild = oChild.nextSibling;
          }
        }
        else {
          oViewFrameDocument.body.style.marginTop = -viScrollY + "px";
        }
      }
      catch (e) {
      }
    }
  }
  
  function arGetViewFrameContents(voFrameContent)
  {
    var arResult = new Array();
    var oViewFrameContent;
    if (_bPagesOnly) {
      oViewFrameContent = voFrameContent;
      try {
        if (oViewFrameContent.oGetUserFrame && oViewFrameContent.oGetUserFrame())
          oViewFrameContent = oViewFrameContent.oGetUserFrame();
        if (oViewFrameContent.oGetTree && oViewFrameContent.oGetTree())
          oViewFrameContent = oViewFrameContent.oGetTree();
        oViewFrameContent.frameElement.scrolling = "no";
      }
      catch (e) {
      }
      arResult[arResult.length] = oViewFrameContent;
    }
    else {
      var i = 0;
      while (oViewFrameContent = eval("voFrameContent.window.frames.frame" + ++i)) {
      bInPortal();
        try {
          var oViewFrameDocument = oViewFrameContent.window.document;
          if (oViewFrameDocument.readyState && (oViewFrameDocument.readyState != "complete")) // force delay until frame has been completely loaded
            return;
          if (oViewFrameContent.oGetUserFrame && oViewFrameContent.oGetUserFrame())
            oViewFrameContent = oViewFrameContent.oGetUserFrame();
          if (oViewFrameContent.oGetTree && oViewFrameContent.oGetTree())
            oViewFrameContent = oViewFrameContent.oGetTree();
          oViewFrameContent.frameElement.scrolling = "no";
        }
        catch (e) {
        }
        arResult[arResult.length] = oViewFrameContent;
      }
    }
    return arResult;
  }
  
  function FiGetMaximumHeightAndModifyForPreview(varViewFrameContent)
  {
    var iResult = 0;
    for (var i = 0; i < varViewFrameContent.length; ++i) {
      var oViewFrameContent = varViewFrameContent[i];
      var iNewHeight;
      try {
        var oViewFrameDocument = oViewFrameContent.window.document;
        iNewHeight = FiGetTotalHeight(oViewFrameDocument) * EXTRA_VERTICAL_SPACE_MULTIPLIER;
      }
      catch (e) {
        iNewHeight = MAX_PAGE_HEIGHT;
      }
      if (iNewHeight > iResult)
        iResult = iNewHeight;
    }
    return iResult;
  }
  
  function FiGetPadding(voFrameContent, varViewFrameContent)
  {
    for (var i = 0; i < varViewFrameContent.length; ++i) {
      var oViewFrameContent = varViewFrameContent[i];
      try {
        var bInSubFrame = oViewFrameContent.window.parent.oGetUserFrame || oViewFrameContent.window.parent.oGetTree;
        if (bInSubFrame)
          oViewFrameContent = oViewFrameContent.window.parent;
        return _bPagesOnly ? (bInSubFrame ? EXTRA_PADDING_FOR_ACTION_CALL_FRAMESET : 0) : FiGetTotalHeight(voFrameContent.window.document) - oViewFrameContent.frameElement.clientHeight;
      }
      catch (e) {
      }
    }
    return 0;
  }

  function FbIsFrameLoaded(viFrameId)
  {
     for (var i = 0; i < _ilFramesLoaded.length; ++i) {
       if (_ilFramesLoaded[i] == viFrameId)
         return true;
     }
     return false;
  }
  
  function FbContentWillBeReloaded(viFrameId, varViewFrameContent)
  {
    try {
      for (var i = 0; i < varViewFrameContent.length; ++i) {
        var oViewFrameContent = varViewFrameContent[i];
        if (!oViewFrameContent || 
            ((typeof(oViewFrameContent.bIsRedirectView) != "undefined") && oViewFrameContent.bIsRedirectView()) ||
            ((typeof(oViewFrameContent.bIsReloadPending) != "undefined") && oViewFrameContent.bIsReloadPending())) {
          return true;
        }
      }
    }
    catch (e) {
    }
    return false;
  }
  
  function FbContentLoaded(viFrameId, varViewFrameContent)
  {
    try {
      for (var i = 0; i < varViewFrameContent.length; ++i) {
        var oParentViewFrameContent, oViewFrameContent = varViewFrameContent[i];
        if (!oViewFrameContent)
          continue;
        if (oViewFrameContent.window.parent.oGetUserFrame || oViewFrameContent.window.parent.oGetTree)
          oParentViewFrameContent = oViewFrameContent.window.parent;
  
        if (oParentViewFrameContent && (typeof(oParentViewFrameContent.bIsViewCompleted) != "undefined") && !oParentViewFrameContent.bIsViewCompleted()) {
          return false;
        }
      }
    }
    catch (e) {
    }
    return true;
  }

  function OnFrameLoadHandler(voEvent)
  {
    var iFrameId = (typeof (voEvent.target) != "undefined") ? voEvent.target.id : voEvent.srcElement.id;
    OnFrameLoad(iFrameId);
  }
  
  function OnFrameLoad(viFrameId)
  {
    if (_iBookletPageCount >= normalpages.length)
      return;
      
    var oFrame = document.getElementById(viFrameId);
    var oFrameContent = window.frames[viFrameId];
    var arViewFrameContents = oFrameContent ? arGetViewFrameContents(oFrameContent) : null;

    if (!oFrame || !oFrameContent || !arViewFrameContents || !FbContentLoaded(viFrameId, arViewFrameContents)) {
      setTimeout("OnFrameLoad(" + viFrameId + ", false)", 300);
      return;
    }

    if (FbContentWillBeReloaded(viFrameId, arViewFrameContents))
      return;

    if (FbIsFrameLoaded(viFrameId))
      return;
    _ilFramesLoaded[_ilFramesLoaded.length] = viFrameId;

    var iHeight = FiGetMaximumHeightAndModifyForPreview(arViewFrameContents);
    if (_iPadding == 0)
      _iPadding = FiGetPadding(oFrameContent, arViewFrameContents);
    iHeight -= _iPageScrollPos - _iPadding;

    oFrame.style.width = "100%";

    if (EXPAND_MULTI_PAGE_VIEWS && ((iHeight + _iPadding) > MAX_PAGE_HEIGHT)) {
      oFrame.style.height = MAX_PAGE_HEIGHT;
      FScrollTo(arViewFrameContents, _iPageScrollPos);
      _iPageScrollPos += MAX_PAGE_HEIGHT - _iPadding - EXTRA_SPACE_BETWEEN_PAGES_OF_VIEW;
      LoadNextBookletPage(true, (iHeight - (MAX_PAGE_HEIGHT - _iPadding) + _iPadding) <= MAX_PAGE_HEIGHT);
    }
    else {
      if (SET_IFARME_HEIGHT_TO_CONTENT_HEIGHT)
        oFrame.style.height = iHeight + _iPadding + (_iPadding > 0 ? 30 : 0) + 10;
      else if (!EXPAND_MULTI_PAGE_VIEWS && (iHeight + _iPadding >= MAX_PAGE_HEIGHT))
        oFrame.style.height = "100%";
      
      FScrollTo(arViewFrameContents, _iPageScrollPos);

      _iPadding = 0;
      _iPageScrollPos = 0;
      _iBookletPageCount += arViewFrameContents.length;
      LoadNextBookletPage();
    }
  }
  
  function LoadNextBookletPage(vbNextScrollPos, vbLast)
  {
    if (!vbNextScrollPos && (_iBookletPageCount == normalpages.length))
      return;
    
    var oNewFrame = $("<iframe></iframe>")
      .attr("name", "ifr_" + _iFrameCount)
      .attr("id", _iFrameCount)
      .attr("src", (_bPagesOnly ? sDecodeURI(blankpages[_iBookletPageCount]) : normalpages[_iBookletPageCount]))
      .attr("scrolling", "no")
      .attr("frameBorder", 0)
      .css("width", "100%")
      .height(MAX_PAGE_HEIGHT);

    var OnLoadHandler;
    try {
      OnLoadHandler = eval("function (voEvent) { OnFrameLoad(" + _iFrameCount + "); }");
    }
    catch (e) {
      OnLoadHandler = OnFrameLoadHandler;
    }  

    oNewFrame = oNewFrame[0];
    
    if (oNewFrame.addEventListener)
      oNewFrame.addEventListener("load", OnLoadHandler, false);
    else if (window.attachEvent)
      oNewFrame.attachEvent("onload", OnFrameLoadHandler);
    else
      oNewFrame.onLoad = OnLoadHandler;
    
    var oDivFrames = document.getElementById("divFrames");
    ++_iFrameCount;
    oDivFrames.appendChild(oNewFrame);
  }
  
  function ToggleMode()
  {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter(ACT_PARAM_TEMPLATE, "bookletprintpreview_nopdf.tpl", sURL);
    sURL = sSetParameter("MODE", (_bPagesOnly ? "1" : "2"), sURL);
    document.location = sURL;
  }
  
  function OnLoad()
  {
    LoadNextBookletPage();
  }
  
  function OnPrint()
  {
    if (EXPAND_MULTI_PAGE_VIEWS) {
      if (window.print) 
        window.print();
    }
    else {
      for (var i=0; i<window.frames.length; i++) {
        var oFrame = window.frames[i];
        oFrame.focus();
        oFrame.print();
      }
    }
  }
  
  function OnBackToTop()
  {
    $("html, body").scrollTop(0);
  }
  </script>
  </head>
<body rightmargin="0" leftmargin="0" topmargin="0" onload="OnLoad()">
  <table class="HiddenFromPrint">
    <tr>
      <td>
<script type="text/javascript">
  WriteButtonHTML("<#LocalizedText id="Booklet mode">", (_bPagesOnly ? "javascript:ToggleMode()" : ""), (_bPagesOnly ? "Button" : "SelectedButton"));
  WriteButtonHTML("<#LocalizedText id="Pages only">", (!_bPagesOnly ? "javascript:ToggleMode()" : ""), (!_bPagesOnly ? "Button" : "SelectedButton"));
  WriteButtonHTML("<#LocalizedText id="Print">", "javascript:OnPrint()", "Button");
</script>
      </td>
    </tr>
  </table>

  <div id="divFrames"></div>
  
  <table class="HiddenFromPrint" width="100%">
    <tr>
      <td align="<#IsRTL true="left" false="right">">
<script type="text/javascript">
  WriteButtonHTML("<#LocalizedText id="Back to top">", "javascript:OnBackToTop()");
</script>
      </td>
    </tr>
  </table>
</body>
</html>
<!-- [QPRTemplateEnd: bookletprintpreview_nopdf.tpl] -->
