<!-- [QPRTemplateStart: jsbookmarkutils.tpl] -->
<script type="text/javascript">
      var _iIndex;
      var _sActionData;
      var _bInTransaction = false;

      var adtBookmarks;
      var iBookmarkCount;
      var sSelectedBookmarkId = "-1";
      var aiBkIDs = new Array();

      function bStartTransaction()
      {
        if (_bInTransaction) return false;
        _bInTransaction = true;
        return true;
      }

      function EndTransaction()
      {
        _bInTransaction = false;
      }

      function parseBookmarkData()
      {
        var iId;

        iBookmarkCount = 0;
        adtBookmarks = new Array();
        _iIndex = 0;
        if (!bCheckVersion())
          return;

        ReadSeparator();

        iId = sReadText();
        while (iId != "-ERRORR-")
        {
          adtBookmarks[iBookmarkCount] = new Object();
          adtBookmarks[iBookmarkCount].iId = iId;
          adtBookmarks[iBookmarkCount].sName = sDecodeURI(sReadText());
          adtBookmarks[iBookmarkCount].sLocation = sDecodeURI(sReadText());
          adtBookmarks[iBookmarkCount].sType = sReadText();
          adtBookmarks[iBookmarkCount].bIsEditable = Number(sReadText()) == 1;
          adtBookmarks[iBookmarkCount].iMode = Number(sReadText());
          ReadSeparator();
          iId = sReadText();
          iBookmarkCount++;
        }
      }

      function loadBookmarksEventHandler(result, data)
      {
        if (result == "OK")
        {
          _sActionData = data;
          parseBookmarkData();
          fillBookmarksList();
          if ((document.bookmarksform.lstbookmarks.options.length > 0) && (document.bookmarksform.lstbookmarks.selectedIndex == -1))
            document.bookmarksform.lstbookmarks.options[0].selected = true;
        }
        EndTransaction();
        bookmarkSelectChanged();
      }

      function RefreshParentViewBookmarks(vsHDR, vsSUBHDR, vsParams)
      {
        if (bIsShowingViewSettings())
          return;
        if (bHasValidOpener(parent.window) && parent.window.opener.refreshBookmarks) {
          parent.window.opener.refreshBookmarks(vsHDR, vsSUBHDR, vsParams);
        }
      }

      function refreshBookmarks(vsHDR, vsSUBHDR, vsParams) 
      { 
        loadBookmarks();
        RefreshParentViewBookmarks(vsHDR, vsSUBHDR, vsParams);
      }

      function bIsShowingViewSettings()
      {
        return document.bookmarksform.radViewType[1].checked;
      }

      function bIsShowingQuickLinks()
      {
        return (document.bookmarksform.radViewType.length > 2) && (document.bookmarksform.radViewType[2].checked);
      }
      
      function loadBookmarks()
      {
        var sUrl = "<#LoadBookmarks>&FOO=" + Math.random();
        if (bIsShowingViewSettings())
          sUrl = sSetParameter(ACT_PARAM_BOOKMARK_TYPE, "1", sUrl);
        else if (bIsShowingQuickLinks())
          sUrl = sSetParameter(ACT_PARAM_BOOKMARK_TYPE, "3", sUrl);
        parent.callFunction(sUrl, loadBookmarksEventHandler);
      }

      function fillBookmarksList()
      {
        document.bookmarksform.lstbookmarks.options.length = 0;
        for (i = 0; i < iBookmarkCount; i++)
          document.bookmarksform.lstbookmarks.options[i] = new Option(adtBookmarks[i].sName, adtBookmarks[i].iId, false, false);

        for (i = 0; i < iBookmarkCount; i++)
        {
          if (sSelectedBookmarkId == adtBookmarks[i].iId)
            document.bookmarksform.lstbookmarks.options[i].selected = true;
        }
        if ((iBookmarkCount > 0) && (sSelectedBookmarkId == "-1") && (aiBkIDs.length == 0))
          document.bookmarksform.lstbookmarks.options[0].selected = true;
        SetSelectedBookmark();
      }

      function bookmarkSelectChanged()
      {
        var iBookmarkIndex;

        GetSelectedBookmark();
        if (aiBkIDs.length <= 1)
        {
          iBookmarkIndex = document.bookmarksform.lstbookmarks.selectedIndex;
          if (iBookmarkIndex == -1) {
            if (document.bookmarksform.Properties)
              document.bookmarksform.Properties.disabled = true;
            if (document.bookmarksform.Delete)
              document.bookmarksform.Delete.disabled = true;
            if (document.bookmarksform.Up)
              document.bookmarksform.Up.disabled = true;
            if (document.bookmarksform.Down)
              document.bookmarksform.Down.disabled = true;
            return "-ERRORR-";
          }

          if (document.bookmarksform.Properties)
            document.bookmarksform.Properties.disabled = false;
          if (document.bookmarksform.Delete)
            document.bookmarksform.Delete.disabled = !adtBookmarks[iBookmarkIndex].bIsEditable;

          if (document.bookmarksform.Up)
            document.bookmarksform.Up.disabled = (document.bookmarksform.lstbookmarks.selectedIndex <= 0);
          if (document.bookmarksform.Down)
            document.bookmarksform.Down.disabled = (document.bookmarksform.lstbookmarks.selectedIndex == document.bookmarksform.lstbookmarks.length - 1);
          }

        if (aiBkIDs.length > 1)
        {
          if (document.bookmarksform.Properties)
            document.bookmarksform.Properties.disabled = true;
          if (document.bookmarksform.Up) 
            document.bookmarksform.Up.disabled = bSetUpDownButtons(-1);
          if (document.bookmarksform.Down) 
           document.bookmarksform.Down.disabled = bSetUpDownButtons(1);
        }
      }

      function updateBookmarkEventHandler(result, data)
      {
        if (result == "OK")
        {
          sSelectedBookmarkId = data;
        }
        else if (data.length > 0)
        {
          window.alert(data);
        }
        loadBookmarks();
        RefreshParentViewBookmarks();
      }

      function createBookmark(viMode, vbPublic, vbQuickLink)
      {
        var sUrl = "<#CreateBookmark>";
        var iHeight, iWidth;
        if (viMode && (viMode > 0)) {
          sUrl += '&TPL=separatoreditorview.tpl&SEP=' + viMode;
          iWidth = iGetSeparatorEditorWidth();
          iHeight = iGetSeparatorEditorHeight();
        }
        else {
          iWidth = iGetBookmarkEditorWidth();
          iHeight = iGetBookmarkEditorHeight();
        }
        if (vbPublic)
          sUrl += '&PUB=1';
        if (vbQuickLink)
          sUrl += '&BTYP=3';
        else
          sUrl += '&BTYP=0';

        OpenWindow(sUrl, "bmkedit", iWidth, iHeight, 0);
      }

      function sGetSelectedBmkId()
      {
        var iBookmarkIndex;

        iBookmarkIndex = document.bookmarksform.lstbookmarks.selectedIndex;
        if (iBookmarkIndex == -1) 
          return "-ERRORR-";

        return document.bookmarksform.lstbookmarks.options[iBookmarkIndex].value;
      }


      function bookmarkProperties()
      {
        var sBmkId = sGetSelectedBmkId();
        if (sBmkId != "-ERRORR-") {
          var sUrl = "<#BmkEditURL>" + "&BID=" + sBmkId + "&<#UserInfo>";
          var iBookmarkIndex = document.bookmarksform.lstbookmarks.selectedIndex;
          var iHeight, iWidth;
          if (bIsShowingViewSettings())
            sUrl = sSetParameter(ACT_PARAM_TEMPLATE, 'viewsettingseditorview.tpl', sUrl);
          else if (bIsShowingQuickLinks())
            sUrl = sSetParameter(ACT_PARAM_BOOKMARK_TYPE, "3", sUrl);
          if (adtBookmarks[iBookmarkIndex].iMode > 0)
          {
            sUrl = sSetParameter(ACT_PARAM_TEMPLATE, 'separatoreditorview.tpl', sUrl);
            sUrl = sSetParameter('SEP', adtBookmarks[iBookmarkIndex].iMode, sUrl);
          }

          if (adtBookmarks[iBookmarkIndex].iMode > 0)
          {
            iWidth = iGetSeparatorEditorWidth();
            iHeight = iGetSeparatorEditorHeight();
          }
          else
          {
            iWidth = iGetBookmarkEditorWidth();
            iHeight = iGetBookmarkEditorHeight();
          }

          OpenWindow(sUrl, "bmkedit", iWidth, iHeight,0);
        }
      }

      function deleteBookmark()
      {
        if (_bInTransaction) return;

        var sMessage;

        GetSelectedBookmark();

        if (aiBkIDs.length == 0)
        {
          alert(sDecodeURI('<#LocalizedTextMessage id="No items selected">'));
          return; 
        }
   
        if (!bIsShowingViewSettings()) {
          sMessage= sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete the selected bookmark(s)?">");  
          if (confirm(sMessage)){
            if (!bStartTransaction()) return;
              parent.callFunctionPost("<#BmkRemoveURL>", "KIND=b&BID=" + aiBkIDs + "&" + "<#UserInfo>&FOO=" + Math.random(), updateBookmarkEventHandler);
          }
        }
        else {
          sMessage= sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete the selected view(s)?">");  
          if (confirm(sMessage)){
            if (!bStartTransaction()) return;
              parent.callFunctionPost("<#BmkRemoveURL>", "KIND=v&BID=" + aiBkIDs + "&" + "<#UserInfo>&FOO=" + Math.random(), updateBookmarkEventHandler);
          }
        }
      }

      function moveBookmark(direction)
      {
        GetSelectedBookmark();

        if (aiBkIDs.length == 0) {
          alert(sDecodeURI('<#LocalizedTextMessage id="No items selected">'));
          return; 
        }

        if (!bStartTransaction()) return;
          parent.callFunctionPost("<#BmkMoveURL>", "BID=" + aiBkIDs + "&DIR=" + direction + "&" + "<#UserInfo>&FOO=" + Math.random(), updateBookmarkEventHandler);
      }

      function moveUp()
      {
        document.bookmarksform.Up.disabled = true;
        moveBookmark(-1);
      }

      function moveDown()
      {
        document.bookmarksform.Down.disabled = true;
        moveBookmark(1);
      }

      function SetSelectedBookmark()
      {
        var i;
        var olOptions = document.bookmarksform.lstbookmarks.options;
        for (var iCount = 0; iCount < aiBkIDs.length; iCount++) {
          for (i = 0; i < olOptions.length; i++) {
            if (olOptions[i].value == aiBkIDs[iCount]) {
              document.bookmarksform.lstbookmarks.options[i].selected = true;
            }
          }
        }
      }

      function GetSelectedBookmark()
      {
        var iCount = 0;
        var olOptions = document.bookmarksform.lstbookmarks.options;
        aiBkIDs = new Array();

        for (var i = 0; i < olOptions.length; i++) {
          if (olOptions[i].selected) {
            aiBkIDs[iCount] = olOptions[i].value; 
            iCount++;
          }
        }
      }

      function bSetUpDownButtons(direction)
      {
        var olOptions = document.bookmarksform.lstbookmarks.options;
        var bDisabled = false;
        var i;

        if (direction < 0) {
          for (i = 0; i < olOptions.length; i++) {
            if (olOptions[i].value == aiBkIDs[aiBkIDs.length - 1]) {
              bDisabled = (i == (aiBkIDs.length - 1));
              break;
            } 
          }
        }
        else
        {
          for (i = 0; i < olOptions.length; i++) {
            if (olOptions[i].value == aiBkIDs[0]) {
              bDisabled = ((aiBkIDs.length >= (olOptions.length - i)));
              break;
            } 
          }
        }
        return bDisabled;
      }  

      function getHelpContext() { return "settings.htm"; }

      function OnLoad()
      {
        if (sGetParameter(ACT_PARAM_BOOKMARK_TYPE, sGetDocumentLocation()) == "1")
          document.bookmarksform.radViewType[1].checked = true;
        else
          document.bookmarksform.radViewType[0].checked = true;
        OnViewTypeChanged();
        InitializeResizeHandlerForPopup(window);    
      }
            
      function OnViewTypeChanged()
      {
        loadBookmarks();
        if(document.bookmarksform.btnCreate) {
          document.bookmarksform.btnCreate.disabled = bIsShowingViewSettings();
          document.bookmarksform.btnCreateSeparator.disabled = bIsShowingViewSettings() || bIsShowingQuickLinks();
          document.bookmarksform.btnCreateFolder.disabled = bIsShowingViewSettings();
        }
      }
</script>
<!-- [QPRTemplateEnd: jsbookmarkutils.tpl] -->
