<!DOCTYPE html>
<!-- [QPRTemplateStart: managebookletsview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      if(self.parent.resizeTo) { self.parent.resizeTo(560, 630); }
      function OnLoad(){
        setLayers();
        InitializeResizeHandlerForPopup(window);
      }
	  parent.SetTitle("<#LocalizedText id='Manage Briefing Booklets'>");
    </script>
  </head>
  
  
  <body onLoad="javascript: OnLoad();" id="body" rightmargin="0" topmargin="0">

    <form name="pageform">
    </form>
    <table border="0" cellspacing="4" cellpadding="0" width="100%" height="1">
      <tr height="1%">
        <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Manage Briefing Booklets"></td>
      </tr>
      <tr>
        <td class="TableCellPaddingBackground">
          <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
            <form name="formBooklet" OnSubmit="return false;">
              <tr height="1%" class="ControlGroup">
                <td height="1%">
                  <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%" height="1">
                    <tr>
                    <th valign="top" width="1%" colspan="2"><#LocalizedText id="Briefing Booklets"></th>
                    </tr>
                    <tr><td><br></td></tr>
                    <tr class="ControlGroup">

                      <td width="1%" align="center">

                        <table border="0" cellpadding="2" cellspacing="0" width="50">
                          <tr>
                            <td>
                              <select name="lstBooklets" onChange="javascript: refreshView();" size="9" style="width: 300px">
                                <#Booklets>
                              </select>
                            </td>
                            <td valign="top">

                              <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                  <td valign="top"><input type="button" name="btnCreate" style="width: 100px" value="<#LocalizedText id="Create">" onClick="javascript: createBooklet();"/></td>
                                </tr>
                                <tr>
                                  <td valign="top"><input type="button" name="btnCopy" style="width: 100px" value="<#LocalizedText id="Copy">" onClick="javascript: copyBooklet();"/></td>
                                </tr>
                                <tr>
                                  <td valign="top"><input type="button" name="btnDelete" style="width: 100px" value="<#LocalizedText id="Delete">" onClick="javascript: deleteBooklet();"/></td>
                                </tr>
                                <tr>
                                  <td><br></td>
                                </tr>
                                <tr>
                                  <td valign="top"><input type="button" name="btnView" style="width: 100px" value="<#txtToView>" onClick="javascript: openBooklet();"/></td>
                                </tr>
                                <tr>
                                  <td valign="top"><input type="button" name="btnHelp" style="width: 100px" value="<#LocalizedText id="Help">" onClick="javascript: openBookletHelp();"/></td>
                                </tr>
                              </table>

                            </td>
                          </tr>
                        </table>
                         <br>
                      </td>
                    </tr>                  
                  </table>
                </td>
              </tr>
            </form>
          </table>
        </td>
      </tr>
    </table>

<#IsBookletSelected false="<!--">
                <table cellpadding="2" cellspacing="0" align="center">
                  <tr>
                    <td id="td_props"><a id="a_props_1">[</a>&nbsp;<a id="a_props" href="javascript:changeLayer('props')"><#LocalizedText id="Properties"></a>&nbsp;<a id="a_props_2">]</a></td><td>&nbsp;</td>
                    <td id="td_text"><a id="a_text_1">[</a>&nbsp;<a id="a_text" href="javascript:changeLayer('text')"><#LocalizedText id="Text Items"></a>&nbsp;<a id="a_text_2">]</a></td><td>&nbsp;</td>
                    <td id="td_pages"><a id="a_pages_1">[</a>&nbsp;<a id="a_pages" href="javascript:changeLayer('pages')"><#LocalizedText id="Pages"></a>&nbsp;<a id="a_pages_2">]</a></td><td>&nbsp;</td>
                    <td id="td_subs"><a id="a_subs_1">[</a>&nbsp;<a id="a_subs" href="javascript:changeLayer('subs')"><#LocalizedText id="Recipients"></a>&nbsp;<a id="a_subs_2">]</a></td><td>&nbsp;</td>
                    <td id="td_notf"><a id="a_notf_1">[</a>&nbsp;<a id="a_notf" href="javascript:changeLayer('notf')"><#LocalizedText id="Notification"></a>&nbsp;<a id="a_notf_2">]</a></td>
                  </tr>
                </table>
<#IsBookletSelected false="-->">

      <div id="props" style="position: absolute;right:10px;left:10px">
        <table border="0" cellspacing="4" cellpadding="0" width="100%" height="100%">
          <tr>
            <td class="TableCellPaddingBackground">
              <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="100%">
                <tr height="1%" class="ControlGroup">
                  <td height="1%">
                    <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%">
                      <tr>
                      <th valign="top" width="1%" colspan="2"><#LocalizedText id="Properties"></th>
                      </tr>
                      <tr><td><br></td></tr>
                      <tr class="ControlGroup">
                       <td>
                          <div style="height:260px;width:100%;"/>
                          <table cellpadding="2" width="100%" border="0">
                            <form name="formProperties" OnSubmit="return false;">
                              <tr>
                                <td width="80px" valign="top">
                                  <#LocalizedText id="Name">:
                                </td>
                                <td align="<#IsRTL true="left" false="right">">
                                  <input type="text" id="txtName" style="width: 250px;" value="<#BookletName>" maxlength="255"/>
                                </td>
                                <td>
                                  <input type="button" name="btnSaveChanges" value="<#LocalizedText id="Save Changes">" onClick="javascript: saveProperties();"/>
                                </td>
                              </tr>
                              <tr>
                                <td width="80px" valign="top">
                                  <#LocalizedText id="Description">:
                                </td>
                                <td align="<#IsRTL true="left" false="right">">
                                  <textarea id="txtDescription" rows="5" style="width: 250px;"><#BookletDescription></textarea>
                                </td>
                              </tr>
                              <tr>
                                <td width="80px" valign="top">
                                  <#LocalizedText id="Template">:
                                </td>
                                <td align="<#IsRTL true="left" false="right">">
                                  <select id="txtTemplate" size="1" style="width: 257px;" onChange="javascript: setButtonState('props');">
                                    <#BookletTemplates>
                                  </select>                                  
                                </td>
                              </tr>
                              <tr>
                                <td>&nbsp;</td>
                                <td align="<#IsRTL true="left" false="right">">
                                  <input type="button" style="width: 100px;" name="btnTemplatePreview" value="<#LocalizedText id="Preview">" onClick="javascript: openTemplatePreview();"/>
                                </td>
                              </tr>
                              <tr>
                                <td colspan="3">
                                  <input type="checkbox" name="chkDisabled" id="chkDisabled" <#BookletDisabled>/><#DisableText>
                                </td>
                              </tr>
                            </form>
                          </table>
                          <br>

                       </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

      <div id="pages" style="position: absolute;right:10px;left:10px">
        <table border="0" cellspacing="4" cellpadding="0" width="100%" height="100%">
          <tr>
            <td class="TableCellPaddingBackground">
              <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="100%">
                <tr height="1%" class="ControlGroup">
                  <td height="1%">
                    <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%">
                      <tr>
                      <th valign="top" width="1%" colspan="2"><#LocalizedText id="Pages"></th>
                      </tr>
                      <tr><td><br></td></tr>
                      <tr class="ControlGroup" height="100%">
                       <td>
                          <div style="height:260px;width:100%;"/>
                          <table cellpadding="2" width="100%" border="0">
                            <form name="formPages" OnSubmit="return false;">
                            <tr>
                              <td width="100px" valign="top">
                                <select id="lstPages" style="width: 250px;" size="14" onChange="javascript: setButtonState('pages');">
                                  <#PagesList>
                                </select>
                              </td>
                           
                              <td>
                                <table border="0" cellpadding="0">
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnAddPage" value="<#LocalizedText id="Add">" style="width: 130px" onClick="javascript: addPage();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnRemovePage" value="<#LocalizedText id="Remove">" style="width: 130px" onClick="javascript: removePage();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnPageProperties" value="<#LocalizedText id="Properties">" style="width: 130px" onClick="javascript: openPageProperties();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <br/>
                                      <input type="button" name="btnMovePageUp" value="<#LocalizedText id="Move Up">" style="width: 130px" onClick="javascript: movePageUp();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnMovePageDown" value="<#LocalizedText id="Move Down">" style="width: 130px" onClick="javascript: movePageDown();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <br/>
                                      <input type="button" name="btnPageItems" value="<#LocalizedText id="Briefing Items">" style="width: 130px" onClick="javascript: openPageItems();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <br/>
                                      <input type="button" name="btnPagePreview" value="<#LocalizedText id="Preview">" style="width: 130px" onClick="javascript: openPagePreview();"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            </form>
                          </table>
                          <br>
                          
                       </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

      <div id="text" style="position: absolute;right:10px;left:10px">
        <table border="0" cellspacing="4" cellpadding="0" width="100%" height="100%">
          <tr>
            <td class="TableCellPaddingBackground">
              <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="100%">
                <tr height="1%" class="ControlGroup">
                  <td height="1%">
                    <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%">
                      <tr>
                      <th valign="top" width="1%" colspan="2"><#LocalizedText id="Text Items"></th>
                      </tr>
                      <tr><td><br></td></tr>
                      <tr class="ControlGroup" height="100%">
                       <td>
                          <div style="height:260px;width:100%;"/>
                          <table cellpadding="2" width="100%" border="0">
                            <form name="formTextItems" OnSubmit="return false;">
                            <tr>
                              <td width="100px" valign="top">
                                <select name="lstTextItems" style="width: 250px;" size="14" onChange="javascript: setButtonState('text');">
                                  <#BookletTextItems>
                                </select>
                              </td>
                              <td valign="top">
                                <table border="0" cellpadding="0">
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnAddTextItem" value="<#LocalizedText id="Add">" style="width: 130px" onClick="javascript: addTextItem();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <input type="button" name="btnRemoveTextItem" value="<#LocalizedText id="Remove">" style="width: 130px" onClick="javascript: removeTextItem();"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td valign="top">
                                      <br/>
                                      <input type="button" name="btnTextItemProperties" value="<#LocalizedText id="Properties">" style="width: 130px" onClick="javascript: openTextItemProperties();"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </form>
                            </tr>
                          </table>
                          <br>
                          
                       </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

       <div id="subs" style="position: absolute;right:10px;left:10px">
        <table border="0" cellspacing="4" cellpadding="0" width="100%" height="100%">
          <tr>
            <td class="TableCellPaddingBackground">
              <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="100%">
                <tr height="1%" class="ControlGroup">
                  <td height="1%">
                    <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%">
                      <tr>
                      <th valign="top" width="1%" colspan="2"><#LocalizedText id="Recipients"></th>
                      </tr>
                      <tr><td><br></td></tr>
                      <tr class="ControlGroup" height="100%">
                       <td>
                         <div style="height:260px;width:100%;"/>
                         <table cellpadding="2" width="100%" border="0">
                           <form name="formSubscribers" OnSubmit="return false;">
                             <tr>
                               <td width="100px" valign="top">
                                <select name="lstSubscribers" style="width: 250px;" size="14"></select>
                               </td>
                               <td valign="top">
                                 <table border="0" cellpadding="0">
                                   <tr>
                                     <td valign="top">
                                       <input type="button" name="btnAddSubscriber" value="<#LocalizedText id="Edit Users">" onClick="javascript: subscribersView();">
                                     </td>
                                   </tr>
                                 </table>
                               </td>
                             </tr>
                           </form>
                         </table>
                         <br>
                         
                       </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

      <div id="notf" style="position: absolute;right:10px;left:10px">
        <table border="0" cellspacing="4" cellpadding="0" width="100%" height="100%">
          <tr>
            <td class="TableCellPaddingBackground">
              <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="100%">
                <tr height="1%" class="ControlGroup">
                  <td height="1%">
                    <table border="0" cellpadding="0" cellspacing="0" nowrap="true" width="100%">
                      <tr>
                      <th valign="top" width="1%" colspan="2"><#LocalizedText id="Notification"></th>
                      </tr>
                      <tr><td><br></td></tr>
                      <tr class="ControlGroup" height="100%">
                       <td>
                         <div style="height:260px;width:100%;"/>
                         <table cellpadding="1" width="100%" border="0">
                           <form name="formNotification" OnSubmit="return false;">
                             <tr>
                               <td>
                               
                                 <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                 <tr>
                                   <td valign="top" colspan="2" nowrap="true">
                                     <input type="radio" id="chkNotification" name="chkNotification" value="0" <#Notification type="0"> onClick="javascript: setBtnSendState();" /><#LocalizedText id="No notification">
                                   </td>
                                   <td align="<#IsRTL true="left" false="right">" valign="top" nowrap="true">
                                     <input type="button" name="btnSaveNotification" value="<#LocalizedText id="Save Changes">" onClick="javascript: saveNotification()"/>
                                     &nbsp;
                                   </td>
                                 </tr>
                                 <tr>
                                   <td valign="top" nowrap="true">
                                     <input type="radio" id="chkNotification" name="chkNotification" value="1" <#Notification type="1"> onClick="javascript: setBtnSendState();" /><#LocalizedText id="Every day">
                                   </td>
                                 </tr>
                                 <tr>
                                   <td valign="top" nowrap="true">
                                     <input type="radio" id="chkNotification" name="chkNotification" value="2" <#Notification type="2"> onClick="javascript: setBtnSendState();" /><#LocalizedText id="Every week">, <#LocalizedText id="Day">:
                                   </td>
                                   <td nowrap="true">
                                     <select name="txtDayOfWeek" style="width: 100px;"><#WeekDays></select>
                                   </td>
                                 </tr>
                                 <tr>
                                   <td valign="top" nowrap="true">
                                     <input type="radio" id="chkNotification" name="chkNotification" value="3" <#Notification type="3"> onClick="javascript: setBtnSendState();" /><#LocalizedText id="Every month">, <#LocalizedText id="Day">:
                                   </td>
                                   <td  nowrap="true">
                                     <select name="txtDayOfMonth" style="width: 100px;"><#DaysForMonth></select>
                                   </td>
                                 </tr>
                                 <tr>
                                   <td valign="top" nowrap="true">
                                     <input type="radio" id="chkNotification" name="chkNotification" value="4" <#Notification type="4"> onClick="javascript: setBtnSendState();" /><#LocalizedText id="Every year">, <#LocalizedText id="Month">:
                                   </td>
                                   <td nowrap="true">
                                     <select name="txtMonthOfYear" style="width: 100px;"><#Months></select>, <#LocalizedText id="Day">:
                                     <select name="txtDayOfYear" style="width: 100px;"><#DaysForYear></select>
                                   </td>
                                 </tr>
                                 </table>
                               
                               </td>
                             </tr>
                             <tr>
                               <td valign="top">
                                 <table border="0" cellpadding="0" cellspacing="0">
                                   <tr>
                                     <td><br/></td>
                                   </tr>
                                   </tr>
                                   <tr>                                     
                                     <td><#LocalizedText id="Time">:</td>
                                     <td width="10"></td>
                                     <td><input type="text" name="txtHour" value="<#NotificationHour>" size="2"/>&nbsp;:&nbsp;<input type="text" name="txtMinute" value="<#NotificationMinute>" size="2"/></td>
                                   </tr>
                                   <tr>
                                     <td><#LocalizedText id="Template">:</td>
                                     <td width="10"></td>
                                     <td><select id="txtNotificationTemplate" style="width: 150px"><#NotificationTemplates></select></td>
                                   </tr>
                                 </table>
                               </td>
                             </tr>
                             <tr>
                               <td colspan="3"><hr noshade></td>
                             </tr>
                             <tr>
                               <td colspan="3"><#LocalizedText id="Last notification sent">: <#LastNotificationSent></td>
                             </tr>
                             <tr>
                               <td>
                                 <table border="0" width="100%" cellpadding="0" cellspacing="0">
                                 <tr>
                                 <td colspan="2"><#SendNotificationsText></td>
                                 <td align="<#IsRTL true="left" false="right">"><button type="button" name="btnSendNotifications" style="width: 100px" onClick="javascript: sendNotifications();"><#LocalizedText id="Send"></button>&nbsp;</td>
                                 </td>
                                 </tr>
                                 </table>
                               </td>
                             </tr>                        
                           </form>
                         </table>
                         <br>
                         
                       </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

  </body>

  <script language="JavaScript1.2">
    var tabLayers = new Array('props', 'pages', 'text', 'subs', 'notf');
    var visibleLayer;

	  function openBookletHelp()
    {
	    if (visibleLayer == 'props') {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>'+'?properties.htm'));
      }
	    if (visibleLayer == 'text') {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>'+'?textitems.htm'));
      }
      if (visibleLayer == 'pages') {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>'+'?pages.htm'));
      }
      if (visibleLayer == 'subs') {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>'+'?recipients.htm'));
      }
      if (visibleLayer == 'notf') {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>'+'?notification.htm'));
      }  
    }
    
    function setLayers()
    {
      var i, oTab;
      
      if (document.layers) {
         alert('Unsupported browser!');
         window.close();
         }
         
      for (i=0; i < tabLayers.length; i++)
      {
         oTab = document.getElementById(tabLayers[i]);
         if ((typeof oTab != 'undefined') && oTab) 
           oTab.style.visibility = 'hidden';
      }
      
      visibleLayer = '<#InitialLayer default="props">';

      <#IsBookletSelected false="//">oTab = document.getElementById(visibleLayer);
      <#IsBookletSelected false="//">if ((typeof oTab != 'undefined') && oTab) 
      <#IsBookletSelected false="//">oTab.style.visibility = 'visible';
      
      //setLists(visibleLayer);
      setBackground();
      setBtnSendState();
      setButtonState(visibleLayer);

      var sBookletError = '<#IsBookletSelected refreshview="true">';

      if (sBookletError != "") {
        window.alert(sBookletError);
        parent.window.close();
      }
    }

    function changeLayer(layerName)
    {
      //setLists(layerName);
      <#IsBookletSelected false="//">document.getElementById(visibleLayer).style.visibility = 'hidden';
      <#IsBookletSelected false="//">visibleLayer = layerName;
      <#IsBookletSelected false="//">document.getElementById(layerName).style.visibility = 'visible';
      setBackground();
      setButtonState(layerName);
    }

    function setBackground()
    {
      var i, oTable, oTableA;
      for (i=0; i<tabLayers.length; i++)
      {
         oTable = document.getElementById('td_' + tabLayers[i]);
         oLink = document.getElementById('a_' + tabLayers[i]);
         oLink1 = document.getElementById('a_' + tabLayers[i] + '_1');
         oLink2 = document.getElementById('a_' + tabLayers[i] + '_2');
         if (tabLayers[i] == visibleLayer)
         {
            if ((typeof oTable != 'undefined') && oTable) {
//              oTable.className = 'ManageBookletsTab_selected';
	      oLink.className = 'SelectedButton';
	      oLink1.className = 'SelectedButton';
	      oLink2.className = 'SelectedButton';
	    }
         }
         else
         {
            if ((typeof oTable != 'undefined') && oTable) {
//              oTable.className = 'ManageBookletsTab_notselected';
	      oLink.className = 'Button';
	      oLink1.className = 'Button';
	      oLink2.className = 'Button';
            }
         }
      }
    }


    function setButtonState(sVisibleLayer)
    {
      var obklOptions = document.forms['formBooklet'].elements['lstBooklets'].options;
      document.forms['formBooklet'].elements['btnDelete'].disabled = !((obklOptions.length > 0) && (obklOptions.selectedIndex > -1));
      document.forms['formBooklet'].elements['btnView'].disabled = !((obklOptions.length > 0) && (obklOptions.selectedIndex > -1));

      if (sVisibleLayer == 'props') {
        var sTemplate = document.forms['formProperties'].elements['txtTemplate'].value;
        if (sTemplate.length > 0) {
          document.forms['formProperties'].elements['btnTemplatePreview'].disabled = false;
          } else {
          document.forms['formProperties'].elements['btnTemplatePreview'].disabled = true;
          }
      }

      if (sVisibleLayer == 'text') {
        var oTextItemsOptions = document.forms['formTextItems'].elements['lstTextItems'].options;
        if ((oTextItemsOptions.length > 0) && (oTextItemsOptions.selectedIndex > -1)) {
          document.forms['formTextItems'].elements['btnRemoveTextItem'].disabled = false;
          document.forms['formTextItems'].elements['btnTextItemProperties'].disabled = false;
          } else {
          document.forms['formTextItems'].elements['btnRemoveTextItem'].disabled = true;
          document.forms['formTextItems'].elements['btnTextItemProperties'].disabled = true;
          }
      }

      if (sVisibleLayer == 'pages') {
        var oPagesOptions = document.forms['formPages'].elements['lstPages'].options;
        var oForm = document.forms['formPages'];
        if ((oPagesOptions.length > 0) && (oPagesOptions.selectedIndex > -1)) {
          oForm.elements['btnRemovePage'].disabled = false;
          oForm.elements['btnPageProperties'].disabled = false;
          oForm.elements['btnPagePreview'].disabled = false;
          oForm.elements['btnPageItems'].disabled = false;
          oForm.elements['btnMovePageUp'].disabled = (oPagesOptions.selectedIndex == 0);
          oForm.elements['btnMovePageDown'].disabled = (oPagesOptions.selectedIndex == oPagesOptions.length - 1);
        } else {
          oForm.elements['btnRemovePage'].disabled = true;
          oForm.elements['btnPageProperties'].disabled = true;
          oForm.elements['btnMovePageUp'].disabled = true;
          oForm.elements['btnMovePageDown'].disabled = true;
          oForm.elements['btnPageItems'].disabled = true;
          oForm.elements['btnPagePreview'].disabled = true;
        }
      }
    }
    
    function setLists(sVisibleLayer)
    {
      var oList;
      oList = document.forms['formTextItems'].elements['lstTextItems'];
      if (oList) {
        if (sVisibleLayer == 'text') {
          oList.style.visibility = 'visible';
        } else {
          oList.style.visibility = 'hidden';
        }
      }
      oList = document.forms['formPages'].elements['lstPages'];
      if (oList) {
        if (sVisibleLayer == 'pages') {
          oList.style.visibility = 'visible';
        } else {
          oList.style.visibility = 'hidden';
        }
      }
      oList = document.forms['formSubscribers'].elements['lstSubscribers'];
      if (oList) {
        if (sVisibleLayer == 'subs') {
          oList.style.visibility = 'visible';
        } else {
          oList.style.visibility = 'hidden';
        }
      }    
    }
    
    function sGetSelectedID(oObject)
    {
      var list = oObject.options;
      
      if (list.selectedIndex >= 0) {
        var selectedItem = list[list.selectedIndex];
               
        return selectedItem.value;
      } else {
        return '';
      }
    } 
     
    function setBtnSendState()
    {
      var sNotification = '-1';
      sNotification = GetRadioButtonValue(document.forms['formNotification'].elements['chkNotification']);
      document.forms['formNotification'].elements['btnSendNotifications'].disabled = (sNotification == '0');
    } 


    function refreshView()
    { 
	    if (bHasValidOpener(parent.window))
	    {
	      var oIView=self.parent.opener.oGetInformationView();
  	    if (oIView)
	      {
		      oIView.location.reload()
		  }
	  }

      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);

      if (sBookletID == '') {
        sBookletID = "-1";
      }
      
      sURL = '<#ManageBookletsURL>&<#ParamSelectedBooklet>=' + sBookletID + '&<#ParamLayer>=' + visibleLayer;

      var sPageID = "", sSubscriberID = "", sTextItemID = "";
 
      var oElement = document.forms['formPages'].elements['lstPages'];
      if ((typeof oElement != 'undefined') && oElement)
        sPageID = sGetSelectedID(oElement);

      oElement = document.forms['formSubscribers'].elements['lstSubscribers'];
      if ((typeof oElement != 'undefined') && oElement)
        sSubscriberID = sGetSelectedID(oElement);

      oElement = document.forms['formTextItems'].elements['lstTextItems'];
      if ((typeof oElement != 'undefined') && oElement)
        sTextItemID = sGetSelectedID(oElement);
              
      if (!(sPageID == '')) {
        sURL = sURL + "&<#ParamSelectedPage>=" + sPageID;
      }
      if (!(sSubscriberID == '')) {
        sURL = sURL + "&<#ParamSelectedSubscriber>=" + sSubscriberID;
      }
      if (!(sTextItemID == '')) {
        sURL = sURL + "&<#ParamSelectedTextItem>=" + sTextItemID;
      }      
      
      parent.location.href = sURL;
    }
    
    function createTextItem()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
      if (sBookletID == '') {
         return;
      }
      
      var sURL = '<#BookletTextItemsURL>&<#BookletObjectIDID>=' + sBookletID;
      OpenWindow(sURL, 'CreateTextItem', 380, 300);
    }


// SUBSCRIBERS VIEW...
    var oUsers = new Array();
    var oList = document.formSubscribers.lstSubscribers;

<#BookletSubscribers>
UpdateUsersList();

    function AddUser(vsName, viUserId) {
      var oUser = new Object();
      oUser.iUserId = viUserId;
      oUser.sLabel = sDecodeURI(vsName);
      oUsers.push(oUser);
    }

    function subscribersView()
    {
      var sParams = ACT_PARAM_SELECTION + '=' + UsersArrayToStr() +
                    '&' + ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_ALLOW +
                    '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH +
                    '&' + ACT_PARAM_CALLBACK + '=' + 'OnCloseUserSelection' +
                    '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_STRING;
      OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','BookletSubscribersWindow','body','bookletsuserselectionform',sParams);
    }

    function OnCloseUserSelection(vsSelectedUsers)
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
      if (sBookletID == '')
        sBookletID = "-1";

      var sURL = '<#AddSubscribersURL>';
      var sParams = '<#BookletObjectIDID>' + '=' + sBookletID + '&' + '<#SubscriberIDID>' + '=' + vsSelectedUsers;
      parent.callFunctionPost(sURL, sParams, setSubscribersEventHandler);
    }

    function UsersArrayToStr()
    {
      /* to avoid undefined value */
      var sSelectedUsers = ' ';
      var oUser;
      for (var i=0; i < oUsers.length; i++) {
        oUser = oUsers[i];
        if (oUser != null) {
          if (i != oUsers.length-1)
            sSelectedUsers = sSelectedUsers + oUser.iUserId + ',';
          else
            sSelectedUsers = sSelectedUsers + oUser.iUserId;
        }
      }
      return sSelectedUsers;
    }

    function UpdateUsersList() {
      var i = 0;
      oList.options.length = i;
	  var oUser;
      for (i; i < oUsers.length; i++) {
        oUser = oUsers[i];
        oList.options[i] = new Option(oUser.sLabel, oUser.iUserId);
      }
    }

	function setSubscribersEventHandler(result, data)
    {     
      if (!(result == "OK") && (data.length > 0))
      {
        window.alert(data);
      }
      refreshView();
    }
// ...SUBSCRIBERS VIEW

    function successEventHandler(result, data)
    {     
      if (!(result == "OK") && (data.length > 0))
      {
        window.alert(data);
      }
      refreshView();
    }

    function notificationEventHandler(result, data)
    {     
      if (data.length > 0)
      {
        window.alert(data);
      }      
    }
    
    function openBooklet()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
           
      if (!(sBookletID == '')) {     
        var win = window.open('<#BookletURL>', 'BookletWindow');
        win.focus();
      }
    }

    function createBooklet()
    {
      OpenWindow('<#CreateBookletURL>', 'CreateBookletWindow', 390, 160);
    }
	
    function copyBooklet()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
           
      if (sBookletID != '') {    
        var sURL = sSetParameter(consts.ACT_PARAM_BOOKLET_OBJECT_ID, sBookletID, '<#CopyBookletURL>');
        parent.callFunction(sURL, successEventHandler);
        notifyParentOnBookletEvent();
        document.forms['formBooklet'].elements['lstBooklets'].options.selectedIndex=-1;
      }
    }

    function notifyParentOnBookletEvent()
    {
      if (bHasValidOpener(parent.window) && parent.opener.RefreshBooklets) {
        parent.opener.RefreshBooklets();    
      }
    }

    function deleteBooklet()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
           
      if (!(sBookletID == '')) {    
        if (confirm(sDecodeURI('<#LocalizedTextMessage id="Are you sure you want to delete the briefing booklet?">'))) {
          var sURL = "<#DeleteObjectURL>&<#BookletObjectIDID>=" + sBookletID;
          parent.callFunction(sURL, successEventHandler);
          notifyParentOnBookletEvent();
          document.forms['formBooklet'].elements['lstBooklets'].options.selectedIndex=-1;
        }
      }
    }
    
    function openTemplatePreview()
    {
      var sTemplate = document.forms['formProperties'].elements['txtTemplate'].value;
      
      if (sTemplate.length > 0) {
        var sURL = "<#TemplatePreviewURL>&<#BookletTemplateID>=" + sEncodeURI(sTemplate);
        var win = window.open(sURL, 'TemplatePreviewWindow');
        win.focus();
      }
      else
        alert(sDecodeURI('<#LocalizedTextMessage id="You have to select a template first.">'));
    }     
    
    function removePage()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
           
      if (!(sPageID == '')) {
        if (confirm(sDecodeURI('<#LocalizedTextMessage id="Are you sure you want to remove the page?">'))) {                        
          var sURL = "<#DeleteObjectURL>&<#BookletObjectIDID>=" + sPageID;
          parent.callFunction(sURL, successEventHandler);
        }
      }
    }    
    
    function movePageUp()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
      document.forms['formPages'].elements['btnMovePageUp'].disabled = true;
      if (!(sPageID == '')) {
        var sURL = "<#MovePageURL>&<#BookletObjectIDID>=" + sPageID + "&<#DirectionID>=1";
        parent.callFunction(sURL, successEventHandler);
      }
    }     
    
    function movePageDown()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
      document.forms['formPages'].elements['btnMovePageDown'].disabled = true;     
      if (!(sPageID == '')) {
        var sURL = "<#MovePageURL>&<#BookletObjectIDID>=" + sPageID + "&<#DirectionID>=2";
        parent.callFunction(sURL, successEventHandler);
      }
    }
    
    function openPageProperties()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
        
      if (sPageID == '') { return; }
          
      var sURL = "<#PagePropertiesURL>&<#BookletObjectIDID>=" + sPageID;
      OpenWindow(sURL, 'PagePropertiesWindow', 370, 330);
    }
    
    function openPageItems()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
        
      if (sPageID == '') { return; }
          
      var sURL = "<#PageItemsURL>&<#BookletObjectIDID>=" + sPageID;
      OpenWindow(sURL, 'PageItemsWindow', 500, 300);
    }
    
    function openPagePreview()
    {
      var sPageID = sGetSelectedID(document.forms['formPages'].elements['lstPages']);
        
      if (sPageID == '') { return; }
          
      var sURL = "<#PagePreviewURL>&<#BookletObjectIDID>=" + sPageID;
      var win = window.open(sURL, 'PagePreviewWindow');
      win.focus();
    }

    function saveChangesEventHandler(result, data)
    {     
      if (data.length > 0)
      {
        window.alert(data);
        if (result == "ERROR") {
		  if( bHasValidOpener(parent.window) )
		  {
		    var oIView=self.parent.opener.oGetInfomationView();
			if (oIView)
			{
			  oIView.location.reload();
			}
		  }
          parent.window.close();
        }
      }
      refreshView();
    }
    
    function saveProperties()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);      
      var sDisabled;
      
      if (document.forms['formProperties'].elements['chkDisabled'].checked) {
        sDisabled = '1';
      } else {
        sDisabled = '0';
      }
      
      if (sBookletID.length > 0) {
        var sURL = '<#SaveChangesURL>&<#BookletObjectIDID>=' + sEncodeURI(sBookletID) +
          '&<#BookletNameID>=' + sEncodeURI(document.forms['formProperties'].elements['txtName'].value) +
          '&<#BookletDescriptionID>=' + sEncodeURI(document.forms['formProperties'].elements['txtDescription'].value) +
          '&<#BookletTemplateID>=' + sEncodeURI(document.forms['formProperties'].elements['txtTemplate'].value) +
          '&<#BookletDisabledID>=' + sDisabled;
        
        parent.callFunction(sURL, saveChangesEventHandler);
        notifyParentOnBookletEvent(); 
      }
    }
    
    function addPage()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);        
          
      if (!(sBookletID == '')) {
        var sURL = "<#AddPageURL>&<#BookletObjectIDID>=" + sBookletID;             
            
        OpenWindow(sURL, 'AddPageWindow', 430, 530);
      }
    }
    
    function addTextItem()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);        
          
      if (!(sBookletID == '')) {
        var sURL = "<#AddTextItemURL>&<#BookletObjectIDID>=" + sBookletID;             
            
        OpenWindow(sURL, 'AddTextItemWindow', 450, 250);
      }
    }
    
    function openTextItemProperties()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
      var sTextItemID = sGetSelectedID(document.forms['formTextItems'].elements['lstTextItems']);
        
      if ((sBookletID == '') || (sTextItemID == '')) { return; }
          
      var sURL = "<#TextItemPropertiesURL>&<#BookletObjectIDID>=" + sBookletID + "&<#TextItemIDID>=" + sTextItemID;
      OpenWindow(sURL, 'TextItemPropertiesWindow', 380, 250);
    }    

    function removeTextItem()
    {
      var sTextItemID = sGetSelectedID(document.forms['formTextItems'].elements['lstTextItems']);
      
      if (!(sTextItemID == '')) {
        if (confirm(sDecodeURI('<#LocalizedTextMessage id="Are you sure you want to remove the text item?">'))) {
          var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);        
            
          if (!(sBookletID == '')) {
            var sURL = "<#RemoveTextItemURL>&<#BookletObjectIDID>=" + sBookletID +
              "&<#TextItemIDID>=" + sTextItemID;
              
            parent.callFunction(sURL, successEventHandler);
          }
        }
      }
    }
	   
    function GetRadioButtonValue(oGroup)
    {
      for (var i=0; i < oGroup.length; i++){
        if (oGroup[i].checked == true) {
          return( oGroup[i].value );
        }
      }

      return("");
    }
    
    function saveNotification()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);      
      var sNotification = '-1';
      var sDay = '-2';
      var sMonth = '-1';
      
      if (sBookletID.length > 0)
      {
        sNotification = GetRadioButtonValue(document.forms['formNotification'].elements['chkNotification']);
      
        if (sNotification == '2') {
          sDay = document.forms['formNotification'].elements['txtDayOfWeek'].value;
        } else if (sNotification == '3') {
          sDay = document.forms['formNotification'].elements['txtDayOfMonth'].value;
        } else if (sNotification == '4') {
          sDay = document.forms['formNotification'].elements['txtDayOfYear'].value;
          sMonth = document.forms['formNotification'].elements['txtMonthOfYear'].value;
        }       
            
        var sURL = '<#SaveChangesURL>&<#BookletObjectIDID>=' + sEncodeURI(sBookletID) +        
          '&<#BookletNotificationID>=' + sNotification +
          '&<#BookletNotificationHourID>=' + sEncodeURI(document.forms['formNotification'].elements['txtHour'].value) +
          '&<#BookletNotificationMinuteID>=' + sEncodeURI(document.forms['formNotification'].elements['txtMinute'].value) +
          '&<#BookletNotificationTemplateID>=' + sEncodeURI(document.forms['formNotification'].elements['txtNotificationTemplate'].value);
          
        if (!(sDay == '-2')) {
          sURL = sURL + '&<#BookletNotificationDayID>=' + sDay;
        }
        
        if (!(sMonth == '-1')) {
          sURL = sURL + '&<#BookletNotificationMonthID>=' + sMonth;
        }
          
        parent.callFunction(sURL, saveChangesEventHandler);
        notifyParentOnBookletEvent();
      }
    }    

    function sendNotifications()
    {
      var sBookletID = sGetSelectedID(document.forms['formBooklet'].elements['lstBooklets']);
      if (sBookletID == '') {
         return;
      }
      var sURL = "<#SendNotificationsURL>&<#BookletObjectIDID>=" + sBookletID;
      parent.callFunction(sURL, notificationEventHandler);
    }
    </script>

</html>
<!-- [QPRTemplateEnd: managebookletsview.tpl] -->
