<!DOCTYPE html>
<!-- [QPRTemplateStart: settingsmyprofileview.tpl] -->
<html>
  <head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsportaltoolbarutils.tpl">

    <script type="text/javascript">
      bIsFieldsChanged = false;

      function setFieldChange()
      {
        var oForm = document.myprofile;
        if (<#PwdChange>(sPWD != oForm.OPWD.value) || 
            <#PwdChange>(sNPWD1 != oForm.NPWD1.value) || 
            <#PwdChange>(sNPWD2 != oForm.NPWD2.value) || 
            <#ModLanChange>(sModLan != oForm.MODLAN.value) ||
            (sDPMODE != oForm.DPMODE.selectedIndex) || 
            (sEMAILADDR != oForm.EMAILADDR.value) || 
            (sUIL != oForm.UIL.value)) {
          bIsFieldsChanged = true;
        } else {
          bIsFieldsChanged = false;
        }
      }

      function setButtonState()
      {
        setFieldChange();
        if (bIsFieldsChanged) {
          document.myprofile.OK.disabled = false;
        } else {
          document.myprofile.OK.disabled = true;
        }
      }

      function bVerifyPasswords()
      {
        <#PwdChange>var newPwd1 = document.myprofile.NPWD1.value;
        <#PwdChange>var newPwd2 = document.myprofile.NPWD2.value;
        <#PwdChange>if (newPwd1 != newPwd2) {
        <#PwdChange>  alert("<#PwdNotIdenText>");
        <#PwdChange>  return false;
        <#PwdChange>}
        <#PwdChange>else
        <#PwdChange>  return true;
      }
      
      function submitAndCloseResultHandler(result, data)
      {
        if (result == "ERROR")
          alert(data);
        else if (result == "OK")
        {
          var oMainView = oGetMainView();
          if (oMainView && oMainView.SetNamedVariableValue)
            oMainView.SetNamedVariableValue("DetailsPane_Minimized", document.myprofile.DPMODE.selectedIndex == 1, true);
          if (data == "")
          {
            var oInfoView = oGetInformationView();
            if (oInfoView)
              oInfoView.location.reload();
            var oHierarchyView = oGetHierarchyView(); 
            if (oHierarchyView)
              oHierarchyView.location.reload();
          }
          else
          {
            if (oMainView)
              oMainView.ReloadAndPreventCookieStateSaving(data); // Language has changed, new main view URL returned by worker
            else {
              window.open(data, '_blank'); // Language has changed, new main view URL returned by worker
            }
          }
          parent.window.close();
        }
      }      

      function submitChanges()
      {
        <#PwdChange>if (!bVerifyPasswords())
        <#PwdChange>  return;

        var sAction = "<#SubmitAction>";
        var sUserInfo = "<#UserInfo>";
        var sFormData;
        
        <#PwdChange>sFormData = "&OPWD=" + document.myprofile.OPWD.value;
        <#PwdChange>sFormData += "&NPWD=" + document.myprofile.NPWD1.value;
				<#EmailAddress>sFormData += "&EMAILADDR=" + document.myprofile.EMAILADDR.value;
        <#UILanParam> sFormData += "&UIL=" + document.myprofile.UIL.options[document.myprofile.UIL.selectedIndex].value;
        <#ModLanChange><#ModLanParam> sFormData += "&MODLAN=" + document.myprofile.MODLAN.options[document.myprofile.MODLAN.selectedIndex].value;
        sFormData = sSetParameter("DPMODE", document.myprofile.DPMODE.selectedIndex, sFormData);
        
        setFieldChange();

        parent.callFunctionPost(sAction, sUserInfo + sFormData, submitAndCloseResultHandler);
      }

      function OnLoad()
      {
        document.myprofile.DPMODE.selectedIndex = <#DefaultDetailsPaneMode>;
        sDPMODE = document.myprofile.DPMODE.selectedIndex;
		parent.SetTitle('<#LocalizedText id="My Profile">');
      }

      function getHelpContext() { return "settings.htm"; }
    </script>
  </head>

  <body class="PopupView" onLoad="OnLoad()">
    <form name="myprofile" action="#" autocomplete="off">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="My Profile">
        </h1>
      </div>    
      
      <div class="Toolbar">
 <script type="text/javascript">
  var bPortalReadOnly = <#IsPortalReadonly true="true" false="false">;

  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Help">", "javascript:OpenHelpWindow(sDecodeURI(\"<#HelpURL>?settings.htm\"))", "<#PortalImageFileLocation>icon_help.png", "LinkRight"));

  if (<#HasRights product="portal" level="update" true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Basket">", "<#VTNViewURL VTN="settings" PAG="3">", "<#PortalImageFileLocation>icon_manage_basket.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Shared Bookmarks">", "<#VTNViewURL VTN="settings" CRP="p" PAG="0" BLTYP="1" UCOK="1" TPL="settingspublicbookmarksview.tpl">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly || <#EnableBookmarksForViewUsers true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage My Bookmarks">", "<#VTNViewURL VTN="settings" PAG="0">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="My Profile">", "", "<#PortalImageFileLocation>icon_my_profile.png", "LinkRight", "_parent"));
</script>
      </div>

      <div class="Clearer"></div>
      
      <div class="PopupContent">       
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
            <caption>
              <#LocalizedText id="My Profile">
            </caption>
<#PwdStart>
            <tr>
              <td>
                <#OldPwdText>:&nbsp;
              </td>
              <td style="width: 100%">
                <input style="width: 100%" type="password" value="" name="OPWD" size="24" maxlength="50" onkeyup="javascript: setButtonState();" />
              </td>
            </tr>
            <tr>
              <td>
                <#NewPwdText>:&nbsp;
              </td>
              <td>
                <input style="width: 100%" type="password" name="NPWD1" size="24" maxlength="50" onkeyup="javascript: setButtonState();" />
              </td>
            </tr>
            <tr>
              <td>
                <#ConfPwdText>:&nbsp;
              </td>
              <td>
                <input style="width: 100%" type="password" name="NPWD2" size="24" maxlength="50" onkeyup="javascript: setButtonState();" />
              </td>
            </tr>
<#PwdEnd>
<#EmailStart>
            <tr>
              <td>
                <#EMailAddressText>:&nbsp;
              </td>
              <td>
                <input style="width: 100%" type="email" value="<#EMailValue>" name="EMAILADDR" size="24" maxlength="255" onkeyup="javascript: setButtonState();" />
              </td>
            </tr>
<#EmailEnd>
            <tr>
              <td>
                <#LocalizedText id="Default details pane mode">:&nbsp;
              </td>
              <td>
        <select name="DPMODE" size="1" onchange="javascript:setButtonState();" style="width: 150px;" <#HideDefaultPaneModeChange true="disabled='disabled'">>
                  <option value="0"><#LocalizedText id="Disabled"></option>
                  <option value="1"><#LocalizedText id="Minimized"></option>
                  <option value="2"><#LocalizedText id="Open"></option>
                </select>
              </td>
            </tr>
<#LangStart>
            <tr>
              <td>
                <#UILanText>:&nbsp;
              </td>
              <td>			
                <select name="UIL" size="1" onchange="javascript: setButtonState();" style="width: 150px;">
                  <#UILanOptions>
                </select>
              </td>
            </tr>
<#LangEnd>
<#ModLanStart>
            <tr>                      
              <td>
                <#ModLanText>:&nbsp;
              </td>
              <td>
                <select name="MODLAN" size="1" onchange="javascript: setButtonState();" style="width: 150px;">
                  <#ModLanOptions>
                </select>
              </td>
            </tr>
<#ModLanEnd>
          </table>
        </div>

        <div id="DetailsFooter">
          <div style="float: <#IsRTL true="right" false="left">">
            <#VersionAndCopyright>
          </div>
        </div>
        <input id="btnClose" class="ButtonRight" type="button" value="<#LocalizedText id="Close">" name="CLOSE" onClick="javascript: { parent.window.close(); window.close(); }" />
        <input id="btnOK" class="ButtonRight" type="button" value="<#LocalizedText id="OK">" name="OK" onClick="javascript: submitChanges()" />
      </div>
    </form>
<script type="text/javascript">
  <#PwdChange>var sPWD = document.myprofile.OPWD.value;
  <#PwdChange>var sNPWD1 = document.myprofile.NPWD1.value;
  <#PwdChange>var sNPWD2 = document.myprofile.NPWD2.value;
  var sEMAILADDR = document.myprofile.EMAILADDR.value;
  var sUIL = document.myprofile.UIL.value;
  var sDPMODE;
  <#ModLanChange>var sModLan = document.myprofile.MODLAN.value;
  document.myprofile.OK.disabled = true;
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: settingsmyprofileview.tpl] -->
