<!DOCTYPE html>
<!-- [QPRTemplateStart: viewsettingseditorview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>
  
  <script type="text/javascript">
    var sSelectedUsers = '<#PublishForUsers>';
    var sDefaultViewParameters;
    if (bHasValidOpener(window) && (window.opener.sGetSetAsDefaultViewParameters))
      sDefaultViewParameters = self.opener.sGetSetAsDefaultViewParameters();
  </script>
  
  </head>
  <body class="PopupView" onLoad="OnLoad();" id="body">
    <form id="linkproperties" name="linkproperties" action="<#URL>" method="post">
      <div id="PopupHeader">
<script type="text/javascript">
  var sTmp, sIcon;
  if ('<#ismodifystate false="0" true="1">' == 0) {
    sTmp = '<#LocalizedText id="Create New View">';
    sIcon = "header_icon_create.png";
  }
  else
  {
    sTmp = '<#LocalizedText id="Modify View">';
    sIcon = "header_icon_modify.png";
  }
  document.title = "<#Title notags='1'>" + " - " + sTmp;
  document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');
  document.write(sTmp);
</script>
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td valign="top" width="<#IsAdmin true="65" false="100">%">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Properties">
                  </caption>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="View name">
                    </td>
                    <td width="100%">
                      <input type="text" id="NAM" name="NAM" maxlength="<#MaxBookmarkNameLength>" <#LinkNameReadOnly> value="" style="width: 100%" />
                    </td>
                  </tr>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="Parameters">
                    </td>
                    <td width="100%">
                      <input type="<#LinkLocationInputType>" name="LOC" readonly="readonly" value="" style="width: 100%" />
                    </td>
                  </tr>
                  <tr id="ModelSpecificSetting">
                    <td colspan="2" width="100%">
                      <input type="checkbox" id="ModelSpecific" onclick="OnModelSpecificClick();">&nbsp;
                      <label id="ModelName" for="ModelSpecific"><#LocalizedText id="Use view only with this model:">&nbsp;</label>
                      <input type="hidden" id="VMS" name="VMS" value="<#ModelSpecific>">&nbsp;
                      <input type="hidden" id="VMID" name="VMID" value="<#ModelId>">&nbsp;
                      <input type="hidden" id="VMNAME" name="VMNAME" value="<#ModelName>">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            <td valign="top" width="35%" class="NotFirstColumn" style="<#IsAdmin false="display: none;">">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Publish To">
                  </caption>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="0" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Author">
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Everyone">
                    </td>
                  </tr>
                  <tr>
                    <td nowrap="true">
                      <input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Selected users">
                    </td>
                    <td>
                      <input class="Button" type="button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()" style="width: 100">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </div>
      <div id="DetailsFooter">
        <input type="button" class="ButtonRight" id="btnHelp" value="<#LocalizedText id="Help">" onclick="openBookmarkEditorHelpView()">
        <input type="button" class="ButtonRight" id="btnCancel" value="<#LocalizedText id="Cancel">" onclick="window.close()">
        <input type="button" class="ButtonRight" id="btnSaveAs" value="<#LocalizedText id="Save as">" name="btnSaveAs" onclick="onCreateViewSettingsButtonClick(true)">
        <input type="button" class="ButtonRight" id="btnSave" value="<#LocalizedText id="Save">" name="btnSave" onclick="onCreateViewSettingsButtonClick(false)">
        <table>
          <tr>
            <td>
              <#LocalizedText id="Created by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="creator.prettyname">&nbsp;(<#AssociationData id="createddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
          <tr>
            <td>
              <#LocalizedText id="Last Modified by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="modifier.prettyname">&nbsp;(<#AssociationData id="modifieddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
        </table>
      </div>
    </form>
    <script type="text/javascript">
      function submitChanges(sUrl, vbSaveAsNew)
      {
        var bSaveDisabled = document.linkproperties.btnSave.disabled;
        document.linkproperties.btnSave.disabled = true;
        document.linkproperties.btnSaveAs.disabled = true;

        var sParams = "";
        if (vbSaveAsNew)
          sParams += "&SAN=1";

        sParams += "&BTYP=1";
        sParams += "&KIND=v";
        sParams += "&USRS=" + sSelectedUsers + "&" + sGetHomeViewParams();
        sParams += "&CB=1";
        <#IsAdmin false="/*">
        if (document.linkproperties.PublishFor[1].checked)
          sParams += "&BPTYP=2";
        else if (document.linkproperties.PublishFor[0].checked)
          sParams += "&BPTYP=0";
        else
        {
          sParams += "&BPTYP=1";
          if(sSelectedUsers=="")
          {
            alert(sDecodeURI("<#LocalizedTextMessage id="No users were selected.">"));
            document.linkproperties.btnSave.disabled = bSaveDisabled;
            document.linkproperties.btnSaveAs.disabled = false;
            return;
          }
        }
        <#IsAdmin false="*/">

        document.linkproperties.LOC.value = document.linkproperties.LOC.value.replace (/%&/g, sEncodeURI('%') + "&");
        if (document.linkproperties.NAM.value.replace (/\s/g, "") == "")
        {
          alert(sDecodeURI("<#LocalizedText id="Name of the view is not defined!" enc="js">"));
          document.linkproperties.btnSave.disabled = bSaveDisabled;
          document.linkproperties.btnSaveAs.disabled = false;
          return;
        }
        else if (document.linkproperties.LOC.value.replace (/\s/g, "") == "")
        {
          alert("<#NoLocText>");
          document.linkproperties.btnSave.disabled = bSaveDisabled;
          document.linkproperties.btnSaveAs.disabled = false;  
          return;
        }
        else
        {
          document.linkproperties.btnSave.disabled = true;
          document.linkproperties.btnSaveAs.disabled = true;   
        }

        SubmitURLviaFormOnDoc(parent.document, sUrl, '', 'body', 'linkproperties', sParams);
      }

      function onCreateViewSettingsButtonClick(vbSaveAsNew)
      {
        if (document.getElementById("NAM").readOnly)
          window.close();
        else
          submitChanges("<#ActionCreateViewURL>", vbSaveAsNew);
      }

      function openBookmarkEditorHelpView()
      {
        OpenHelpWindow(sDecodeURI('<#HelpURL>?shared_viewsettingseditor.htm'));
      }

      function OnPublishForChanged()
      {
        <#IsAdmin false="//">document.linkproperties.Users.disabled = !document.linkproperties.PublishFor[2].checked;
      }

      function OnUsersClick()
      {
        <#IsAdmin false="//">var sParams = ACT_PARAM_SELECTION + '=' + sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL;
        <#IsAdmin false="//">OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','BookmarkEditorUserSelection','body','bookmarkuserselectionform',sParams);
      }

      function OnCloseUserSelection(vsSelectedUsers)
      {
        focus();
        sSelectedUsers = vsSelectedUsers;
      }

      function OnModelSpecificClick()
      {
        document.linkproperties.VMS.value = document.linkproperties.ModelSpecific.checked ? "1" : "0";
      }

      function OnLoad()
      {
        var iPublishForType = <#PublishForType>;
<#IsAdmin false="//">        document.linkproperties.PublishFor[iPublishForType].checked = true;

        var sLOC = sDecodeURI(sGetParameter(ACT_PARAM_URL, sGetDocumentLocation()));
        if (!sLOC || (sLOC.length == 0))
          sLOC = sDecodeURI("<#LinkLocation>");
        document.linkproperties.LOC.value = sLOC;

        var sLink = "<#LinkName>";
        document.linkproperties.NAM.value = sDecodeURI(sLink);
        document.linkproperties.btnSave.disabled = (sLink == "");

        document.getElementById("ModelSpecific").checked = (document.linkproperties.VMS.value != "0");
        if (bHasValidOpener(window) && window.opener.arGetModelData)
        {
          var arModelData = window.opener.arGetModelData();
          if (arModelData && (arModelData.length == 2))
          {
            document.linkproperties.VMID.value = (arModelData[0] == "") ? "0" : arModelData[0];
            document.linkproperties.VMNAME.value = arModelData[1];
          }
        }
        if (document.linkproperties.VMID.value == "0")
          document.getElementById("ModelSpecificSetting").style.display = "none";
        else
          document.getElementById("ModelName").innerHTML += document.linkproperties.VMNAME.value;

        OnPublishForChanged();
        InitializeResizeHandlerForPopup(window);
      }
      <#IsAdmin true="ResizePopupWindow(700,330);" false="ResizePopupWindow(600,330);">
    </script>
  </body>
</html>
<!-- [QPRTemplateEnd: viewsettingseditorview.tpl] -->
