<!DOCTYPE html>
<!-- [QPRTemplateStart: whatsnewview_summary.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">
  function sGetCommonToolbarHTML()
  {
    return sGetDefaultToolbarButtons();
  }

  function OnUnload()
  {
    if (bIsInPrintFrame())
      RefreshToolbar()
    else
      RefreshToolbar(true);
  }

  function getHelpContext() { return "whatsnew.htm"; }
</script>
  </head>

  <body scroll="no" onLoad="RefreshToolbar();" onUnload="OnUnload();" style="width: 100%; height: 100%; overflow: hidden;">
    <table class="FrameTable" height="50%" width="100%" cellpadding="2" cellspacing="0">
      <tr>
        <td height="100%" width="66%" border="0">
<!-- 
Supported parameters in recentmodifications.tpl :
MAXCOUNT:     Maximum total number of rows.
-->
          <iframe src="<#FramedPageURL CRP="p">&MODE=modificationlog&TPL=recentmodifications.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
<!-- 
Supported parameters in recentactionsview.tpl :
MAXCOUNT:     Maximum total number of rows.
-->
          <iframe src="<#TableViewURL>&TPL=recentactionsview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      </tr>
    </table>

    <table class="FrameTable" height="50%" width="100%" cellpadding="2" cellspacing="0">
      <tr>
<!-- 
Supported parameters in sc_bestperformanceview.tpl :
MAXCOUNT:     Maximum total number of rows.
SORTPERIOD:  Period used for sorting model elements (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
SORTSERIES:  Series used for sorting model elements (series identifier and series id are allowed). "default" is also allowed.
SHOWPERIOD:  Period used for sorting model elements (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
SHOWSERIES:  Series used for sorting model elements (series identifier and series id are allowed). "default" is also allowed.
COMPAREBY:   The measure value used for sorting model elements. "rangevalue" and "value" are supported.
-->
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="<!--">
        <td height="100%" width="33%" border="0">
          <iframe src="<#TableViewURL plugin="SCPLUGIN">&TPL=sc_bestperformanceview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&SORTPERIOD=default&SORTSERIES=default&SHOWPERIOD=default&SHOWSERIES=default&COMPAREBY=rangevalue" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="-->">
<!-- 
Supported parameters in sc_worstperformanceview.tpl :
MAXCOUNT:     Maximum total number of rows.
SORTPERIOD:  Period used for sorting model elements (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
SORTSERIES:  Series used for sorting model elements (series identifier and series id are allowed). "default" is also allowed.
SHOWPERIOD:  Period used for sorting model elements (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
SHOWSERIES:  Series used for sorting model elements (series identifier and series id are allowed). "default" is also allowed.
COMPAREBY:   The measure value used for sorting model elements. "rangevalue" and "value" are supported.
-->
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="<!--">
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
          <iframe src="<#TableViewURL plugin="SCPLUGIN">&TPL=sc_worstperformanceview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&SORTPERIOD=default&SORTSERIES=default&SHOWPERIOD=default&SHOWSERIES=default&COMPAREBY=rangevalue" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="-->">
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
<!-- 
Supported parameters in dueactionplansview.tpl :
MAXCOUNT:     Maximum total number of rows.
HISTORYROWS: Maximum number of shown action plans that have deadline that has passed.
-->
          <iframe src="<#TableViewURL>&TPL=dueactionplansview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&HISTORYROWS=4" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      </tr>
    </table>
  </body>
</html>
       
<!-- [QPRTemplateEnd: whatsnewview_summary.tpl] -->
