<!DOCTYPE html>
<!-- [QPRTemplateStart: wordreporthierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">

  var _slPublicReportsCategories = <#PublicWordReportsCategories>;
  var _slMyReportsCategories = <#MyWordReportsCategories>;
 
  function OpenReportView(wrvm, vsCategory, vbRootCategory)
  {
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_COM_TABLE_VIEW);
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "wordreportsview.tpl", sUrl);
    sUrl = sSetParameter("WRVM", wrvm, sUrl);
    if (!vbRootCategory){
      sUrl = sSetParameter(ACT_PARAM_QUERY_MASTER_CONDITION, sEncodeURI('match("' + vsCategory.toLowerCase() + '", TranslateCharacters(lower(category), ";", ","))'), sUrl);
    }
    _sViewParameterPrefix = "REP_";
    OpenLinkedView(sUrl, vsCategory);
  }
  
  function OpenLinkedView(vsBaseUrl, vsId)
  {
    var sDocUrl = sGetDocumentLocation();
    var sBaseURL = sSetParameter(ACT_PARAM_QUERY_ROOT_SHORT, "reports", vsBaseUrl);

    var sFields = sGetParameterExWithAlias(ACT_PARAM_QUERY_FIELDS, ACT_PARAM_QUERY_FIELDS_SHORT, sDocUrl);
    var sFilters = sGetParameterExWithAlias(ACT_PARAM_QUERY_FILTERS, ACT_PARAM_QUERY_FILTERS_SHORT, sDocUrl);
    var sSortBy = sGetParameterExWithAlias(ACT_PARAM_QUERY_SORT_BY, ACT_PARAM_QUERY_SORT_BY_SHORT, sDocUrl);
    var sViewSettingsId = sGetParameterEx(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sDocUrl);

    if (sFields)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_FIELDS_SHORT, sFields, sBaseURL);
    if (sFilters)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_FILTERS_SHORT, sFilters, sBaseURL);
    if (sSortBy)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_SORT_BY_SHORT, sSortBy, sBaseURL);
    if (sViewSettingsId)
      sBaseURL = sSetParameter(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sViewSettingsId, sBaseURL);
    OpenInformationView(sBaseURL, vsId);
  }
  
  function AddMyReportsCategories()
  {
    var sCategory, sCategoryText = '';
    for (var i = 0; i < _slMyReportsCategories.length; ++i) {
	  sCategory = _slMyReportsCategories[i];
	  sCategoryText = sCategory.replace(/</g, '&lt;').replace(/>/g, '&gt;');
      AddNormalNode(sCategoryText,  sCategoryText, "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('1', '" + sDecodeURI(sCategory) + "');", "HierarchyRow", "tl");
    }
  }
  
  function AddPublicReportsCategories()
  {
    var sCategory, sCategoryText = '';
    for (var i = 0; i < _slPublicReportsCategories.length; ++i) {
	  sCategory = _slPublicReportsCategories[i];
	  sCategoryText = sCategory.replace(/</g, '&lt;').replace(/>/g, '&gt;');
      AddNormalNode(sCategoryText,  sCategoryText, "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('0', '" + sDecodeURI(sCategory) + "');", "HierarchyRow", "tl");
    }
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  AddNormalNode("publicreports", "<#LocalizedText id="Public reports">", "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('0', 'publicreports', true);", "HierarchyRow", "tl");
  PushNodeLevel();
  AddPublicReportsCategories();
  PopNodeLevel();
  AddNormalNode("myreports", "<#LocalizedText id="My reports">", "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('1', 'myreports', true);", "HierarchyRow", "tl");
  PushNodeLevel();
  AddMyReportsCategories();
  PopNodeLevel();
  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: wordreporthierarchytreeview.tpl] -->
