<script type="text/javascript">
// jssvg.tpl start

  function bContainsSVG()
  {
    return true;
  }

  var goHost = this;

  var _sSVGFile = "<#Parameter id="SVGFile">", _sSVGId = "<#Parameter id="SVGId">";
  var _sWidth = "<#Parameter id="SVGWidth">", _sHeight = "<#Parameter id="SVGHeight">";
  var _dOrigWidth, _dOrigHeight;
  var _sRandomId = Math.floor(Math.random() * 100000);
  var _sPlaceholderId = "SvgPlaceholder" + _sRandomId;
  var _sSVGImageId = "SVGImage" + _sRandomId;
  var _bHasPercentageWidth, _bHasPercentageHeight;

  {
    /* Convert percentages to pixels, if the width and/or height paremeters are
       in percentage format. If not, leave them intact. */
    var slHeight = _sHeight.match(/(.*)%/i);
    if (slHeight) {
      _bHasPercentageHeight = true;
      _dOrigHeight = parseFloat(slHeight[1]);
    }

    var slWidth = _sWidth.match(/(.*)%/i);
    if (slWidth) {
      _bHasPercentageWidth = true;
      _dOrigWidth = parseFloat(slWidth[1]);
    }
  }
   
  if (!IE8)
    document.write('<div id="' + _sPlaceholderId + '"></div>');

  function OnPortalFramesResized()
  {
    if (IE8)
      return;

    if ($("#" + _sSVGImageId).length == 0)
    {
      var iWindowWidth = $(window).width(),
          iWindowHeight = $(window).height();
      if (($(window).width() > 0) && ($(window).height() > 0))
      {
        // Initialize the actual SVG image on top of placeholder when the window width and height are available.
        var sWidth = _sWidth;
        var sHeight = _sHeight;
        if (!_bHasPercentageWidth && !_bHasPercentageHeight && (sWidth > PDF_IMAGE_MAX_WIDTH) && bIsInPDFPrintFrame() ) {
          sHeight = Math.floor(sHeight * PDF_IMAGE_MAX_WIDTH / sWidth);
          sWidth = PDF_IMAGE_MAX_WIDTH;
          iSvgHeight = function() { return sHeight; };
          iSvgWidth = function() { return sWidth; };
        }

        var sHtml = '<object id="' + _sSVGImageId + '" data="' + _sSVGFile + '" name="SVGEmbed' + _sSVGId + '" width="' + sWidth + '" height="' + sHeight + '" type="image/svg+xml"></object>';
        $("#" + _sPlaceholderId).replaceWith(sHtml);
      }
    }
  };
  
  (function ()
    {
      // After image has been opened, poll the width and height of the window until
      // we get non-zero values after which call OnPortalFramesResized to get image
      // sizes correct.
      if (($(window).width() > 0) && ($(window).height() > 0))
        OnPortalFramesResized();
      else if (!IE8 && ($("#" + _sSVGImageId).length == 0))
        setTimeout(arguments.callee, 10);
    }
  )();

  $(window).on("resize", OnPortalFramesResized);
  
  function iSvgWidth()
  {
    if (_bHasPercentageWidth)
      return $(window).width() * _dOrigWidth / 100;
    return _sWidth;
  }

  function iSvgHeight()
  {
    if (_bHasPercentageHeight)
      return $(window).height() * _dOrigHeight / 100;
    return _sHeight;
  }
// jssvg.tpl end
</script>
