<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_alertconfigview.tpl] -->
<html>
<head>
  <title><#sTitle></title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
  <#PortalScript>
  <#stylesheet>
  <script language="JavaScript1.2" src="<#SizeConstantsJS>"></script>
</head>

<body class="PopupView" onload="javascript:onLoad()" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" id="body">
  <form name="<#FormName>" method="post" action="<#SubmitURL>">
    <div id="PopupHeader">
      <script type="text/javascript">
        var sIcon;
        var sText;
        if ('<#AlertID>' == '')
        {
          sIcon = "header_icon_create.png";
          sText = "<#LocalizedText id="Create New Alert">";
        }
        else
        {
          sIcon = "header_icon_modify.png";
          sText = "<#LocalizedText id="Modify Alert">";
        }
        document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');                     
        document.write(sText);                     
      </script>
      </h1>
    </div>
    <div class="PopupContent">
      <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td>
            <div class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                <caption>
                  <#PropertiesText>
                </caption>
                <tr>
                  <td width="50%">
                    <#ElementText>
                  </td>
                  <td width="50%">
                    <#ElementName>
                  </td>
                </tr>
                <tr>
                  <td width="50%">
                    <#SeriesText>
                  </td>
                  <td width="50%">
                    <#SeriesName>
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>        
        <tr>
          <td>
            <div class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                <caption>
                  <#TypeText>&nbsp;<#OptionsText>
                </caption>
                <tr <#DisplayRangeSelection>>
                  <td width="50%">
                    <input type="radio" name="<#AlertTypeName>" value="1" <#ValueInRange>>
                    <#ValueInRangeText>
                  </td>
                  <td width="50%">
                    <#Ranges>
                  </td>
                </tr>
                <tr>
                  <td width="50%">
                    <input type="radio" name="<#AlertTypeName>" value="2" <#ValueMissing>>
                    <#ValueMissingText>
                  </td>
                  <td width="50%">
                    <#NotificationDelayText>&nbsp;
                    <input type="text" name="<#DelayName>" size="1" maxlength="2" value="<#Delay>">
                    <br>
                    (<#DaysRelativeToTheEndOfThePeriodText>)
                  </td>
                </tr>
                <tr>
                  <td width="50%">
                    <input type="radio" name="<#AlertTypeName>" value="3" <#ValueChanged>>
                    <#ValueChangedText>
                  </td>
                  <td>
                    <#SendNotificationText>
                    <br>
                    <input type="radio" name="<#DelayedAlertName>" value="1"<#bImmediatelly>>
                    <#ImmediatelyWhenValueChangesText>
                    <br>
                    <input type="radio" name="<#DelayedAlertName>" value="2"<#bLater>>
                    <#DelayWhenDateChangesText>
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>        
        <tr>
          <td>
            <div class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                <caption>
                  <#NotificationText>
                </caption>
                <tr>
                  <td width="50%">
                    <#RecipientsText>
                  </td>
                  <td width="50%">
                    <table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td>
                          <select name="USS" size="5" style="width:200px" multiple />
                        </td>
                        <td valign="top">
                          <input class="Button" name="select" type="button" value="<#LocalizedText id="Select">" onClick="javascript: OnUsersClick()">
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="50%">
                    <#WWWLocationText>
                  </td>
                  <td width="50%">
                    <input type="text" style="width:200px" name="<#WWWName>" value="<#WWWLocation>" maxlength="255">
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>        
      </table>
    </div>
    <div id="DetailsFooter">
      <input class="ButtonRight" name="btnHelp" type="button" value="<#LocalizedText id="Help">" onClick="javascript:OpenHelpWindow('<#HelpFileURL>?<#HelpContext>');">
      <input class="ButtonRight" name="btnCancel" type="button" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close()">
      <input class="ButtonRight" name="btnSubmit" type="button" value="<#SubmitText>" onClick="javascript: SubmitForm('<#SubmitURL>')">
    </div>      
    <#AlertID>
  </form>
</body>

  <script language="JavaScript1.2">

    function SubmitForm(sURL) {
      for (var i=0; i < oList.options.length;i++) oList.options[i].selected=true;
      document.<#FormName>.btnSubmit.disabled = true;
      document.<#FormName>.action = sURL;
      document.<#FormName>.submit();
      return true;
    }

    function onLoad(){ 
      if (<#bRefreshParent> == 1) opener.location.reload();
      UpdateUsersList();
      InitializeResizeHandlerForPopup(window);   
    }

    var oUsers = new Array();

<#Users>

    function AddUser(vsName, viUserId) {
      var oUser = new Object();
      oUser.iUserId = viUserId;
      oUser.sLabel = vsName;
      oUsers.push(oUser);
    }

    function UsersArrayToStr() {
      var sSelectedUsers = '';
      var oUser;
      for (var i=0; i < oUsers.length; i++) {
        oUser = oUsers[i];
        if (oUser != null) {
          if (i != oUsers.length-1)
            sSelectedUsers = sSelectedUsers + oUser.iUserId + ',';
          else
            sSelectedUsers = sSelectedUsers + oUser.iUserId;
        }
      }
      return sSelectedUsers;
    }

    var oList = document.<#FormName>.USS;
    function UpdateUsersList() {
      var i = 0;
      oList.options.length = i;
      var oUser;
      for (i; i < oUsers.length; i++) {
        oUser = oUsers[i];
        oList.options[i] = new Option(oUser.sLabel, oUser.iUserId);
      }
    }

    function OnUsersClick() {
      var sParams = ACT_PARAM_SELECTION + '=' + UsersArrayToStr() +
                    '&' + ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_ALLOW +
                    '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH +
                    '&' + ACT_PARAM_CALLBACK + '=' + 'OnCloseUserSelection' +
                    '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_SC +
                    '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_ARRAY;

      OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','AlertUserSelection','body','scalertconfiguserselectionform',sParams);
    }

    function OnCloseUserSelection(varSelectedUsers) {
      if (varSelectedUsers != null) {
        oUsers = new Array();
        var oUser;
        for (var i=0; i < varSelectedUsers.length; i++) {
          oUser = varSelectedUsers[i];
          AddUser(oUser.sLabel, oUser.iUserId);
        }
        UpdateUsersList();
      }
    }
  </script>
</html>
<!-- [QPRTemplateEnd: sc_alertconfigview.tpl] -->
