<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_elementview_editvalues.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    <#Include template="jsutils.tpl">
    <#PortalScript>
    <#stylesheet>
    <style>
      IMG {
        border: 0;
      }
    </style>
    <script type="text/javascript" src="<#ListJS>"></script>
    <#Init>
    <script type="text/javascript"> 
      // OnUnLoad function doesn't have correct values for screenX, screenY in IE.  
      // that causes 'unwanted behaviour'
      var _screenLeft = 0;
      var _screenTop = 0;

      function OnResize() 
      {
        if (CheckNavigator() == IE) {
          _screenLeft = window.screenLeft - 4;
          _screenTop = window.screenTop - 23;
        }
        else {
           // Navigator & Mozilla 
        }
      }

      function SubmitChanges()
      {
        document.forms['<#FormInputName>'].elements['OK'].disabled = true;
        document.forms['<#FormInputName>'].submit();
      }
      
      function OnLoad()
      {
        document.forms['<#FormInputName>'].elements['OK'].disabled = false;
      }

      function onCancelClick()
      {
        if ((opener) && (opener.oEditWindow))
          opener.oEditWindow = null;
        window.close(); 
      }

    </script>
  </head>
  <body class="PopupView" topmargin="0" onLoad="OnLoad()">
    <form method="post" action="<#FormAction>" name="<#FormInputName>" id="<#FormInputName>">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_modify.png" />
        <h1>
          <#LocalizedText id="Edit Values">
        </h1>
      </div>

      <div class="PopupContent">       
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
            <tr>
              <td>
                <table class="ValueTable" cellpadding="0" cellspacing="0">
                  <#ValueList id="SELECTED_PERIODS_ALL_SERIES" manualonly="0">
<!----------------------------------------------------------------------->
<!-- Available values, only one / option: -->
<!-- ID = [ALL_PERIODS_ALL_SERIES, SELECTED_PERIODS_ALL_SERIES, *ALL_PERIODS_SELECTED_SERIES, SELECTED_PERIODS_SELECTED_SERIES] -->
<!-- manualonly = [0, 1] -->
<!----------------------------------------------------------------------->
                </table>
              </td>
            </tr>
          </table>
        </div>
      </div>                 
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onclick="javascript:OpenHelpWindow('<#HelpFileURL>?editvaluesview.htm')">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onClick="javascript:onCancelClick();">
        <input class="ButtonRight" type="button" name="OK" value="<#LocalizedText id="Submit">" onclick="javascript: SubmitChanges();"/>
      </div>
      <input type="hidden" name="<#ActionIdentifier>" value="true" />
      <#PeriodData>
      <input type="image" src="<#BlankImage>" size="0" border="0" />    
    </form>
    <script type="text/javascript">
      InitializeResizeHandlerForPopup(window, OnResize);
    </script>
  </body>
</html>
<!-- [QPRTemplateEnd: sc_elementview_editvalues.tpl] -->
