<!DOCTYPE html>
<!-- [QPRTemplateStart: Basic_Booklet_One_Page.tpl] -->
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />

    <#stylesheet>

    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
  <style>
      
   .maintable { 
      background: white;
   }
      
   TABLE.page { 
      border: none; 
      vertical-align: top; 
      background: white;
      }

   .pagemenu { 
      -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
      -moz-box-sizing: border-box;    /* Firefox, other Gecko */
      box-sizing: border-box;         /* Opera/IE 8+ */
      border-top: 1px solid gray; 
      background-color: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      position: absolute; 
      bottom: 0px; 
      <#IsRTL true="right" false="left">: 0; 
      width: 100%; 
      height: 24px; 
      line-height: 24px;
   }
   
   .pagemenu img {
     vertical-align: text-bottom !important;
   }
   
   TH.pagehead { 
      border: none;
      background: #ffffff; 
      vertical-align: top;
      }
   
   TD.pagenumber {
	  border-top: 1px solid gray; 	
      background: #E5EEF9;
      text-align: <#IsRTL true="left" false="right">;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
   }
      
   FONT.pagehead {
      font-family: Tahoma; 
      font-weight: bolder; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: top;
      }
   
   BODY {
      background: #EFEDED;
      width: 100%;
      height: 100%;
      overflow: hidden;
      }

  .BorderBox {
      -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
      -moz-box-sizing: border-box;    /* Firefox, other Gecko */
      box-sizing: border-box;         /* Opera/IE 8+ */
  }
    
   @media print {
     .pagemenu { visibility: hidden;}
   }
  </style>
  <#PortalScript>

  <script type="text/javascript">
  function bIsBookletView()
  {
    return true;
  }

  function OpenInformationView(vsURL, vsObjectId, vbDoNotRecurseIntoOpener)
  {
    location = vsURL;
  }

  function totalPages()
  {
    if ('<#nr_pages>' == '<' + '#nr_pages>')
    {
        return -1;
    }
    else
    {
        return '<#nr_pages>';
    }
  }

  function PopPrintView(viMode,voCallerWinObj, viFrameNum)
  {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter(ACT_PARAM_TEMPLATE, "<#previewtemplate>", sURL);
    sURL = sSetParameter("MODE", "2", sURL);
    sURL = sSetParameter(ACT_PARAM_SESSION_ID, "<#SessionId>", sURL);
    OpenBrowser(sURL, "_blank", 1024, 768);
  }
  
  function OpenBookmarkEditor()
  {
    var sUrl = sGetBookmarkURL("<#AddBookmarkURL>"); // add dynamic state to bookmark URL
    OpenWindow(sUrl, "_blank", 580, <#IsAdmin true="350" false="260">, 0);
  }

  function OnLogout()
  {
    var sLogoutViewURL = "<#LogoutURL>";  
    document.location.href = sLogoutViewURL;
  }

  function OnLoad()
  {
    if (IE11 || IEANY)
      document.getElementById('mFrame2').style.width = "96%";
  }

  </script>
  </head>
<body onLoad="OnLoad()" style="margin: 0 0 0 0; width: 100%; height: 100%; overflow: hidden;">
  <div style="background: transparent url('<#ImageFileLocation>middle.gif') repeat-y center top; position: absolute; width: 44px; height: 100%; <#IsRTL true="right" false="left">: 0px; top: 0px;"></div>

  <div style="position: absolute; top: 0px; <#IsRTL true="right" false="left">: 44px; border: 0; width: 100%; height: 100%; padding-bottom: 24px;" class="BorderBox maintable" valign=top align=<#IsRTL true="right" false="left">>
    <div class="FrameScroller">
      <iframe name="frame1" id="mFrame2" scrolling="auto" frameborder="0" border="0" style="width: 97%; height: 100%;" src="<#PageFileLocation>empty.html"></iframe>
    </div>
<script type="text/javascript">
  var sUrl = PrepareCustomizableUrl(sAddSessionIfNeeded("<#page enc="script" index="1">"), true);
  OpenViewDirectly(sUrl, 'frame1');
</script>
  </div>

  <div class="pagemenu" cellspacing="0">
    <div style="float: <#IsRTL true="right" false="left">;">
      <#IsFirstPage true="<!--"><a href="<#prevpage>" style="color: #35506f; text-decoration: none;"><#IsFirstPage true="-->">
      &nbsp; <#LocalizedText id="Previous"> <img src="<#ImageFileLocation>arrow_<#IsRTL true="right" false="left">.gif" border="0"/> 
      <#IsFirstPage true="<!--"></a><#IsFirstPage true="-->">
      <a href="<#page_view number="1">" style="color: #35506f; text-decoration: none;">
      <#LocalizedText id="Home"> 
      </a>
      <#IsLastPage true="<!--"><a href="<#nextpage>" style="color: #35506f; text-decoration: none;"><#IsLastPage true="-->"> 
      <img src="<#ImageFileLocation>arrow_<#IsRTL true="left" false="right">.gif" border="0"/> <#LocalizedText id="Next">
      <#IsLastPage true="<!--"></a><#IsLastPage true="-->"> 
     </div>
     <div class="pagenumber" style="float: <#IsRTL true="left" false="right">;">
       <script type="text/javascript">
        if ("<#nr_firstpage>" == "<" + "#nr_firstpage>") {
           document.write("<#LocalizedText id="Bookmark">");
           document.write("&nbsp;|&nbsp;");
        }
        else {
          document.write("<a href='javascript:PopPrintView(2,0);' style=\"color: #35506f; text-decoration: none;\"><#TxtPrintView>&nbsp;|&nbsp;</a>");
		  document.write("<a href=\"javascript:OpenBookmarkEditor()\" style=\"color: #35506f; text-decoration: none;\"><#LocalizedText id="Bookmark"></a>");
          document.write("&nbsp;|&nbsp;");
        }
        document.write("<a href=\"javascript:OnLogout();\" style=\" color: #35506f; text-decoration: none;\"><#LocalizedText id="Logout"></a>");
        document.write("&nbsp;|&nbsp;");
       </script>
       <#nr_firstpage>/<#nr_pages>&nbsp;
     </div>
   </tr>
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: Basic_Booklet_One_Page.tpl] -->
