function sGetWeekdayName(viWeekDay){
switch (viWeekDay){
  case 1:
	swTmp = "<#LocalizedText id="Monday">";
	break;
  case 2:
	swTmp = "<#LocalizedText id="Tuesday">";
	break;
  case 3:
  	swTmp = "<#LocalizedText id="Wednesday">";
	break;
  case 4:
  	swTmp = "<#LocalizedText id="Thursday">";
	break;
  case 5:
  	swTmp = "<#LocalizedText id="Friday">";
	break;
  case 6:
  	swTmp = "<#LocalizedText id="Saturday">";
	break;
  case 7:
  	swTmp = "<#LocalizedText id="Sunday">";
	break;
  default: 
	swTmp = "&nbsp;";
	break;
 }
 return swTmp;
}

function sGetMonthName(viMonth){
switch (viMonth){
  case 1:
	smTmp = "<#LocalizedText id="January">";
	break;
  case 2:
	smTmp = "<#LocalizedText id="February">";
	break;
  case 3:
  	smTmp = "<#LocalizedText id="March">";
	break;
  case 4:
  	smTmp = "<#LocalizedText id="April">";
	break;
  case 5:
  	smTmp = "<#LocalizedText id="May">";
	break;
  case 6:
  	smTmp = "<#LocalizedText id="June">";
	break;
  case 7:
  	smTmp = "<#LocalizedText id="July">";
	break;
  case 8:
  	smTmp = "<#LocalizedText id="August">";
	break;
  case 9:
  	smTmp = "<#LocalizedText id="September">";
	break;
  case 10:
  	smTmp = "<#LocalizedText id="October">";
	break;
  case 11:
  	smTmp = "<#LocalizedText id="November">";
	break;
  case 12:
  	smTmp = "<#LocalizedText id="December">";
	break;
  default: 
	smTmp = "&nbsp;";
	break;
 }
 return smTmp;
}

switch (<#Scheduling.scheduletype>){
  case 0:
	sTmp = "<#LocalizedText id="Disabled">";
	break;
  case 1:
	sTmp = "<#LocalizedText id="Every day">";
	break;
  case 2:
  	sTmp = "<#LocalizedText id="Every week">, <#LocalizedText id="Day">:" + sGetWeekdayName(<#Scheduling.weekday>) + ", ";
	break;
  case 3:
  	sTmp = "<#LocalizedText id="Every month">, <#LocalizedText id="Day">: <#Scheduling.day>, ";
	break;
  case 4:
  	sTmp = "<#LocalizedText id="Every year">, <#LocalizedText id="Month">: " + sGetMonthName(<#Scheduling.month>) + ", <#LocalizedText id="Day">: <#Scheduling.day>, ";
	break;
  default: 
	sTmp = "&nbsp;";
	break;
 }
 
switch (<#Scheduling.scheduletype>){
  case 0:
	break;
  default: 
	sHour = "<#Scheduling.hour>";
	if (sHour.length == 1) sHour = "0" + sHour;
	sMinute = "<#Scheduling.minute>";
	if (sMinute.length == 1) sMinute = "0" + sMinute;
	sTmp = sTmp + " <#LocalizedText id="at (time)">: " + sHour + ":" + sMinute;
	break;
 }
RC(sTmp, sTmp);