<!DOCTYPE html>
<!-- [QPRTemplateStart: navigatorview_excelexport.tpl] -->
<#SetTemplateParameter id="excelexport" value="1">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <script type="text/javascript">
      var _sDefaultQueryFields = "<#URLParameter id="EXFIELDS">";
      var _sDefaultQuerySortBy = "<#URLParameter id="EXSORT">";
      var _consts = { };
    </script>

    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>navigatortreeview.js"></script>

<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsobjectqueryhierarchyutils.tpl">

<script type="text/javascript">
var _sHeader = "";

function AddToHeaderRow(vsData)
{
  _sHeader += vsData;
}

function InitializeTableDesigner()
{
}

function UpdateTableDesigner()
{
}
  
function sGetCustomAttributeFieldLabel(voField)
{
  var sValue = voField.sGetFieldCustomization(0);
  if (sValue)
  {
    sValue = sDecodeURI(sExtractObjectId(sValue)).replace(/,/g, "_");
    var arCustomAttributes = <#customattributelist json="1">;
    return arCustomAttributes[sValue];
  }
}

function OnLoad()
{
  UpdateTree();

  var oExcelTable = $("#ResizableTable");
  oExcelTable.find("script").remove();

  // Flatten the table cells to contain no <br> tags or nested tables, lest
  // Excel adds extra rows to the spreadsheet.
  oExcelTable.find('tbody>tr>td').each(function(i, voElt)
  {
    var oElement = $(voElt);

    // Flatten possible tables, assume only single level of tables
    oElement.find('td').each(function(i, voElt)
    {
      $(voElt).contents().each(function(i, voElt)
      {
        oElement.append($(voElt).remove()).append(' ');
      });
    });

    // Remove the now-empty sub tables
    oElement.find('table').remove();

    // Replace all <br> tags with spaces
    oElement.find('br').each(function(i, voElt)
    {
      $(voElt).after(' ').remove();
    });
  });

  if ( sGetParameter('NOEXCEL', sGetDocumentLocation()) == '1' )
  {
    if ( parent && parent.ProcessExportData )
      parent.ProcessExportData(oExcelTable.html());
  }
  else
  {
    SubmitForm.action = sAddUIPOrSession(sSetParameter(ACT_PARAM_TEMPLATE, "analysisview_excelexport_final.tpl", sGetBaseURL("QPRPORTAL", ACT_COM_TABLE_VIEW)));
    SubmitForm.Content.value = oExcelTable.html();
    SubmitForm.submit();
  }
}

if ("<#URLParameter id="EXVO">" == "1")
  _bSkipCollapsed = true;

InitializeQueryObjects();
</script>
  </head>
  <body id="body" style="display: none" onLoad="OnLoad();">
    <form name="SubmitForm" action="#" method="post" target="_self">
      <input type="hidden" name="Content" value="">
    </form>
<script type="text/javascript">
  InitializeHierarchy(false, true);

  <#Hierarchy roottag="1" dynamic="3" first="0" excelexport="1" maxcount="100000" where=""
    hierarchy="<#URLParameter id="EXTHIER">"
    configuration="<#URLParameter id="EXCFG">"
    sort="<#URLParameter id="EXSORT">" 
    fields="<#URLParameter id="EXFIELDS">"
    decimalseparator="<#URLParameter id="EXDECSEP">">

  document.write(WriteTreeDiv());
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: navigatorview_excelexport.tpl] -->