<!DOCTYPE html>
<!-- [QPRTemplateStart: modelversion.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

  <script type="text/javascript">
    function sGetCommonToolbarHTML()
    {
      return sGetBookmarkButton() + sGetCopyLinkButton();
    }

    function sGetHelpFile()
    {
      return "<#HelpFileURL>?modelpropertiesview.htm";
    }
  </script>
</head>

<body onload="javascript: if (bInPortal()) { parent.UpdateInformationViewToolbars(); }" onUnload="javascript: if (bInPortal()) { parent.UpdateInformationViewToolbars(true); }">
  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption style="border-top: 0;"><#LocalizedText id="Model Properties"></caption>
      <tr>
        <th class="Vertical"><#LocalizedText id="Model Name">:</th><td><#modelnamevalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Feedback Email Address">:</th><td><a href='mailto:<#feedbackaddressvalue>'><#feedbackaddressvalue></a></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Description">:</th><td><#descriptionvalue></td>
      </tr>
    </table>
    
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption><#LocalizedText id="Version"></caption>
      <tr>
        <th class="Vertical"><#LocalizedText id="Version Number">:</th><td><#versionnumbervalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Status">:</th><td><#statusvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Author">:</th><td><#authorvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Comment">:</th><td><#commentvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Last Changed">:</th><td><#lastchangedvalue></td>
      </tr>
    </table>

    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption><#LocalizedText id="Model database Information"></caption>
      <tr>
        <th class="Vertical"><#LocalizedText id="Created">:</th><td><#CreationDate></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Last modified">:</th><td><#LastSaved></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Server location">:</th><td><#serveraddressvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Server port">:</th><td><#serverportvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Database location">:</th><td><#modelpathvalue>&nbsp;&nbsp;&nbsp;
<script type="text/javascript">
  if (<#IsPortalReadonly true="false" false="true">)
    WriteButtonHTML("<#editmodel>", "<#openmodeleditvalue>");
</script>
      </tr>
    </table>
    
    <#Include template="pg_modeldetails_custom_attributes.tpl">

    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption><#LocalizedText id="Changes Log"></caption>
      <tr>
        <td>
          <table>
            <tr><td valign="top" class="MultiLineStringField"><#changeslogvalue length="50"></td></tr>
          </table>
        </td>
      </tr>

      <tr style="<#isfullloglink false="display: none;">">
        <td>
<script type="text/javascript">
  if (<#isfullloglink true="true" false="false">)
    WriteButtonHTML("<#fullchangeslogtext>", "<#fullchangeslogurl>");
</script>
        </td>
      </tr>
    </table>
  </div>
  
<!--
Uncomment the following line if you want to get PG model memory state information visible in the view
<pre><#memorystate></pre>
-->
</body>
</html>
<!-- [QPRTemplateEnd: modelversion.tpl] -->
