<!DOCTYPE html>
<!-- [QPRTemplateStart: navigatorhierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";

  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }
  
  function OpenElementHierarchyLink(vsId)
  {
    var sURL = sSetParameter(ACT_PARAM_TEMPLATE, "customhierarchyview.tpl", "<#TableViewURL plugin="PGPLUGIN">");
    sURL = sSetParameter(ACT_PARAM_QUERY_HIERARCHY_SHORT, "customhierarchy", sURL);
    sURL = sSetParameter(ACT_PARAM_ELEMENT_HIERARCHY_ID, sExtractObjectId(vsId), sURL);
    if ( _bOpeningDefaultView )
      sURL = sAddRequestIDToURL(sURL, true);
    OpenHierarchyLink(vsId, sURL);
    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    var sLink, sClass, bOpen;
    if (vsTypeName == "ElementHierarchyFolder")
    {
      sLink = "";
      sClass = "HierarchyRowNoLink";
      bOpen = true;
    }
    else
    {
      sLink = "javascript:OpenElementHierarchyLink('" + vsId + "');"
      sClass = "PGPLUGINHierarchyRow";
      bOpen = vbOpen;
    }
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>" + vsIconURL, sLink, sClass, "tl", bOpen, vsTypeName, vbHasDynamicChildren);
  }

  _sViewParameterPrefix = "PGNA_";
</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="navigatorviewsettings" SetVisible="<#URLParameter id="OID">" ConfigurationFile="hierarchyfields.ini">
    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: navigatorhierarchytreeview.tpl] -->
