<!DOCTYPE html>
<!-- [QPRTemplateStart: parentlevel.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<script type="text/javascript">
  function flowchart_window(vsUrl, vsObjectId)
  {
    var undefined;
    if (self.name == 'fullscreen')
      document.location.href = sSetParameter("ZOOM", "fs", sSetParameter("DPMODE", "0", vsUrl));
    else
    {
      if (parent && (parent != window))
        OpenInformationView(vsUrl);
      else if (bHasValidOpener(window) && (window.opener.OpenInformationView)) 
    	window.opener.OpenInformationView(vsUrl,vsObjectId);
      window.close();
    }
  }
</script>
</head>

<body onload="UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption class="FirstTable">
        <#parenttabletitle>
      </caption>

      <#parentlevelrows template="">
			<!--cell template sample is table_singlecell.tpl-->
		</table>
  </div>
<script type="text/javascript">
  if (window.opener)
    document.write('<p align="center"><input type="button" value="<#HCancel>" onclick="window.close()"></p>');
</script>
</body>
</html>
<!-- [QPRTemplateEnd: parentlevel.tpl] -->
