<!DOCTYPE html>
<!-- [QPRTemplateStart: processmapshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";

  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }

  function OpenProcessLevelLink(vsId)
  {
    var oHeaderView = oGetHeaderView();
    var sURL = sGetBaseURL(sGetPlugin(), "10");
    var sObjectId = sExtractObjectId(vsId);
    var sZoomLevel = null;
    sURL = sSetParameter("MODELID", _iModelId, sURL);
    sURL = sSetParameter("OBJECTID", sObjectId, sURL);
    sURL = sSetParameter("VIE", sGetParameter("VIE", sGetDocumentLocation()), sURL);

    if ( oHeaderView && oHeaderView.sGetHierarchyParameters )
      sZoomLevel = sGetParameter("ZOOM", oHeaderView.sGetHierarchyParameters());
    if ( sZoomLevel == null || sZoomLevel == '' )
      sZoomLevel = sGetParameter("ZOOM", sGetDocumentLocation());

    sURL = sSetParameter("ZOOM", sZoomLevel, sURL);

    var sSCLinkParams = "<#SCLinkParams>";
    if (sSCLinkParams)
      sURL += sSCLinkParams;
    OpenInformationView(sURL, vsId);

    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>view_flowchart.gif", "javascript:OpenProcessLevelLink('" + vsId + "');", "PGPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
  
  function arGetModelVersionOptions()
  {
    return arGetModelVersionOptionsInternal();
  }
</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    InitializeHierarchy(true);
  
    var iRootObjectAccess = "<#Model attribute="rootobjecthierarchyaccesslevel">";
    if (iRootObjectAccess >= 0) {
      var sId = sCreateExternalObjectId(PR_PG, _iModelId, "0");
      var sURL = "javascript:OpenProcessLevelLink('" + sId + "')";
      AddNormalNode(sId, "<#Model attribute="Name">", "<#PluginImageFileLocation>view_flowchart.gif", sURL, "PGPLUGINHierarchyRow", "tl", true);
    }
    else {
      AddNormalNode(sId, "<#LocalizedText id="No access">", "", "", "PGPLUGINHierarchyRowNoLink", "", true);
    }
    PushNodeLevel();
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="diagramhierarchy" SetVisible="<#ConvertModelId id="<#URLParameter id="OID">">" ForceAccessibleItemVisible="1" ConfigurationFile="hierarchyfields.ini" SortBy="hierarchyindex">
    PopNodeLevel();
  
    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: processmapshierarchytreeview.tpl] -->
