<!-- [QPRTemplateStart: associationparentobjectsattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <td colspan="2"> 
	<select name="lstParents<#Name>" size="4" style="width: 100%; margin-bottom: 6px;" multiple onChange="OnParentSelectionChange()">
	</select>
	<input type="button" class="ButtonLeft" name="btnAdd" value="<#LocalizedText id="Add">" onClick="OnParentsAddClick()" />
	<input type="button" class="ButtonRight" name="btnRemove" value="<#LocalizedText id="Remove">" Disabled = true onClick="OnParentsRemoveClick()" />
	<input type="hidden" name="<#Name>" value="<#Value>">
	<input type="hidden" name="<#Name attributeid="2">" value="<#Value>">
  </td>
</tr>

<script type="text/javascript">
var _iIndex, _sActionData;

<#Include template="jsBasketObject.tpl">

function OnParentsAddClick()
{
  OpenWindow('<#VTNViewURL VTN="selectbasketitems" CRP="p">&' + ACT_PARAM_CALLBACK + '=OnParentSelectionClosed&BSFM=1&BSIT=1', 
    "BasketView", 400, 300);
}

function OnParentSelectionChange()
{ 
  var olOptions = document.properties.lstParents<#Name>.options;

  if (olOptions  != null) {
	document.properties.btnRemove.disabled = !((olOptions.length > 0) && (olOptions.selectedIndex > -1));
  } 
}

function OnParentSelectionClosed(volNewSelections)
{
  if (volNewSelections) {
    var oExtBaskObj, oIntBaskObj;

    for (var i = 0; i < volNewSelections.length; ++i) {
      oExtBaskObj = volNewSelections[i];
      oIntBaskObj = new BasketObject();

      oIntBaskObj.psId = oExtBaskObj.psId;
      oIntBaskObj.psPrettyName = oExtBaskObj.psPrettyName;
      oIntBaskObj.psUrl = oExtBaskObj.psUrl;
      oIntBaskObj.psIconUrl = oExtBaskObj.psIconUrl;
      oIntBaskObj.piProductId = oExtBaskObj.piProductId;

      ReAttachBasketObjectMethods(oIntBaskObj);
      AddBasketObject(oIntBaskObj);
    }
    OutputObjects();
  }
}

function OnParentsRemoveClick()
{
  var oOption, olOptions = document.properties.lstParents<#Name>.options;

  for (var i = 0; i < olOptions.length; ++i) {
    oOption = olOptions[i];
    if (oOption.selected) {
      if (confirm (sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete the following item from the parent element list: ">\'" + oOption.text + "\'?"))) 
        RemoveObjectWithId(oOption.value);
    }
  }
  OutputObjects();
  OnParentSelectionChange();
}

function OutputObjects()
{
  document.properties.lstParents<#Name>.options.length = 0;
  document.properties.<#Name>.value = '';
  document.properties.<#Name attributeid="2">.value = '';

  var t, olObjects, oObject, iNumAssociations = 0, iNumExternals = 0;

  for (var i = 0; i < _<#Name>olObjects.length; ++i) {
    olObjects = _<#Name>olObjects[i];

    for (t = 0; t < olObjects.length; ++t) {
      oObject = olObjects[t];
      oObject.WriteObjectAsSelectOption(document.properties.lstParents<#Name>);

      if (oObject.bIsAssociation()) {
        if (iNumAssociations++ > 0) 
          document.properties.<#Name>.value += ',';
        document.properties.<#Name>.value += oObject.psId;
      }
      else {
        if (iNumExternals++ > 0) 
          document.properties.<#Name attributeid="2">.value += ',';
        document.properties.<#Name attributeid="2">.value += oObject.psId;
      }
    }
  }
}

ReadObjects(sDecodeURI("<#ObjectData id="CombinedParentData" escaping="js">"));
OutputObjects();
</script>
<!-- [QPRTemplateEnd: associationparentobjectsattributeeditor.tpl] -->
