<!-- [QPRTemplateStart: associationusersattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <th>
    <#Label><#IsMandatoryAttribute true="&nbsp;*">:
  </th>
  <td style="width: 100%;" class="PropertyFormTextInputCell">
    <input type="text" name="_<#Name>" value="<#UserName>" style="width: 100%;" readonly />
  </td>
  <td nowrap="nowrap">
    <input type="button" class="Button" value="<#LocalizedText id="Select">" <#IsReadOnlyAttribute true="disabled=\"true\""> onClick="OnUsersClick<#Name>()">
    <input type="hidden" name="<#Name>" value="<#Value>">
  </td>
</tr>
<#Include template="jsmandatoryattributevalidator.tpl" ElementName="_<#Name>">

<script>
  var sSelectedUser<#Name> = '<#Value>';
  var sSelectedUserName<#Name> = '<#UserName>';

  function OnUsersClick<#Name>()
  {
    var sUserId = sSelectedUser<#Name>;
    if (sUserId == '0') sUserId = '';
    var sParams = ACT_PARAM_SELECTION + '=' + sUserId + '&' + ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_ALLOW + '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH + '&' + ACT_PARAM_CALLBACK + '=' + 'OnCloseUserSelection<#Name>' + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_ANY + '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_ARRAY;
    OpenUserSelectionWindow('<#UserSelectionViewURL>&' + sParams, 'ActionUser<#Name>UserSelection');
  }

  function OnCloseUserSelection<#Name>(varSelectedUsers)
  {
    var sSelectedUser, sSelectedUserName;
    if (varSelectedUsers.length == 0) {
      sSelectedUser = '0';
      sSelectedUserName = '';
    }
    else {
      sSelectedUser = '';
      sSelectedUserName = '';
      for (var i = 0; i < varSelectedUsers.length; i++) {
        var oUser = varSelectedUsers[i];
        if (i != 0) {
          sSelectedUser += ',';
          sSelectedUserName += ', ';
        }
        sSelectedUser += oUser.iUserId;
        sSelectedUserName += oUser.sLabel;
      }
    }

    sSelectedUser<#Name> = sSelectedUser;
    sSelectedUserName<#Name> = sSelectedUserName;
    document.properties.<#Name>.value = sSelectedUser;
    document.properties._<#Name>.value = sSelectedUserName;
  }
  
  if (typeof(RegisterResponsibleUserSelectionAttribute) != "undefined")
    RegisterResponsibleUserSelectionAttribute("<#Name>", "<#AttributeType attribute="CausesResponsibility">");
  
  function sGetSelectedUserIds<#Name>()
  {
    var sResult = sSelectedUser<#Name>;
    if (sResult == '0') 
      sResult = '';
    return sResult;
  }
</script>

<!-- [QPRTemplateEnd: associationusersattributeeditor.tpl] -->
