<!DOCTYPE html>
<!-- [QPRTemplateStart: bookmarkeditorview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <#stylesheet>
  
  <script>
    var sSelectedUsers = '<#PublishForUsers>';
    var sDefaultViewParameters, sBookmarkExtraParameters, sAlternateBookmarks, sBookmarkModelId;
    var arBookmarks;
    if (bHasValidOpener(window)) {
      if (self.opener.sGetSetAsDefaultViewParameters)
        sDefaultViewParameters = self.opener.sGetSetAsDefaultViewParameters();

      if (self.opener.sGetBookmarkExtraParameters)
        sBookmarkExtraParameters = self.opener.sGetBookmarkExtraParameters();

      if (self.opener.sGetAlternateBookmarks)
        sAlternateBookmarks = self.opener.sGetAlternateBookmarks();

      if (self.opener.sGetBookmarkModelId)
        sBookmarkModelId = self.opener.sGetBookmarkModelId();
    }
    
    function ProcessAlternateBookmarks()
    {
      if (sAlternateBookmarks) {
        // Alternate bookmarks string is a list of alternatives separated by commas ","
        // Each alternate consists of name, alternate parameters and optional model id, separated by semicolons ";"
        arBookmarks = sAlternateBookmarks.split(",");
        document.write('<tr><td>&nbsp;<\/td><td>');
        for (var i = 0; i < arBookmarks.length; ++i) {
          var arBookmarkOptions = sDecodeURI(arBookmarks[i]).split(";");
          arBookmarks[i] = Object();
          arBookmarks[i].sName = sDecodeURI(arBookmarkOptions[0]);
          arBookmarks[i].sParams = sDecodeURI(arBookmarkOptions[1]);
          arBookmarks[i].sModelId = sDecodeURI(arBookmarkOptions[2]);
          var sInput = '<input type="radio" ';
          if (i == 0) { 
            sInput += 'checked ';
           }
          sInput += 'value="' + i + '" id="ABM' + i + '" name="AlternateBookmark" onclick="OnAlternateBookmarkChanged()" />&nbsp;' + arBookmarks[i].sName;
          document.write(sInput);
          document.write('<br />');
        }
        document.write('</td></tr>');
      }
    }
  </script>
  
  </head>
  <body class="PopupView" onLoad="OnLoad(); OnActionChanged(); OnPublishForChanged(); OnAlternateBookmarkChanged()" id="body">
    <form id="linkproperties" name="linkproperties" action="<#URL>" method="post">
      <div id="PopupHeader">
<script type="text/javascript">
  var sTmp, sIcon;
  if ('<#ismodifystate false="0" true="1">' == 0) {
    sTmp = '<#LocalizedText id="Create New Bookmark">';
    sIcon = "header_icon_create.png";
  }
  else
  {
    sTmp = '<#LocalizedText id="Modify Bookmark">';
    sIcon = "header_icon_modify.png";
  }
  document.title = "<#Title notags='1'>" + " - " + sTmp;
  document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');
  document.write(sTmp);                     
</script>
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td valign="top" width="<#IsAdmin true="65" false="100">%">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Properties">
                  </caption>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="Link name">
                    </td>
                    <td width="100%">
                      <input type="text" id="NAM" name="NAM" maxlength="<#MaxBookmarkNameLength>" <#LinkNameReadOnly> value="" style="width: 100%">
                    </td>
                  </tr>
                  <script type="text/javascript">
                    ProcessAlternateBookmarks();
                  </script>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="Location">
                    </td>
                    <td width="100%">
                      <input type="<#LinkLocationInputType>" id="LOC" name="LOC" onkeyup="bCheckLocationURL()" maxlength="<#MaxBookmarkLocationLength>" <#LinkLocationReadOnly> value="" style="width: 100%">
                    </td>
                  </tr>
                  <tr id="trDirectLink" style="<#IsIWAUsed true="display: none;"><#IsSSOUsed true="display: none;">">
                    <td nowrap="true" width="80">
                      <#LocalizedText id="Direct link">
                    </td>
                    <td width="100%">
                      <script type="text/javascript">
                        if (IPAD)
                          document.write('<input id="inputDirectLink" type="<#LinkLocationInputType>" name="" maxlength="<#MaxBookmarkLocationLength>" onkeydown="event.preventDefault();event.stopPropagation();return false;" oncut="event.preventDefault();event.stopPropagation();return false;" value="" style="width: 100%">');
                        else  
                          document.write('<input id="inputDirectLink" type="<#LinkLocationInputType>" name="" maxlength="<#MaxBookmarkLocationLength>" readonly="true" value="" style="width: 100%">');
                      </script>
                  </td>
                  </tr>
                  <tr>
                    <td colspan="2">
                      <div id="divLongDirectLinkWarning" class="Warning">
                      </div>
                    </td>
                  </tr>
                  <tr <#IsAllowUpdateHomeViewEnabled false='style="display: none"'>>
                    <td>&nbsp;</td>
                    <td>
                      <table>
                        <tr>
                          <td style="width: 34%">
                            <input type="checkbox" value="0" id="SetAsHomepage" name="SetAsHomepage" <#IsReadOnly true="disabled=\"disabled\""> onclick="OnSetAsHomePageClick(this);">&nbsp;
                            <label for="SetAsHomepage"><#LocalizedText id="Set as homepage"></label>
                          </td>
                          <td style="width: 33%">
                            <div id="divQuickLink">
                              <input type="checkbox" value="0" id="QuickLink" name="QuickLink" onclick="OnQuickLinkClick(this);">&nbsp;
                              <label for="QuickLink"><#LocalizedText id="Quick link"></label>
                            </div>
                          </td>
                          <td style="width: 33%">
                            <div id="divIncludeView">
                              <input type="checkbox" checked="checked" id="IncludeView" name="IncludeView" <#IsReadOnly true="disabled=\"disabled\""> onclick="OnIncludeViewClick(this);">&nbsp;
                              <label for="IncludeView"><#LocalizedText id="Maintain selections"></label>
                            </div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            <td valign="top" width="35%" class="NotFirstColumn" style="<#IsAdmin false="display: none;">">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Publish To">
                  </caption>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="0" onclick="OnPublishForChanged()">&nbsp;
                      <#LocalizedText id="Author">
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">&nbsp;
                      <#LocalizedText id="Everyone">
                    </td>
                  </tr>
                  <tr>
                    <td nowrap="true">
                      <input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">&nbsp;
                      <#LocalizedText id="Selected users">
                    </td>
                    <td>
                      <input class="Button" type="button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()" style="width: 100">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
          <tr>
            <td id='actionrow' style='display: none;' width="100%">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Action">
                  </caption>
                  <tr>
                    <td>
                      <input type="checkbox" checked id="CreateBookmark" onclick="javascript: OnCreateBookmarkClick(this);" name="CreateBookmark">&nbsp;
                      <#LocalizedText id="Create bookmark">
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <table id="SetAsDefaultTable" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td>
                            <input type="checkbox" id="SetAsDefaultPage" name="SetAsDefaultPage" onclick="OnSetAsDefaultPageChanged()">&nbsp;
                            <#LocalizedText id="Set as default page">
                          </td>
                        </tr>
                        <tr id='globaldefaultpagerow'>
                          <td>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <input type="radio" checked value="0" id="SetAsPortalDefaultPage" name="DefaultPage" onclick="OnActionChanged()">&nbsp;
                            <#LocalizedText id="Set as default page of QPR Portal">
                          </td>
                        </tr>
                        <tr id='localdefaultpagerow'>
                          <td>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <input type="radio" value="1" id="SetAsTabDefaultPage" name="DefaultPage" onclick="OnActionChanged()">&nbsp;
                            <#LocalizedText id="Set as default page of">&nbsp;<#TabName>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            <script>
              var _bLocalSetToDefault = <#IsLocalSetToDefaultEnabled true="true" false="false">;
              var _bGlobalSetToDefault = <#IsGlobalSetToDefaultEnabled true="true" false="false">;
      
              if ((window.opener) && (window.opener.parent) && (_bLocalSetToDefault || _bGlobalSetToDefault)) {
                if ((window.opener.parent.name != 'SettingsWindow') && (sDefaultViewParameters && (sDefaultViewParameters != '')))
                  document.getElementById('actionrow').style.display = '<#ismodifystate true="none" false="block">';
              }
            
              if (_bLocalSetToDefault && !_bGlobalSetToDefault)
                document.getElementById('SetAsTabDefaultPage').checked = true;
            </script>
          </tr>
        </table>
      </div>
      <div id="DetailsFooter">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Help">" onclick="openBookmarkEditorHelpView()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Cancel">" onclick="window.close()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="OK">" name="OK" onclick="onCreateViewButtonClick()">
        <table>
          <tr>
            <td>
              <#LocalizedText id="Created by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="creator.prettyname">&nbsp;(<#AssociationData id="createddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
          <tr>
            <td>
              <#LocalizedText id="Last Modified by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="modifier.prettyname">&nbsp;(<#AssociationData id="modifieddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
        </table>
      </div>
    </form>
    <script type="text/javascript">
    
      var sCurrentUser = '<#UserId>';
      var bCreatingNewBookmark = <#IsDefinedRequestParameter id="BID" true="false" false="true">;
      var bAllowSelection = <#IsAdmin true="true" false="false"> ||
                            (<#IsLocalSetToDefaultEnabled true="true" false="false"> &&
                             <#IsGlobalSetToDefaultEnabled true="true" false="false">);
      var _bIsDynamic = <#IsDynamic true="true" false="false">;
      
      function bCheckLocationURL()
      {        
        if (document.getElementById('SetAsHomepage'))
        {                
          var sLocation = document.getElementById('LOC').value;
          var iIndex = sLocation.indexOf('prmav') + sLocation.indexOf('pudev');
          var oCheckBox = document.getElementById('SetAsHomepage');
          if (iIndex == -2) 
          {             
            oCheckBox.disabled = false || <#IsReadOnly true="true" false="false">;
            return true ;
          }
          else
          {
            oCheckBox.checked=false;
            oCheckBox.disabled=true;
            return false;
          };                
        }
        else
        {
          return false;
        }; 
      }
      
      function submitChanges(sUrl)
      {
        var bIsModifyState = <#ismodifystate true="true;" false="false;">
        var sParams = "";
        var iActionsSelectedCount = 0;

        document.linkproperties.OK.disabled = true;
     
        if (document.linkproperties.QuickLink.checked || (sGetParameter('BTYP', sGetDocumentLocation()) == '3')) 
          sParams += "&BTYP=3";
        if (document.linkproperties.SetAsHomepage.checked) 
          sParams += "&HP=1";
        
        if (sDefaultViewParameters)
          sParams += "&" + sDefaultViewParameters;
        sParams += "&USRS=" + sSelectedUsers + "&" + sGetHomeViewParams();

        if(!bIsModifyState)
        {
          if (document.linkproperties.SetAsDefaultPage.checked) {
            if(document.getElementById('SetAsPortalDefaultPage')) {
              if(document.getElementById('SetAsPortalDefaultPage').checked) { sParams += "&DPOPOR=1"; iActionsSelectedCount++; }
            }
            if(document.getElementById('SetAsTabDefaultPage')) {
              if(document.getElementById('SetAsTabDefaultPage').checked) { sParams += "&DPOPLUG=1"; iActionsSelectedCount++; }
            }
          }
          if(document.getElementById('CreateBookmark')) {
            if(document.getElementById('CreateBookmark').checked) { sParams += "&CB=1"; iActionsSelectedCount++; }
          }
          if(iActionsSelectedCount == 0) {
            alert(sDecodeURI("<#LocalizedTextMessage id="No actions have been selected">"));
            document.linkproperties.OK.disabled = false;
            return;
          }
        }
        else
        {
          sParams += "&CB=1";
        }
        <#IsAdmin false="/*">
        if (document.linkproperties.PublishFor[1].checked)
          sParams += "&BPTYP=2";
        else if (document.linkproperties.PublishFor[0].checked)
          sParams += "&BPTYP=0";
        else
        {
          sParams += "&BPTYP=1";
          if(sSelectedUsers=="")
          {
            alert(sDecodeURI("<#LocalizedTextMessage id="No users were selected.">"));
            document.linkproperties.OK.disabled = false;
            return;
          }
        }

        <#IsAdmin false="*/">
        document.linkproperties.LOC.value = document.linkproperties.LOC.value.replace (/%&/g, sEncodeURI('%') + "&");
        if (document.linkproperties.NAM.value.replace (/\s/g, "") == "")
        {
          alert("<#NoNameText>");
          document.linkproperties.OK.disabled = false;
          return;
        }
        else if (document.linkproperties.LOC.value.replace (/\s/g, "") == "")
        {
          alert("<#NoLocText>");
          document.linkproperties.OK.disabled = false;
          return;
        }
        else {
          if (document.linkproperties.Ok)
            document.linkproperties.Ok.disabled = true;
        }
        if (sBookmarkExtraParameters)
          sParams += "&" + sSetParameter(ACT_PARAM_BOOKMARK_EXTRA_PARAMS, sEncodeURI(sBookmarkExtraParameters), "");
        SubmitURLviaFormOnDoc(parent.document, sUrl, '', 'body', 'linkproperties', sParams);
      }
      function OnSetAsHomePageClick(voObject)
      {
        if(voObject.checked) {
          if(document.getElementById('CreateBookmark')) {
            if(!document.getElementById('CreateBookmark').checked) {
              document.getElementById('CreateBookmark').checked = true;
            }
          }
        }
        UpdateQuickLinkCheckbox();
      }
      function OnCreateBookmarkClick(voObject)
      {
        if((!voObject.checked) && (document.linkproperties.SetAsHomepage.checked))
          voObject.checked = true;
        UpdateQuickLinkCheckbox();
      }
      
      function UpdateQuickLinkCheckbox()
      {
        var bEnabled =
          <#IsAdmin true="true" false="false"> && 
          document.linkproperties.CreateBookmark.checked && 
          !document.linkproperties.SetAsHomepage.checked &&
          !document.linkproperties.PublishFor[0].checked;
        if (!bEnabled)
          document.linkproperties.QuickLink.checked = false;
        document.linkproperties.QuickLink.disabled = !bEnabled;
      }
      
      function onOkButtonClick() {
        submitChanges("<#ActionOkURL>");
      }
      function onCreateLinkButtonClick() {
        submitChanges("<#ActionCreateLinkURL>");
      }
      function onCreateViewButtonClick() {
        if ( <#IsReadOnly true="true" false="false"> )
          window.close();
        else
          submitChanges("<#ActionCreateViewURL>");
      }

      function openBookmarkEditorHelpView()
      {
        OpenHelpWindow(sDecodeURI('<#HelpURL>?bookmarks.htm'));
      }

      function OnActionChanged()
      {
        document.linkproperties.NAM.disabled = false;
      }

      function OnSetAsDefaultPageChanged()
      {
        if(document.linkproperties.SetAsPortalDefaultPage)
          document.linkproperties.SetAsPortalDefaultPage.disabled = document.linkproperties.SetAsTabDefaultPage.disabled = !(document.linkproperties.SetAsDefaultPage.checked && _bLocalSetToDefault && _bGlobalSetToDefault);

      }
      
      function OnPublishForChanged()
      {
        <#IsAdmin false="//">document.linkproperties.Users.disabled = !document.linkproperties.PublishFor[2].checked;
        UpdateQuickLinkCheckbox();
      }

      function OnQuickLinkClick(voObject)
      {
        document.linkproperties.SetAsHomepage.disabled = voObject.checked || <#IsReadOnly true="true" false="false">;
        if (document.linkproperties.SetAsHomepage.disabled)
          document.linkproperties.SetAsHomepage.checked = false; 
      }
      
      function OnIncludeViewClick()
      {
        if (_bIsDynamic) {
          var oLocation = document.linkproperties.LOC;
          var oDirectLink = document.getElementById("inputDirectLink");

          if (document.linkproperties.IncludeView.checked) {
            oLocation.value = sRemoveParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, oLocation.value);
            oDirectLink.value = sRemoveParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, oDirectLink.value);
          }
          else {
            oLocation.value = sSetParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, "1", oLocation.value);
            oDirectLink.value = sSetParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, "1", oDirectLink.value);
          }
        }
      }

      function OnUsersClick()
      {
        if ( <#IsAdmin false="false" true="true"> ) {
          var iPreviousWidth = $('#NAM').width();

          var sParams = ACT_PARAM_SELECTION + '=' + sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL;
          OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','BookmarkEditorUserSelection','body','bookmarkuserselectionform',sParams);

          if ( IEANY && $('#NAM').width() > iPreviousWidth ) {
            $('#NAM').width(iPreviousWidth + 4);
            $('#LOC').width(iPreviousWidth + 4);
            $('#inputDirectLink').width(iPreviousWidth + 4);
          }
        }
     }

      function OnCloseUserSelection(vsSelectedUsers)
      {
        focus();
        sSelectedUsers = vsSelectedUsers;
      }

      function OnLoad()
      {
        var iPublishForType = <#PublishForType>;
        <#IsAdmin false="//"> document.linkproperties.PublishFor[iPublishForType].checked = true;
        document.linkproperties.PublishFor[0].disabled = (sGetParameter('BTYP', sGetDocumentLocation()) == 3); // Quick link cannot be private

        if (!bCreatingNewBookmark && document.linkproperties.Ok) {
          document.linkproperties.Ok.value = sDecodeURI("<#LocalizedTextMessage id="Apply">");
        }     
        
        // Prevent user from setting the default page of mycontents/home if not allowed to change home page
        var oSetAsDefault = document.getElementById("SetAsDefaultTable");
        if (oSetAsDefault &&
            ((<#IsAllowUpdateHomeViewEnabled true="false" false="true"> && 
              (sGetParameter("HDR", sDefaultViewParameters) == "mycontents") && 
              (sGetParameter("SUBHDR", sDefaultViewParameters) == "home")) ||
             (<#IsPortalReadonly true="true" false="false">)))
          oSetAsDefault.style.display = "none";
        
        var sLinkLocation = sDecodeURI("<#LinkLocation>");
        if (sBookmarkModelId)
          sLinkLocation = sReplaceModelIds(sLinkLocation, sBookmarkModelId);

        if (!_bIsDynamic) {
          $("#divIncludeView").css("display", "none");
          $("#trDirectLink").css("display", "none");
        }
        document.linkproperties.LOC.value = sLinkLocation;
        document.linkproperties.NAM.value = sDecodeURI("<#LinkName>");
        var oDirectLink = document.getElementById("inputDirectLink");
        var sDirectLink = sDecodeURI("<#directlink enc="url">");
        if (sBookmarkModelId)
          sDirectLink = sReplaceModelIds(sDirectLink, sBookmarkModelId);
          
        oDirectLink.value = sDirectLink;
        if (bIsLongUrl(sDirectLink)) {
          var oDiv = document.getElementById("divLongDirectLinkWarning");
          oDiv.innerHTML = "<#LocalizedText id="Warning: The length of the direct link and location exceeds the maximum supported link length of some web browsers. It is recommended to either try to simplify the view for which the link is being created or not to use the direct link nor location at all.">";
        }
        bCheckLocationURL();
        OnPublishForChanged();
        OnSetAsDefaultPageChanged();
        
        if (!bCreatingNewBookmark) {
          $("#divQuickLink").hide();
          var bIsQuickLink = sGetParameter(ACT_PARAM_BOOKMARK_TYPE, sGetDocumentLocation()) == "3";
          $("input[name='PublishFor']:first").attr("disabled", bIsQuickLink);

          OnQuickLinkClick($("input[name='QuickLink']:first").attr("checked", bIsQuickLink)[0]);
        }        
        
        OnIncludeViewClick();
        InitializeResizeHandlerForPopup(window);
      }

      function OnAlternateBookmarkChanged()
      {
        var iIndex = -1;
        if (document.linkproperties.AlternateBookmark) {
          for (var i = 0; i < document.linkproperties.AlternateBookmark.length; ++i) {
            if (document.linkproperties.AlternateBookmark[i].checked) {
              iIndex = i;
            }
          }
        }
        if (iIndex == -1) {
          return;
        }
        var sLocation = document.linkproperties.LOC.value;
        var oDirectLink = document.getElementById("inputDirectLink");
        var sDirectLink = oDirectLink.value;
        if (arBookmarks[iIndex].sParams) {
          sLocation = sSetParameters(arBookmarks[iIndex].sParams, sLocation);
          sDirectLink = sSetParameters(arBookmarks[iIndex].sParams, sDirectLink);
        }
        if (arBookmarks[iIndex].sModelId) {
          sLocation = sReplaceModelIds(sLocation, arBookmarks[iIndex].sModelId);
          sDirectLink = sReplaceModelIds(sDirectLink, arBookmarks[iIndex].sModelId);
        }
        document.linkproperties.LOC.value = sLocation;
        oDirectLink.value = sDirectLink;
      }
      
      function sReplaceModelIds(vsURL, vsModelId)
      {
        // replaces the MODELID paraemter from the url itself and from inside the PPRM parameter
        vsURL = sReplaceModelId(vsURL, vsModelId);
        var sPPRM = sDecodeURI(sGetParameter('PPRM', vsURL));
        if (sPPRM) {
          sPPRM = sEncodeURI(sReplaceModelId(sPPRM, vsModelId));
          vsURL = sSetParameter('PPRM', sPPRM, vsURL, false);
        }
        return vsURL;
      }
      
      function sReplaceModelId(vsParameterValue, vsModelId)
      {
        var sModelId = sGetParameter('MODELID', vsParameterValue);
        if (!sModelId)
          return vsParameterValue;

        var asIds = sModelId.split('?');
        for (var i = 0; i < asIds.length; ++i) {
          if (bIsFullObjectId(asIds[i])) {
            var iProductId = iExtractProductId(asIds[i]);
            var sObjectId = sExtractObjectId(asIds[i]);
            asIds[i] = sCreateExternalObjectId(iProductId, vsModelId, sObjectId);
          }
          else
            asIds[i] = vsModelId;
        }
        return sSetParameter('MODELID', asIds.join('?'), vsParameterValue, false);
      }

      var iAlternateBookmarkCount = 0;
      if (sAlternateBookmarks)
        iAlternateBookmarkCount = sAlternateBookmarks.split(",").length;

      var iBookmarkEditorHeight = 490 + iAlternateBookmarkCount * 12;
      <#IsAdmin true="ResizePopupWindow(800,iBookmarkEditorHeight);" false="ResizePopupWindow(620,iBookmarkEditorHeight);">
    </script>
  </body>
</html>
<!-- [QPRTemplateEnd: bookmarkeditorview.tpl] -->
