<!DOCTYPE html>
<!-- [QPRTemplateStart: informationheaderview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>

<script type="text/javascript">
  function bIsOpenedFromLogin()
  {
    return <#IsOpenedFromLogin true="true" false="false">;
  }

  function UpdateHierarchyParameters(vsParameters, vbKeepSelectedTreeItem, vbDontRefresh)
  {
    if (parent && parent.UpdateHierarchyParameters)
      parent.UpdateHierarchyParameters(vsParameters, vbKeepSelectedTreeItem, vbDontRefresh);
  }

  function sGetHierarchyName()
  { 
    if (parent && parent.sGetHierarchyName)
      return parent.sGetHierarchyName();
  }

  function sGetHierarchyParameters()
  {
    return parent.sGetHierarchyParameters();
  }

  function oGetInformationView()
  {
    if ((parent) && (parent.InformationView))
      return parent.InformationView;
  }

  var _sPrintViewURL = "<#PrintViewURL>";

  function OpenPrintableView()
  {
    if ((parent) && (parent.InformationView) && (parent.sGetInformationViewLocation)) {
      if (sParseDomain(parent.sGetInformationViewLocation()) == self.document.domain) {
        var sURL;
        if (bExists(parent.InformationView.bOpenPrintView)) {
          if (parent.InformationView.bOpenPrintView(_sPrintViewURL))
            return;
        }

        sURL = parent.InformationView.location.href;
        // Don't add PRN-parameter for static web pages
        if (!sURL.match(/.html$/i)) {
          sURL = sConvertEncryptedParameterToMixed(sURL);
          sURL = sURL + '&PRN=PRINT';
        }

        sURL = _sPrintViewURL + '&URL=' + sEncodeURI(sURL);
        if(sURL.substring(0,sURL.indexOf(":"))=="") {
          sURL = document.location.href.substring(0,document.location.href.indexOf(":")) + sURL;
        }
      }
      OpenWindow(sURL, '_blank', 900, 600, 1);
    }
  }

  function OpenDynamicURLWindow(vsURL, vsName, viWidth, viHeight, vbScroll, vbPreventCaching, vX, vY)
  {
    var oInformationView = oGetInformationView();
    if (oInformationView && (oInformationView.sGetDynamicURL))
      vsURL = oInformationView.sGetDynamicURL(vsURL);
    OpenWindow(vsURL, vsName, viWidth, viHeight, vbScroll, vbPreventCaching, vX, vY);
  }

  function refreshBookmarks(vsHDR, vsSUBHDR, vsParams)
  {
    if ((parent) && (parent.HeaderView) && (parent.HeaderView.refreshBookmarks)) {
      parent.HeaderView.refreshBookmarks(vsHDR, vsSUBHDR, vsParams);
    }    
  }

  function OnBackButtonClicked()
  {
    history.back();
  }
  
  function DoToolbarRefresh(vbUnload)
  {
    if (!vbUnload) {
      var oMainView = oGetMainView();
      if (oMainView && oMainView.HideInformationViewToolbarIfNeeded)
        oMainView.HideInformationViewToolbarIfNeeded();
    }
    
    var sHTML = '<table border="0" cellspacing="0" cellpadding="0" width="100%" class="InformationHeader"><tr>' +
                sGetToolbarButtonHTML('&lt;-<#LocalizedText id="Back">', 'javascript: OnBackButtonClicked()') +
                sGetToolbarButtonHTML('<#LocalizedText id="Print">', 'javascript: OpenPrintableView()');

    if((!vbUnload) && (parent) && (parent.sGetInformationViewLocation) &&  
       (sParseDomain(parent.sGetInformationViewLocation()) == self.document.domain)) {
      if ((parent.InformationView) && (parent.InformationView.sGetFooterHTML))
      {
        var sMsg = parent.InformationView.sGetFooterHTML();
        if (sMsg)
          sHTML += sMsg;
      }

      sHTML += "<td width='100%'>&nbsp;<\/td>";
      if ((parent.InformationView) && (parent.InformationView.sGetHeaderHTML))
      {
        var sMsg = parent.InformationView.sGetHeaderHTML();
        if (sMsg)
          sHTML += sMsg;
      }
    }
    else {
      sHTML += "<td width='100%'>&nbsp;<\/td>";
    }
    

    sHTML += "<\/tr><\/table>";

    var oDiv = document.getElementById("toolbar");
    if (oDiv) 
      oDiv.innerHTML = sHTML;
  }

  function OnLoad()
  {
    if ((parent) && (parent.EnsureInformationViewLoggedIn))
      parent.EnsureInformationViewLoggedIn();

    DoToolbarRefresh();
  }
</script>
  </head>

  <body style="margin: 0px" onLoad="OnLoad();">
    <table border="0" cellspacing="0" cellpadding="0" width="100%" class="InformationHeader">
      <tr>
        <td>
          <div id="toolbar" />
        </td>
        <td width="5"><img src="<#ImageFileLocation>1x1.gif" width="1" height="22" border="0" /></td>
      </tr>
    </table>
  </body>
</html>
<!-- [QPRTemplateEnd: informationheaderview.tpl] -->
