<!DOCTYPE html>
<!-- [QPRTemplateStart: managebasketview.tpl] -->
<html>
  <head>
    <#title>
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsutils.tpl">   
    <script type="text/javascript">
      var aiBskItemsIDs = new Array();
      var aoBskItemsOptions = new Array();
			
      function sGetSelectedID()
      {
        var list = document.forms['formManageBasket'].elements['lstBasketItems'].options;
      
        if (list.selectedIndex >= 0) {
          var selectedItem = list[list.selectedIndex];
               
          return selectedItem.value;
        } else {
          return '';
        }
      } 
      
      function eventHandler(result, data) {
        if (!(result == "OK") && (data.length > 0))
        {
          window.alert(data);
        }
        refreshView();      
      }

      function deleteItem() {
        GetSelectedBasketItems();

        if (aiBskItemsIDs.length > 0) {
          if (confirm(sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete the item?">"))) {
            var sURL = "<#DeleteItemURL>&<#ItemIDID>=" + aiBskItemsIDs;
            parent.callFunction(sURL, eventHandler);
          }
        }
      }
         
      function deleteAll() {
        if (document.forms['formManageBasket'].elements['lstBasketItems'].options.length > 0) {
          if (confirm(sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete all items?">"))) {
            var sURL = "<#DeleteItemURL>&<#ItemIDID>=<#AllItemsID>";
            parent.callFunction(sURL, eventHandler);
          }
        }        
      }

      function SetDeleteButtonState() {
        UnselectSeparators();
        if (document.forms['formManageBasket'].elements['lstBasketItems'].options.length > 0) 
        {
          var sItemID = sGetSelectedID();
           
          if ((sItemID != '') && (sItemID !='SEP')) {         
            document.forms['formManageBasket'].elements['btnDelete'].disabled = false;
          } else {
            document.forms['formManageBasket'].elements['btnDelete'].disabled = true;
          }
        } else {
          document.forms['formManageBasket'].elements['btnDelete'].disabled = true;
          document.forms['formManageBasket'].elements['btnDeleteAll'].disabled = true;
        }
      }

      function UnselectSeparators() {
        for (var i = 0; i < document.forms['formManageBasket'].elements['lstBasketItems'].options.length; ++i) {
          if ((document.forms['formManageBasket'].elements['lstBasketItems'].options[i].selected) && 
             (document.forms['formManageBasket'].elements['lstBasketItems'].options[i].value == 'SEP')) {
               document.forms['formManageBasket'].elements['lstBasketItems'].options[i].selected = false;
          }
        }
      }      

      function GetSelectedBasketItems()
      {
        var iCount = 0;
        var olOptions = document.forms['formManageBasket'].elements['lstBasketItems'].options;
        aiBskItemsIDs = new Array();

        for (var i = 0; i < olOptions.length; i++) {
          if (olOptions[i].selected) {
            aiBskItemsIDs[iCount] = olOptions[i].value; 
            iCount++;
          }
        }
      }

      function refreshView() {
        parent.location.href = parent.location.href;
      }
      
      var iOldWindowWidth;		    
				
      function GetBasketItems() {
        var olListOptions = document.forms['formManageBasket'].elements['lstBasketItems'].options;

        if (olListOptions) {
          for (var i = 0; i < olListOptions.length; i++) {
            aoBskItemsOptions[i] = olListOptions[i]; 
          }
        }
      }
	  
      function SetBasketItems()
      {
        var iOldSelectedIndex;
        var oSelect = document.forms['formManageBasket'].elements['lstBasketItems'];
        if (oSelect) {
          var iMaxCharCount = (oSelect.offsetWidth  / (parseInt(sGetFontSize('lstBasketItems')) / 2));
          
          if ((!iMaxCharCount) || (iMaxCharCount == 0)) 
            iMaxCharCount = 80;
          
          oSelect.options.length = 0;
          
          for (var i = 0; i < aoBskItemsOptions.length; i++) {
            oSelect.options[i] = new Option(sAutoCutString(sDecodeURI(aoBskItemsOptions[i].text), iMaxCharCount, true), aoBskItemsOptions[i].value);
          }
        }
      }
      
      function OnResizeWindow() {
        var iNewWindowWidth = document.body.offsetWidth;
        var iDelta = iNewWindowWidth - iOldWindowWidth;
        var oSelect = document.forms['formManageBasket'].elements['lstBasketItems'];
        
        if (oSelect) {
          iOldWindowWidth = iNewWindowWidth;
          if (iDelta < 0) {
            var iNewListWidth = (parseInt(oSelect.offsetWidth) + iDelta);
            if (iNewListWidth <= 450)
              iNewListWidth = 450;

            oSelect.style.width = iNewListWidth + 'px';
            SetBasketItems()
          }

          oSelect.style.width  = '100%';
          SetBasketItems();
        }
      }

      function OnLoad() {
        SetDeleteButtonState();
        GetBasketItems();
        SetBasketItems();
        InitializeResizeHandlerForPopup(window, OnResizeWindow);             
        iOldWindowWidth = document.body.offsetWidth;
        OnResizeWindow();
        parent.SetTitle('<#LocalizedText id="Manage Basket">');		
      }			
    </script>

<style type="text/css">
body {
  margin-top: 0px;
  position: absolute;
  width: 100%; height: 100%;
}
</style>
  </head>

  <body class="PopupView" onLoad="OnLoad()">
    <form name="formManageBasket" action="#">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="Manage Basket">
        </h1>
      </div>    
      
      <div class="Toolbar">
<script type="text/javascript">
  var bPortalReadOnly = <#IsPortalReadonly true="true" false="false">;

  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Help">", "javascript:OpenHelpWindow(sDecodeURI(\"<#HelpURL>?settings.htm\"))", "<#PortalImageFileLocation>icon_help.png", "LinkRight"));

  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Basket">", "", "<#PortalImageFileLocation>icon_manage_basket.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Shared Bookmarks">", "<#VTNViewURL VTN="settings" CRP="p" PAG="0" BLTYP="1" UCOK="1" TPL="settingspublicbookmarksview.tpl">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly || <#EnableBookmarksForViewUsers true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage My Bookmarks">", "<#VTNViewURL VTN="settings" PAG="0">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (<#AllowProfileChangesForViewers true="true" false="false" not_a_viewer="true">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="My Profile">", "<#VTNViewURL VTN="settings">", "<#PortalImageFileLocation>icon_my_profile.png", "LinkRight", "_parent"));
</script>
      </div>

      <div class="Clearer"></div>
      
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <caption>
              <#LocalizedText id="Basket">
            </caption>
            <tr>
              <td style="width: 100%">
                <table border="0" cellpadding="0" cellspacing="10" style="width: 100%">
                  <tr style="height: 150px">
                    <td width="100%">
                      <select id="lstBasketItems" name="lstBasketItems" size="14" style="width: 450px; height: 100%;" multiple onChange="javascript: SetDeleteButtonState();">
                        <#BasketItems>
                      </select>
                    </td>
                    <td valign="top" style="width: 110px">
                      <table>
                        <tr>
                          <td valign="top">
                            <div class="ButtonColumn">
                              <input class="Button" type="button" name="btnDelete" value="<#LocalizedText id="Delete">" onClick="javascript: deleteItem();" style="width: 100px;" />
                              <br />
                              <input class="Button" type="button" name="btnDeleteAll" value="<#LocalizedText id="Delete All">" onClick="javascript: deleteAll();" style="width: 100px;" />
                            </div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>
        
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Close">" onClick="javascript: { parent.window.close(); window.close(); }" />
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: managebasketview.tpl] -->
