<!DOCTYPE html>
<!-- [QPRTemplateStart: wordreporttemplatesframeview.tpl] -->
<#SetTemplateParameter id="OQ_attribute" value="actions:actiontypes=wordreporttemplate,private=1,public=1">
<#SetTemplateParameter id="OQ_configuration" value="wordreporttemplatesfields.ini">
<#SetTemplateParameter id="OQ_sort" value="type,header">
<#SetTemplateParameter id="OQ_fields" value="type,header,createddate,lastpublished,recipients,schedule">
<#SetTemplateParameter id="OQ_templategroup" value="wordreporttemplates">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript">
      var _sDefaultQueryFields = "<#Parameter id="OQ_fields">";
      var _sDefaultQuerySortBy = "<#Parameter id="OQ_sort">";
      var _consts = {
        sViewSettingsGroup : "wordreporttemplates",
        sNativeTab : "reports",
        sNativePage1 : "managereports",
        sHelpContext1 : "reports_manage.htm",
        sRootName : "<#LocalizedText id="Word report templates view" enc="html">"
      };
    </script>
    <script type="text/javascript" src="<#ScriptFileLocation>resizabletable.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script>
    <script type="text/javascript" src="<#ScriptFileLocation>actionanalysisview.js"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsutils.tpl">

<script type="text/javascript">
  CopyParametersToHierarchyViewParameters("RTEM_");
  
function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

function sGetTableHeaderExtraInfo()
{
  return "<span class='NormalText'><#LocalizedText id="View:">&nbsp;<#ViewSettingsName></span>";
}

function OnAssociationModified(vbRefreshHierarchy)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}

function OnAssociationDeleted(vbRefreshHierarchy)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}

function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}
</script>

  </head>
  
  <body id="body" onLoad="OnLoad();" onUnload="OnUnload();">

<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeBufferedWriteHTML();
  BD();
  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#ForEach attribute="<#Parameter id="OQ_attribute">" maxcount="50" where="" configuration="<#Parameter id="OQ_configuration">" sort="<#Parameter id="OQ_sort">" fields="<#Parameter id="OQ_fields">">

<#Include template="dynamictablefooter.tpl">

  ET();
  ED();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
    </form>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50));
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: wordreporttemplatesframeview.tpl] -->
