<!DOCTYPE html>
<!-- [QPRTemplateStart: informationitemdetailsview.tpl] -->
<html>
<head>
  <title><#Title></title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
  
  <#PortalScript>
  <script type="text/javascript" src="<#SizeConstantsJS>"></script>
  
  <#stylesheet>
  
  <#Include template="jsportaltoolbarutils.tpl">
  
  <script type="text/javascript">
    function sGetViewId()
    {
      return "<#ObjectId>";
    }

    function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
    {
      return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
    }

    function sGetCommonToolbarHTML()
    {
      return sGetDefaultToolbarButtonsWithActions();
    }

    function sGetHelpFile()
    {
      return "<#HelpFileURL>?DetailedView.htm";
    }

    function sGetHeaderViewLeftHTML()
    {
      return "<#Object attribute="name">";
    }
  </script>
</head>

<body onload="javascript: UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView(true);">
  <div id="PropertyListWrapper" class="PropertyList">
<script type="text/javascript">
  var sHTML = trim('<#Description>');
  if (sHTML) {
    sHTML = '<p class="DescriptionBlock MultiLineStringField">' + sHTML + '<\/p>';
    document.write(sHTML);
  }
</script>

    <div class="PropertyListTable DetailsPaneExclude">
      <table class="Vertical" cellpadding="0" cellspacing="0">
      	<caption class="FirstTable">
          <#LocalizedText id="Information">
        </caption>
  
    		<tr>
    			<th class="Vertical"><#LocalizedText id="Name"></th>
    			<td><#Object attribute="name"></td>
    		</tr>

    		<tr>
    			<th class="Vertical"><#LocalizedText id="Created"></th>
    			<td><#Object attribute="creationdate"></td>
    		</tr>

    		<tr>
    			<th class="Vertical"><#LocalizedText id="Author"></th>
    			<td>
<script type="text/javascript">
  var sUserName = "<#Object attribute="creator.fullname">";
  if (!sUserName)
    sUserName = "<#Object attribute="creator.loginname">";
  var sEMail = "<#Object attribute="creator.email">";
  if (sEMail)
    sUserName = "<a href=\"mailto:" + sEMail + "\">" + sUserName + "<\/a>";
  document.write(sUserName);
</script>
          </td>
    		</tr>

    		<tr>
    			<th class="Vertical"><#LocalizedText id="Location"></th>
          <td>
<script type="text/javascript">
  var sLocation = "<#Object attribute="ViewURL">";
  if (sLocation)
    document.write("<a href=\"javascript:OpenInformationItemLocation('" + sAddJavascriptEscapes(sHTMLDecode(sLocation)) + "')\">" + sLocation + "<\/a>");
</script>
          </td>
    		</tr>
    	</table>
    </div>
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: informationitemdetailsview.tpl] -->
