<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_alertlistview.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <#PortalScript>
    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    <script type="text/javascript" src="<#ListJS>"></script>

    <#stylesheet>

    <#Include template="jsutils.tpl">
    <#Include template="jsportaltoolbarutils.tpl">

<#Init>    
    <script type="text/javascript">

      function Question(){ return confirm(sDecodeURI("<#Question>")); }

      function sGetHeaderHTML()
      {
        return sGetToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Create New Alert">", "<#CreateAlertURL>", 600, 600, "<#PortalImageFileLocation>icon_add.png");
      } 

      function sGetFooterHTML() 
      {
        return sGetBookmarkButton() + sGetCopyLinkButton();
      }

      function sGetHelpFile()
      {
        return "<#HelpFileURL>?<#HelpContext>";
      }

    </script>
  </head>
  <body onload="javascript: if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView();}" onUnload="javascript: if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView(true);}">
    <div id="PropertyListWrapper" class="PropertyList">
      <table border="0" cellspacing="0" cellpadding="0">
        <caption><#LocalizedText id="Alerts">&nbsp;-&nbsp;<#ElementName></caption>
        <tr>
          <th><#AlertTypeText></th>
          <th><#LastAlertedText></th>
          <th><#RecipientsText></th>
<#IsPortalReadonly true="<!--">
          <th>&nbsp;</th>
          <th>&nbsp;</th>
<#IsPortalReadonly true="-->">
        </tr>
<#Alerts>
      </table>
    </div>
  </body>
</html>
<!-- [QPRTemplateEnd: sc_alertlistview.tpl] -->
