<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_ceview_pg.tpl] -->
<html>
  <head>
    <title><#Title></title>    
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    <#Include template="jsportaltoolbarutils.tpl">
    <#PortalScript>
    <#stylesheet>    
    <script type="text/javascript">
<#Include template="jsscprinting.tpl">
<#Include template="sc_jsviewutils.tpl">
      function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
      {
        return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
      }

      function sGetLocalToolbarHTML()
      {
          return sGetDefaultLocalToolbarButtons() +
                 sGetToolbarToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="SC link settings">", "<#PGSCLinkSettings>", 280, 200, "<#PortalImageFileLocation>icon_pg_sc_link_settings.png")
      }


      function sGetCommonToolbarHTML()
      {
        return sGetDefaultToolbarButtonsWithActions();
      }

      function sGetHelpFile()
      {
        return "<#HelpFileURL>?dashboards.htm";
      }

      function submitPeriod(pID, vsDate)
      {
         var sPeriodId;
         var oInformationView = oGetInformationView();
         if (oInformationView) {
           if (pID == 0)
           {
             sPeriodId = '';
             pID = '';
           }
           else
             sPeriodId = sCreateExternalObjectId(PR_SC, <#Model attribute="id">, pID);

           OnLastPeriodSet(sPeriodId, vsDate);
           OpenInformationView(sSetParameter('<#UsedPeriod>', pID, oInformationView.sGetDocumentLocation()));
         }
      }
      function submitSeries(pID)
      {
         var oInformationView = oGetInformationView();
         if (oInformationView) {
           OnLastSeriesSet(sCreateExternalObjectId(PR_SC, <#Model attribute="id">, pID));
           OpenInformationView(sSetParameter('<#UsedSeries>', pID, oInformationView.sGetDocumentLocation()));
         }
      }
      function submitViewSettings(pID)
      {
         var oInformationView = oGetInformationView();
         if (oInformationView) {
           OpenInformationView(sSetParameter('<#UsedViewSettings>', pID, oInformationView.sGetDocumentLocation()));
         }
      }
      function submitPGSCParameters(sParameters)
      {
         var oInformationView = oGetInformationView();
         if (oInformationView) {
           OpenInformationView(sSetParameter('<#UsedPGSCParams>', sEncodeURI(sParameters), oInformationView.sGetDocumentLocation()));
         }
      }
      function submitPGZoomParameters(sParameter)
      {
         var oInformationView = oGetInformationView();
         if (oInformationView) {
           var sURL = oInformationView.sGetDocumentLocation()
           sURL = sSetParameter('<#UsedPGZoomParam>', sParameter, sURL)
           OpenInformationView(sURL);
         }
      }
      function sGetViewId()
      {
        return "<#ObjectId>";
      }

	</script>
  </head>
  <body onload="javascript: { UpdateInformationViewToolbarsFromInformationView(); }" onunload="javascript: UpdateInformationViewToolbarsFromInformationView(true);" style="width: 100%; height: 100%; overflow: hidden;">
  <iframe id="PGFCIFrame" src="<#PGFlowChartImage>" width="100%" height="100%" frameborder="0" scrolling="yes"></iframe>
  
  </body>
</html>
<!-- [QPRTemplateEnd: sc_ceview_pg.tpl] -->
