<!-- [QPRTemplateStart: sc_elementview_details.tpl] -->
<script type="text/javascript">
  function Trim(s)
  {
    var iPos, iLen;

    iLen = s.length;
    while (s.charAt(0) == ' ') { s = s.substring(1, iLen); }

    iLen = s.length - 1;
    while (s.charAt(iLen) == ' ') { s = s.substring(0, iLen); iLen = s.length - 1; }

    return s;
  }

  function deleteEventHandler(result, data)
  {     
    if (!(result == "OK") && (data.length > 0))
    {
      window.alert(data);
    } 
    else if (result == "OK") {
      var oHView = oGetHierarchyView();
      if (oHView)
	  {
	    oHView.location.href = oHView.location.href;  
	  }
    }    
  }
  
  function renameEventHandler(result, data)
  {     
    if ((data.length > 0))
    {
      window.alert(data);
    }
    
    parent.location.href = parent.location.href;

    if (oShowWindow != null) {
      oShowWindow.close();
      oShowWindow = null;
    }
    if (oEditWindow != null) {
      oEditWindow.close();
      oEditWindow = null;
    }
  }  
  
  function renameElement(sNewName) {
    if (Trim(sNewName).length == 0) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Empty names are not allowed!">'));
      document.formEditElement.txtName.focus();	
    } 
    else if(!(sNewName.replace(" ", "&#32;") == "<#ElementName>")) {
      var sURL = "<#RenameURL>&<#NameID>=" + sEncodeURI(sNewName);
      CallServerFunction(sURL, renameEventHandler);
    }
  }
  
  function deleteElement() {
    if (confirm(sDecodeURI('<#LocalizedTextMessage id="Are you sure you want to delete the selected element and all sub-elements?">'))){
      CallServerFunction('<#DeleteURL>', deleteEventHandler);
    }
  }
  
  function sGetHeaderViewLeftHTML()
  {
    var sHTML = "<#ElementName>" +
                "<span style=\"padding-left: 20px;\">-&nbsp;" + 
                "<a href='javascript:OpenScorecardForCurrentHierarchy(\"<#ScorecardURL>\");'><#ScorecardName></a> <#PendingValueUpdatesWarning>" +
                "</span>";
    return sHTML;
  }

  function sGetHeaderViewRightHTML()
  {
    var sHTML = "";
    if (<#IsCurrentValueAvailable true="true" false="false">)
      sHTML = "<#CurrentPeriod>:&nbsp;<#CurrentValue>";
    return sHTML;
  }

  if (!bInPortal())
  {
    document.write('<table class="PropertyListTable" cellpadding="0" cellspacing="0">');
    document.write('<caption class="FirstTable">');
    document.write('<#ElementName>&nbsp;(<#ScorecardName>)');  
    document.write('</caption>');
    document.write('</table>');
  }
</script>

  <#Include template="sc_elementview_description.tpl">

  <div id="Information" class="PropertyListTable DetailsPaneExclude" name="<#LocalizedText id="Definitions">">
    <table class="Vertical" cellpadding="0" cellspacing="0">
    	<caption class="FirstTable"><#LocalizedText id="Definitions">
<script type="text/javascript">
  if (<#IsPortalReadonly true="false" false="true"> && 
      <#HasRightsForObject true="true" false="false"> &&
      <#ValuesEditRights true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Edit">", "<#EditMeaDefinitionURL>", 540, 330, "<#PortalImageFileLocation>icon_edit.png", "LinkRight"));
</script>
    	</caption>
    	<tr>
        <th>
          <#LocalizedText id="Element Name">:
        </th>
        <td>
          <#ElementName>
        </td>
      </tr>
  
      <tr>
        <th><#LocalizedText id="Element Type">:</th>
        <td><#ElementType></td>
      </tr>              
  
      <tr id="Scorecard" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Scorecard">:</th>
        <td><a href="javascript: OpenScorecardForCurrentHierarchy('<#ScorecardURL>');"><#ScorecardName></a></td>
      </tr>
      
      <#CopyStart>
      <tr id="CopyFromScorecard" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Copied from Scorecard">:</th>
        <td><#ScorecardCopy></td>
      </tr>
      <tr id="CopyFromModel" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Copied from Model">:</th>
        <td><#ModelCopy></td>
      </tr>
      <#CopyEnd>

      <tr id="DefaultUnit" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Default Unit">:</th>
        <td id="DefaultUnitValue"><#Object id="<#Object attribute='measureunitid'>" attribute="prettyname"></td>
      </tr>
<script type="text/javascript">
  if (<#Object attribute='measureunitid'> == 0)
        document.getElementById("DefaultUnitValue").innerHTML = "&nbsp;";  
  
  if (!<#Object attribute="Measure" attribute2="SeriesHaveDefinedUnits" true="false" false="true">)
    document.getElementById("DefaultUnit").style.display = "none";
</script>

      <#IsFirstRoleAvailable false="<!--">
      <tr id="Roles" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Roles">:</th>
        <td><#Roles> <#IsInChargeAvailable true="<!--">-<#IsInChargeAvailable true="-->"></td>
      </tr>
      <#IsFirstRoleAvailable false="-->">
      <#ProStepStart>
      <tr id="ElementProcessStepLinks" class="DetailsPanePropertyRow">
        <th><#LocalizedText id="Process Step Links">:</th>
        <td><#ProcessStepDetails></td>
      </tr>
      <#ProStepEnd>
    </table>
  </div>
  
  <table id="Graph" class="PropertyListTable DetailsPanePage" cellpadding="0" cellspacing="0">
  	<caption class="DetailsPaneExclude"><#LocalizedText id="Layout Templates">
<script type="text/javascript">
  if (<#ShowLayout true="true" false="false">) {
    var sHTML = "";
    var sLabel = "<#LocalizedText id="Layout Templates">";
    var sUrl = "<#LayoutTemplatesURL>";
    var sIconUrl = "<#PortalImageFileLocation>icon_graph_layout.png";
    sHTML += sGetRegisteredCaptionToolbarIconButtonHTMLForSizedPopup("Graph", "Graph", sLabel, sUrl, 400, 250, sIconUrl, "LinkRight");

    sLabel = "<#LocalizedText id="Graph Settings">";
    sUrl = "<#GraphSettingsURL>";
    sIconUrl = "<#PortalImageFileLocation>icon_graph_settings.png";
    sHTML += sGetRegisteredCaptionToolbarIconButtonHTMLForSizedPopup("Graph", "Graph", sLabel, sUrl, 400, 250, sIconUrl, "LinkRight");
    document.write(sHTML);
  }
</script>
  	</caption>
  	<tr>
      <td style="padding-left: 0; padding-right: 0; border-left: 0; border-right: 0">
<#GraphLayout>
      </td>
  	</tr>
  </table>
<script type="text/javascript">
var _iAutoHideRecentActions = 0;
var _iAutoHideSubElements = 0;
var _iAutoHideValues = 0;
</script>

    <!-- The following variables are used to store number of recent action or sub elements.           -->    
    <!-- _iNumRecentActions   : counter for all amount of recent actions that will be shown on page.  -->
    <!-- This value will be incremented throughout "sc_elementview_recenteventrow.tpl" processing.    -->
    <!-- Initial value is 0.                                                                          -->
    <!-- The way to set desired amount of recent action will be shown is to use tag parameter         -->
    <!-- "recentactionscount" from template "sc_elementview_recentevents".                            -->
    <!--                                                                                              -->
    <!-- _iNumSubElements     : counter for all amount of sub elements.                               -->
    <!-- This value will be incremented throughout "sc_elementview_subelements_row.tpl" processing.   -->
    <!-- Initial value is 0.                                                                          -->
    <!--                                                                                              -->    
    <!-- _iRecentActionsCount : This variable assigned to 0 if "recentactionscount" tag parameter     -->
    <!-- from template "sc_elementview_recentevents" is also set to 0.                                -->
    <!-- If the given value is 0 then all "Recent Action" section will be hide.                       -->
    <!-- Please, no not change the initial values for the following variables.                        -->

<script type="text/javascript">
var _iNumRecentActions = 0;
var _iNumSubElements = 0;
var _iRecentActionsCount;
</script>

<div id="divrecentevents" name="divrecentevents">
  <#SectionRecentEvents>
</div>

<script type="text/javascript">
  if ((_iAutoHideRecentActions != 0) && (_iAutoHideRecentActions != 1)) {
    _iAutoHideRecentActions = 0;
  }
  if ((_iAutoHideSubElements != 0) && (_iAutoHideSubElements != 1)) {
    _iAutoHideSubElements = 0;
  }
  if ((_iAutoHideValues != 0) && (_iAutoHideValues != 1)) {
    _iAutoHideValues = 0;
  }
  if (!bIsInDetailsPane() && (((_iAutoHideRecentActions == 1) && (_iNumRecentActions == 0)) || (_iRecentActionsCount == 0))) {
    document.getElementById("divrecentevents").style.display = "none";
  }
</script>

<div id="divsectionvalues" name="divsectionvalues">
  <#IsValuesAvailable false="<!--"><#SectionValues><#IsValuesAvailable false="-->">
</div>

<#SectionAlerts>

<#SectionLinkedData>

<div id="divsectionsubelements" name="divsectionsubelements">
  <#SectionSubelements>
</div>

<#SectionInformationItems>

<script type="text/javascript">
  if ((_iAutoHideValues == 1) && (_iNumSubElements > 0)) {
  document.getElementById("divsectionvalues").style.display = "none";
  }
  if ((_iAutoHideSubElements == 1) && (_iNumSubElements == 0)) {
  document.getElementById("divsectionsubelements").style.display = "none";
  }
</script>
<!-- [QPRTemplateEnd: sc_elementview_details.tpl] -->
