<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_elementview_layouttemplates.tpl] -->
<html>
<head>
<title><#LocalizedText id="Layout Templates"> - <#ElementName></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
<script language="JavaScript1.2" src="<#SizeConstantsJS>"></script>

<#PortalScript>
<#stylesheet>

<script type="text/javascript" src="<#PortalScriptFileLocation>tree.js"></script>

<script type="text/javascript">

function SubmitGraphLayout(viID)
{
  if (bHasValidOpener(window)) {
    var oDetailsView;
    if (bInPortal())
    {
      oDetailsView = window.opener.oGetDetailsPane();
      if (!oDetailsView)
        oDetailsView = window.opener.oGetInformationView();
    }
    else
      oDetailsView = window.opener;
    if (oDetailsView && (typeof(oDetailsView.OnLayoutTemplateChanged) !== "undefined"))
      oDetailsView.OnLayoutTemplateChanged(viID);
  }
  
  window.close();
}

function OpenHelpView()
{
   OpenHelpWindow('<#HelpFileURL>?scsm_templatelayoutselectiondialog.htm');
}

function onLoad()
{ 
  UpdateTree();
  InitializeResizeHandlerForPopup(window, ResizeWindowFix);  
}

</script>

</head>

<body class="PopupView" topmargin=0  onLoad="onLoad()">
  <div id="PopupHeader">
    <img src="<#PortalImageFileLocation>header_icon_select.png" />
    <h1>
      <#Title>
    </h1>
  </div>
  <div class="PopupContent">
    <div class="PropertyFormGroupWrapper">
      <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
        <tr>
          <td valign="top">
            <table border="0" width="100%" cellpadding="2" cellspacing="1">
        <#LayoutTemplatesList template="sc_elementview_layouttemplates_row.tpl">
            </table>
          </td>
        </tr>
      </table>
    </div>
  </div>
  <div id="DetailsFooter">
    <input class="ButtonRight" type="button" id="btnHelp" value="<#LocalizedText id="Help">" onclick="OpenHelpView()">
    <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onclick="window.close()">
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: sc_elementview_layouttemplates.tpl] -->
