<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_scframeview.tpl] -->

<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    <#Include template="jsportaltoolbarutils.tpl">
    <#PortalScript>
    <#stylesheet>    
    <script type="text/javascript">
    <#Functions>
    <#Include template="jsscprinting.tpl">
    <#Include template="sc_jsviewutils.tpl">
    <#Include template="jsscitemlayoutviews.tpl">
      function sGetLocalToolbarHTML()
      {
        return sGetDefaultLocalToolbarButtons() + sGetShowHidePGButtonHTML(<#ShowPGLink true="true" false="false">, "<#ShowHidePGText>", "<#ShowHideProSteps>");
      }

      function sGetCommonToolbarHTML()
      {
        return sGetDefaultToolbarButtonsWithActions();
      }

      function sGetHelpFile()
      {
        return "<#HelpFileURL>?scorecardsview.htm";
      }
      function SetToolBarHiddenForThisSession()
      {
        parent.callFunction('<#SetCookieValueURL key="ForceToolBarVisibility" value="hide">', ReloadMe);
      }
      function SetToolBarVisibleForThisSession()
      {
        parent.callFunction('<#SetCookieValueURL key="ForceToolBarVisibility" value="show">', ReloadMe);
      }
	  
	  function bIsElementGraph()
	  {
		return false;
	  }
	  
      function OnLoad()
      {
        init();
        UpdateInformationViewToolbarsFromInformationView();
      }
    </script>

    <script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>
    <#Include template="jswsfutils.tpl">
    <script type="text/javascript">
      var _sPowerPointGraphType = 'scorecard';
    </script>
    <#Include template="powerpointscorecardexporter.tpl">
  </head>
  
  <body style="overflow: hidden; margin: 0px; width: 100%; height: 100%;" onload="javascript: OnLoad();" onunload="javascript: UpdateInformationViewToolbarsFromInformationView(true);">
  
  <#Include template="jssvg.tpl" SVGFile="<#SVGFile>" SVGId="<#SVGId>" SVGWidth="100%" SVGHeight="98%">

  </body>
</html>
<!-- [QPRTemplateEnd: sc_scframeview.tpl] -->
